Tue Feb 24 18:11:32 1998  Geoffrey Noer  <noer@cygnus.com>

	* Makefile.in: add missing exeext for gcov

Wed Dec 31 13:35:03 1997  Ian Lance Taylor  <ian@cygnus.com>

	* config/i386/t-cygwin32 (LIMITS_H_TEST): Define as true.
	(LIBGCC2_INCLUDES): Defined to include winsup headers in sibling
	directory.

	* configure.in: Set and subsitute host_exeext.  Use it when creating
	the assembler and linker symlinks.
	* configure: Rebuild.
	* Makefile.in (exeext): Set to @host_exeext@.
	(build_exeext): New variable, set to @build_exeext@.
	(FLAGS_TO_PASS): Pass down build_exeext.
	(STAGESTUFF): Use build_exeext, not exeext, for gen* and bi*
 	programs.

Wed Nov 26 14:06:05 1997  Ian Lance Taylor  <ian@cygnus.com>

	* configure: Use build_exeext, not exeext, in last change.

Tue Nov 18 16:13:49 1997  Geoffrey Noer  <noer@cygnus.com>

	* configure.in: add missing $exeexts to as-new and ld-collect
	links
	* configure: regenerate

Mon Nov 17 22:35:25 1997  Geoffrey Noer  <noer@cygnus.com>

        Patch from proven@cygnus.com for Cygwin32 rebuilding:
        * Makefile.in: set SHELL = @SHELL@, stick $SHELL in front
	of move-if-change invocations
        * configure: regenerate

Tue Oct 28 23:47:03 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

        * rs6000.md (movdf+5): Use host-independent way to process
        CONST_DOUBLE.

Tue Nov  4 00:55:48 1997  J"orn Rennecke <amylaar@cygnus.co.uk>

        * profile.c (branch_prob): Insert an insn after a NOTE_INSN_SETJMP.

Wed Oct 22 10:49:43 1997  J"orn Rennecke <amylaar@cygnus.co.uk>

        * i386.md (adddi3): Add =!r,0,0,X alternative.

Fri Oct 31 00:16:55 1997  J"orn Rennecke <amylaar@cygnus.co.uk>

        * profile.c (output_func_start_profiler): Clear flag_inline_functions
        for the duration of the call to rest_of_compilation.

Mon Nov  3 14:57:56 1997  Jeffrey A Law  (law@cygnus.com)

	* gcse.c (gcse_main): Don't do global-cse if the function has
	calls to setjmp.

Tue Oct 29 09:35:42 1997  Doug Evans  <devans@canuck.cygnus.com>

        * gcse.c (gcse_main): Call alloc_reg_set_mem here.
        (compute_sets): Not here.
        (record_last_{reg,mem}_set_info): New functions.
        (record_last_set_info): Call them.
        (compute_hash_table): Track sets of hard-regs better.
        Const calls don't clobber memory.
        (compute_transp): Use reg_set_in_block for hard regs.
        Speed up by testing `set_p' outside of loop.

Wed Oct 29 00:49:02 1997  Jeffrey A Law  (law@cygnus.com)

        * gcse.c (hash_scan_set): Don't bother setting stuff in rd_gen
        if we're not computing available expressions.

Tue Oct 28 11:47:54 1997  Doug Evans  <devans@canuck.cygnus.com>

        * gcse.c: Delete all refs to DEBUG_CHANGES.

Thu Oct 16 09:44:51 1997  Doug Evans  <dje@canuck.cygnus.com>

        * gcse.c (DEBUG_PASSES): Delete.
        (one_class_gcse_pass,one_cprop_pass,one_pre_gcse_pass): Ditto.

Fri Oct 24 15:43:57 1997  Michael Meissner  <meissner@cygnus.com>

        (Unidentified patch from egcs)
        * rs6000/rs6000.c (toplevel): Move include stdio.h before
        config.h.

        (Patch from H.J. Lu, Aug 27, 1997)
        * rs6000/linux.h (DEFAULT_VTABLE_THUNKS):  New Defined as 1.

        (Patch from Jeff Law, Oct 22, 1997)
        * rs6000/rs6000.c (struct machine_function): Add
        pic_offset_table_rtx.
        (rs6000_{save,restore}_machine_status): Save/restore it.

        * rs6000/rs6000.md (movsi_got_internal_mem): New pattern to work
        around case where GOT value did not get a register.
        (movsi_got_internal_mem splitter): Split above pattern.

        (Patch from Geoffrey Keating, Oct 21, 1997)
        * rs6000/rs6000.c (rs6000_stack_info): Avoid creating a stack
        frame under System V ABI if we only need to save the LR.

        (Patch from Joel Sherrill, Sep 1, 1997)
        * rs6000/sysv4.h (SUBTARGET_SWITCHES): Add new macro
        EXTRA_SUBTARGET_SWITCHES, which defaults to nothing.

        (Patch from Geoffrey Keating, Oct 20, 1997)
        * rs6000/t-ppccomm (CRTSTUFF_T_CFLAGS{,_S}): Add -msdata=none
        switch.

        (Patch from Jeff Law, Sep 18, 1997)
        * rs6000/xm-{rs6000,sysv4}.h (alloca): Properly declare if
        __STDC__.

Wed Oct 15 16:17:43 1997  Doug Evans  <dje@canuck.cygnus.com>

        * flow.c (find_basic_blocks): New argument `live_reachable_p'.
        All callers updated.
        (find_basic_blocks_1): Likewise.

Wed Oct 29 14:11:21 1997  Jeffrey A Law <law@cygnus.com>

        * Makefile.in (LIBGCC2_CFLAGS): Add -fexceptions.

        * toplev.c (flag_exceptions): Default value is 2.
        (compile_file): If flag_exceptions still has the value 2, then
        set it to 0.

        * cp/lex.c (lang_init): Enable flag_exceptions by default if no
        command line switch was specified.

Tue Oct 28 11:44:46 1997  Jim Wilson  <wilson@cygnus.com>

        * m68k.md (btst patterns): Add 5200 support.

Thu Oct 23 08:03:59 1997  J"orn Rennecke <amylaar@cygnus.co.uk>

       * dbxout.c (dbxout_start_new_source_file): Use output_quoted_string
       for FILENAME.

Wed Oct 22 14:46:57 1997  Jim Wilson  <wilson@cygnus.com>
 
        * regmove.c (optimize_reg_copy_1, optimize_reg_copy_2,
        optimize_reg_copy_3): Add static to definitions.

Tue Oct 21 12:37:46 1997  Jim Wilson  <wilson@cygnus.com>
 
        * xm-mips.h (alloca): Add void * declaration when __STDC__.
 
Thu Oct 16 23:42:09 1997  Geoffrey Noer  <noer@cygnus.com>

	Patches for Cygwin32 gcc issues.
	* cccp.c, gcc.c, collect2.c, cpplib.c: Allow Win32 or POSIX paths
	in environment variables.
	* Makefile.in: exeext support for Win32 native rebuilding support
	* config/i386/cygwin32.h: remove POSIX from cpp predefines
	* config/i386/xm-cygwin32.h: define POSIX for building gcc,
	make semi-colon the default path separator
	* libgcc2.c: put ifndef CYGWIN32 around functions that exist
	in both gcc and winsup

Wed Oct 15 10:39:03 1997  Jeffrey A Law <law@cygnus.com>

        Add gcse pass.
        * Makefile.in (OBJS): Add gcse.o.
        (STAGESTUFF): Add *.gcse.
        (gcse.o): Add rule for.
        (mostlyclean): Delete *.gcse */*.gcse.
        * gcse.c: New file.
        * flow.c (uid_block_number): Make non-static.
        (basic_block_drops_in): Likewise.
        (find_basic_blocks_1): Renamed from find_basic_blocks.
        (life_analysis_1): Renamed from life_analysis.
        (flow_analysis): Split into two: find_basic_blocks, life_analysis.
        (free_basic_blocks_vars): New function.
        (set_block_num): New function.
        * output.h (flow_analysis): Delete decl.
        (find_basic_blocks): Add decl.
        (life_analysis,free_basic_block_vars,set_block_num): Likewise.
        * recog.c (validate_replace_src): New function.
        * toplev.c (gcse_dump,gcse_dump_file,gcse_time): New globals.
        (flag_gcse,flag_classic_gcse): New globals.
        (-fgcse,-fclassic-gcse): Recognize.
        (fatal_insn): Flush gcse_dump_file.
        (compile_file): Track gcse_time.  Handle gcse_dump_file.
        (rest_of_compilation): Perform gcse pass.
        (main): Set flag_gcse if -O2.  Enable gcse dump if -dG.

Wed Oct 15 10:38:21 1997  Jeffrey A Law <law@cygnus.com>

        * gcse.c (pre_delete): Don't assume that a reg->reg copy is
        always a valid insn.

Mon Oct 13 19:48:20 1997  J"orn Rennecke <amylaar@cygnus.co.uk>

	* sh.md (movhi+1): Add x/r alternative.

Tue Oct  7 15:55:27 1997  Jeffrey A Law  (law@cygnus.com)

	* integrate.c (save_for_inline_copying): Avoid undefined pointer
	operations.
	(expand_inline_function): Likewise.

Tue Oct  7 11:04:15 1997  Richard Henderson  <rth@cygnus.com>

	* haifa-sched.c (print_block_visualization): fprintf directly, don't
	sprintf through an alloca'ed buffer.

Tue Oct  7 11:41:21 1997  Michael Meissner  <meissner@cygnus.com>

	* tree.h (get_file_function_name): Add declaration.
	* dwarf2out.c (output_call_frame_info): No need to cast
	get_file_function_name call anymore.
	* profile.c (toplevel): Remove get_file_function_name
	declaration.
	* c-lang.c (finish_file): Ditto.

Tue Oct  7 09:57:15 1997  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (schedule_block): If the first real insn in a
	block has any special notes attached to it, remove them.

Mon Oct  6 18:19:18 1997  Jim Wilson  <wilson@cygnus.com>

	Thu Aug  7 10:33:13 1997  Manfred Hollstein  <manfred@s-direktnet.de>
	* Makefile.in (sub-makes): Pass the current value of LANGUAGES down
	to sub-makes to avoid building more passes than the user might have
	requested on the command line.

Mon Oct  6 15:35:15 1997  Brendan Kehoe  <brendan@cygnus.com>

	* fixincludes: Be a little more restrictive on what we will
	substitute to replace definitions of MAXINT for HPUX.

Mon Oct  6 14:54:26 1997  J"orn Rennecke <amylaar@cygnus.co.uk>

	* c-lex.c (check_newline): Handle nextchar at label skipline.

Sun Oct  5 14:20:47 1997  Jim Wilson  <wilson@cygnus.com>

	* v850.md (lshrsi3): Really use N not J constraint.

	* v850.h (CONST_OK_FOR_*): Add and correct comments.
	(CONSTANT_ADDRESS_P): Add comment.
	(EXTRA_CONSTRAINT): Define 'U'.
	* v850.md: Add comments on bit field instructions.
	(addsi3): Delete &r/r/r alternative.  Add r/r/U alternative.
	
Sun Sep 28 00:11:22 1997  Philippe De Muyter  <phdm@info.ucl.ac.be>

	* flow.c (print_rtl_with_bb): Cast alloca return values.

Thu Oct  2 00:19:02 1997  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* jump.c (delete_computation): Ignore REG_DEAD notes when
	reload_completed is set.

Thu Oct  2 17:03:52 1997  J"orn Rennecke <amylaar@cygnus.co.uk>

	* combine.c (can_combine_p): Punt on USEs when the resulting
	insn has a similar USE but with a possibly different value.

Wed Oct  1 15:33:17 1997  J"orn Rennecke <amylaar@cygnus.co.uk>

	* combine.c (can_combine_p): Allow USEs.

Tue Sep 30 23:09:40 1997  Thomas Koenig <ig25@mvmap66.ciw.uni-karlsruhe.de>

	* haifa-sched.c: (get_block_head_tail) Remove unneeded initialization.

Tue Sep 30 11:26:23 1997  Jim Wilson  <wilson@cygnus.com>

	* v850.md (v850_tst1+1): New define_split for tst1 instruction.
	
Mon Sep 29 13:59:31 1997  Jim Wilson  <wilson@cygnus.com>

	* v850.c (reg_or_0_operand): Call register_operand.
	(reg_or_int5_operand): Likewise.
	* v850.h (MASK_BIG_SWITCH, TARGET_BIG_SWITCH): New macros.
	(TARGET_SWITCHES): Add "big-switch".
	(ASM_OUTPUT_ADDR_VEC_ELT, ASM_OUTPUT_ADDR_DIFF_ELT, CASE_VECTOR_MODE,
	ASM_OUTPUT_BEFORE_BASE_LABEL): Add support for TARGET_BIG_SWITCH.
	(CASE_DROPS_THROUGH): Comment out.
	(CASE_VECTOR_PC_RELATIVE, JUMP_TABLES_IN_TEXT_SECTION): Define.
	* v850.md (cmpsi): Delete compare mode.
	(casesi): New pattern.
	
Fri Sep 26 17:03:20 1997  Jim Wilson  <wilson@cygnus.com>

	* v850.h (CONST_OK_FOR_N): Delete redundant compare against zero.
	* v850.md (ashlsi3): Use SImode not QImode for shift count.
	(lshrsi3): Likewise.  Use N not J constraint.
Tue Sep 23 09:01:38 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* flow.c (find_basic_blocks): Mark calls as potentially jumping
	to the EH labels.

Tue Sep 23 09:48:54 1997  Nick Clifton  <nickc@cygnus.com>
	
	* libgcc1-test.c: Added ifdef to prevent inclusion on other targets.

Sun Sep 21 17:45:45 1997  Jeffrey A Law  (law@cygnus.com)

	* loop.c (loop_number): Delete function.  Change all references
	to use uid_loop_num array.
	* loop.h (loop_number): Delete declaration.
	* unroll.c (unroll_loop): Change "loop_number" references to
	use uid_loop_num instead.

	* loop.c (loop_unroll_factor): Move outside #ifdef HAIFA
	conditional.
	(loop_unroll_iter): Remove unused variable and all references.
	(loop_optimize): Always allocate and clear space for loop_unroll_factor.
	(insert_bct): Fix minor formatting problems.
	* loop.h (loop_unroll_factor): Move decl outside #ifdef HAIFA.
	(loop_unroll_iter): Removed unused decl.
	* unroll.c (unroll_loop): Remove code to set loop_unroll_iter.
	Always record the unrolling factor.

	* loop.c (loop_optimize): Always determine if the current
	function has a computed jump.
	(indirect_jump_in_function_p): Use computed_jump_p to determine
	if a particular JUMP_INSN is a computed jump.

	* loop.c (fix_bct_param): Delete unused function.
	(check_bct_param): Likewise.

Fri Sep 19 18:57:26 1997  Jeffrey A Law  (law@cygnus.com)

	From J"oern:
        * haifa-sched.c (update_flow_info): Don't pass SCRATCH to
	dead_or_set_p.

Thu Sep 18 18:15:18 1997  Jim Wilson  <wilson@cygnus.com>

	* v850.c (print_operand): Add 'c', 'C', and 'z' support.  Delete
	unreachable switch statement after 'b' support.  Remove "b" from
	strings for 'b' support.
	* v850.md (branch_normal, branch_invert): Change %b to b%b.
	
Thu Sep 18 10:43:07 1997  Nick Clifton  <nickc@cygnus.com>

	* config/v850/v850.c (construct_restore_jr, construct_save_jarl):
	Replace paranoia check with a comment.

	* config/v850/lib1funcs.asm (__restore_all_interrupt): Use stack
	pointer, not the element pointer to save registers.

	* config/v850/v850.c (compute_register_save_size): Correct register
	number.
	
	
Wed Sep 17 09:51:53 1997  Nick Clifton  <nickc@cygnus.com>

	* config/v850/v850.h (CPP_PREDEFINES): Set based on the contents of
	CPP_PREDEFS, if defined.
Tue Sep 16 10:47:33 1997  Nick Clifton  <nickc@cygnus.com>

	* config/v850/v850.h (CONST_OK_FOR_M): Add missing closing parenthesis.

Tue Sep 16 00:44:21 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* function.c (put_var_into_stack): Disable addressof for now.

Mon Sep 15 18:25:35 1997  Nick Clifton  <nickc@cygnus.com>

	* config/v850/v850.c (construct_save_jarl): Correct paranoia check.
	
Sun Sep 14 11:15:17 1997  Jeffrey A Law  (law@cygnus.com)

	* regmove.c (regmove_optimize): If we end up moving the
	original insn due to lifetime overlaps, make sure to move
	REG_NOTES too.

Sat Sep 13 12:57:26 1997  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (add_branch_dependences): Make each insn in
	a SCHED_GROUP_P block explicitly depend on the previous insn.


Tue Sep  9 09:12:17 1997  Jeffrey A Law  (law@cygnus.com)

        * haifa-sched.c (print_value): Fix last change.

Mon Sep  8 15:15:11 1997  Nick Clifton  <nickc@cygnus.com>


	
Sun Sep  7 23:57:50 1997  Weiwen Liu  <liu@hepunix.physics.yale.edu>

	* haifa-sched.c (find_rgns): Clean up incompatabgle pointer
	warning in bzero.

	* haifa-sched.c (print_value): Clean up ptr->int cast
	warnings.

Sun Sep  7 11:22:55 1997  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* configure.in ({sparc,i[3456]86,powerpcle}-*-solaris2*):
	Put back to `fixincludes=fixinc.svr4' for now, due to math.h using
	struct exception.
	* configure: Likewise.

	* varasm.c (mark_constants): Return if X is a CONST_DOUBLE.

Fri Sep  5 13:48:42 1997  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (update_flow_info) When looking if to set
	found_split_dest or found_orig_dest, look at all parts of a PARALLEL.

Wed Sep  3 14:13:58 1997  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* alpha/alpha.h (ASM_FILE_START): Take out the .arch command for the
	moment.

Wed Sep  3 02:23:54 1997  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (fixup_match_2): Test regmove_dump_file before use.

Tue Sep  2 09:45:45 1997  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (move_insn): Handle notes correctly for insns
	with SCHED_GROUP_P set.

Sat Aug 30 10:49:46 1997  David Edelsohn  <edelsohn@mhpcc.edu>

	* rs6000.md: Make DF fused-add operations pay attention to
	-mno-fused-add.

Thu Aug 28 10:40:34 1997  Jeffrey A Law  (law@cygnus.com)

	* bc-optab.c: Conditionally include stdlib.h.
	(free): Provide a declaration if NEED_DECLARATION_FREE.
	* tree.c (free): Provide a declaration if NEED_DECLARATION_FREE.
	* rtl.h (free): Remove declaration.
	* tree.h (free): Remvoe declaration.

Wed Aug 27 17:07:40 1997  Bob Manson  (manson@cygnus.com)

	* t-z8k: Use TARGET_LIBGCC2_CFLAGS instead of LIBGCC2_CFLAGS.

Tue Aug 26 09:43:58 1997  Nick Clifton  <nickc@cygnus.com>

	* extend.texi (Function Attributes): The zero data area and small
	data areas cover 64K each.

Mon Aug 25 13:12:24 1997  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (find_pre_sched_live): Remove #if 0 code.
	(find_post_sched_live): Likewise.

	* haifa-sched.c (schedule_block): Remove old code to get arguments
	from hard regs into pseudos early.  

Fri Aug 22 16:02:24 1997  Nick Clifton  <nickc@cygnus.com>

	* extend.texi (Function Attributes): Add documentation of sda, tda
	and zda attributes.

Wed Aug 20 14:12:11 1997  Jeffrey A Law  (law@cygnus.com)

	* d10v.h (ISSUE_RATE): Renamed from MACHINE_issue_rate.

Tue Aug 19 10:13:08 1997  Jeffrey A Law  (law@cygnus.com)


	* haifa-sched.c (ISSUE_RATE): Renamed from MACHINE_issue_rate.
        (get_issue_rate): Delete.

	* haifa-sched.c (move_insn): Reemit notes for SCHED_GROUP_P
	insns too.
	(schedule_block): When adjusting basic_block_{head,end}, account
	for movement of SCHED_GROUP_P insns too.

	* haifa-sched.c (debug_dependencies): Fix thinko.

	* haifa-sched.c: Make lots of variables static.

Tue Aug 19 01:43:47 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* Makefile.in (BISON): Add -L flag.
	(cexp.c): Lose -y.


Mon Aug 18 11:10:51 1997  Gavin Koch  <gavin@cygnus.com>

	* config.sub: Scrap r3900.  

Sun Aug 17 22:16:46 1997  Michael Meissner  <meissner@cygnus.com>

	* config.sub (basic_machine): Fix typo.

Sun Aug 17 13:36:18 1997  Jeffrey A Law  (law@cygnus.com)

	* configure.in: Tweak some haifa stuff.
	* configure: Rebuilt.

Sat Aug 16 01:12:33 1997  Jeffrey A Law  (law@cygnus.com)

	* loop.c (is_power_of_2, is_conditional_branch): Delete unused
	functions and declarations.
	(analyze_loop_iterations): Use condjump_p.
	(insert_bct): Likewise.  Use exact_log2.

Fri Aug 15 23:46:42 1997  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (find_post_sched_live): Call FREE_REG_SET as needed.
	(schedule_region): Likewise.
	(schedule_insns): Likewise.

Fri Aug 15 13:43:39 1997  Michael Meissner  <meissner@cygnus.com>

	* haifa-sched.c (debug_dependencies): Use GET_NOTE_INSN_NAME to
	print out the names of the notes.  Print out the name of the insn
	that is not a note, and not an {,CALL_,JUMP_}INSN.

Wed Aug 13 14:59:15 1997  Nick Clifton  <nickc@cygnus.com>

	* config/arm/arm.h (TARGET_OPTIONS): Fix spelling typo.

Tue Aug 12 20:12:46 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* Makefile.in (BISON): bison, not byacc or bison -y.
	(c-parse.c, bi-parser.c, cexp.c): Use bison flags.

Mon Aug 11 10:54:31 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* Makefile.in: Don't run autoheader automatically.

Sat Aug  9 13:01:06 1997  Michael Meissner  <meissner@cygnus.com>

	* rs6000/sysv4.h (*_SPEC): Add support for -mads and -myellowknife.
	Use a common crt0.o for all embedded platforms.  Use --start-group
	and --end-group instead of -( and -) to allow better cut and pasting
	when debugging the linker.  Set default start for MVME text.
	(TARGET_SWITCHES): Add -mads and -myellowknife.

Sat Aug  9 01:08:19 1997  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: Make symlink to ld-new rather than ld.new.
	* configure: Rebuild.

Thu Aug  7 11:40:07 1997  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (BITSET_INVERT): Avoid code with undefined behavior.

	* haifa-sched.c (rank_schedule): Avoid assignment inside if conditions.

	* haifa-sched.c (sched_reg_basic_block): New array.
	(current_block_num): New variable for use in post schedule
	recomputation of REG_BASIC_BLOCK info.
	(sched_note_set): Set REG_BASIC_BLOCK as needed.
	(attach_deaths): Likewise.
	(find_post_sched_live): Move code to detect when a register
	changes from local to a basic block to global. Keep track of
	current_block_num.
	(update_reg_usage): If debugging, note when a register changes
	basic blocks.  Update REG_BASIC_BLOCK from sched_reg_basic_block.
	(schedule_insns): Allocate and initialize sched_reg_basic_block.

Fri Aug  8 20:01:51 1997  J"orn Rennecke <amylaar@cygnus.co.uk>

        * regmove.c (insn-flags.h): #include.
        (fixup_match_2): New function.
        (regmove_optimize): Call it.
	* reload1.c (count_occurrences): No longer static.

Wed Aug  6 00:39:15 1997  Ian Lance Taylor  <ian@cygnus.com>

	* configure.in: Make symlink to as-new rather than as.new.
	* configure: Rebuild.

Tue Aug  5 14:15:09 1997  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (attach_deaths): Undo last change.  Rework code
	so that it's clearer and this mistake won't be made again.

	* haifa-sched.c (attach_deaths): Fix typo.

	* haifa-sched.c (schedule_insns): If there was no first scheduling
	pass, split instructions after reload.

	* haifa-sched.c (schedule_block): Before scheduling, add code to make
	all call used regs that are not fixed or global live when we see a
	CALL_INSN.  During scheduling, change existing code to use same test.

	* haifa-sched.c (reemit_notes): Tweak again.

	* haifa-sched.c (sched_analyze): Smuggle exception region notes
	around.
	(unlink_notes, reemit_notes, schedule_block): Likewise.
	(sched_analyze): Add extra element since we remove two at a time.

	* haifa-sched.c (flush_pending_lists): Add new arg, ONLY_WRITE.
	(sched_analyze_{1,2,insn}): Add new arg to flush_pending_lists.
	(sched_analyze): Always flush pending write list for call, even const.

	* haifa-sched.c (add_dependence): Add test for next != CODE_LABEL.

	* haifa-sched.c (reemit_notes): Renamed from
	restore_loop_and_jump_notes; all references changed.

	* haifa-sched.c (sched_analyze_2): Reorganize comments.  Call
	prev_nonnote_insn.
	(sched_analyze): Add abort call.

	* haifa-sched.c (schedule_block): Copy RTX_INTEGRATE_P bit when
	create a new note.

	* haifa-sched.c: Bring all the aliasing and *_dependence functions
	up to date with sched.c.  Mostly just textual/whitespace changes,
	except that the *_dependence functions now handle addresses with
	ANDs (unaligned addresses).

	* haifa-sched.c (abort1): Delete.  Change all references to
	"abort".

Tue Aug  5 09:40:13 1997  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (sched_note_set): Reset REG_BASIC_BLOCK if we see
	a death of a register which used to be entirely contained in a
	different block.

	* haifa-sched.c (restore_loop_and_jump_notes): Make sure we get
	the return value correct.

Mon Aug  4 20:25:04 1997  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (attach_deaths): Fix another typo in bitmap conversion
	changes.

Mon Aug  4 18:41:12 1997  Mike Meissner  <meissner@cygnus.com>

	* haifa-sched.c (find_post_sched_live): Fix typos in converting the
	code to use the new bitmap macros.	

Mon Aug  4 10:11:52 1997  Nick Clifton  <nickc@cygnus.com>

	* depragmaize.c (process_attr_info_file): Add code to cope with
	attributes that do not end with a new line.

Mon Jul 28 09:29:17 1997  Jeffrey A Law  (law@cygnus.com)

	* mips.md: Add scheduling parameters for the r5900.

Fri Jul 25 20:04:34 1997  J"orn Rennecke <amylaar@cygnus.co.uk>

        * cse.c (invalidate): Check REGNO against MAX_REG.

Fri Jul 25 15:55:41 1997  Michael Meissner  <meissner@cygnus.com>

	* haifa-sched.c (restore_loop_and_jump_notes): Take second argument
	last to give insn to insert notes before.
	(move_insn): Adjust call to restore_loop_and_jump_notes.
	(sched_analyze_insn): Update for bitmap implementation.
	(attach_deaths): Ditto.
	(find_{pre,post}_sched_live): Ditto.
	(debug_reg_vector): Ditto.
	(schedule_{region,insns}): Ditto.
	(update_flow_info): Track changes in sched.c considering global
	registers to always be live, ignoring extra REG_INC notes that
	reload leaves around.
	(sched_analyze): Track changes in sched.c for loop/exception
	begin/end notes.

Fri Jul 25 08:25:16 1997  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (restore_loop_and_jump_notes): Replace
	implementation with reemit_notes from sched.c.

Tue Jul 22 22:21:01 1997  Jeffrey A Law  (law@cygnus.com)

	* mips.md (various function unit definitions): Fix thinkos in
	r3900 support.

Mon Jul 21 09:20:01 1997  Jeffrey A Law  (law@cygnus.com)

	* sched.c (sched_analyze_1): Fix array index when adding
	dependencies for call_used or global registers on the last
	function call.

	* haifa-sched.c (sched_analyze_1): Fix array index when adding
	dependencies for call_used or global registers on the last
	function call.

Thu Jul 17 12:51:05 1997  Jim Wilson  <wilson@cygnus.com>

	* haifa-sched.c (rank_for_schedule): Delete extraneous semicolon after
	an if expression.

Tue Jul 15 18:36:13 1997  Jim Wilson  <wilson@cygnus.com>

	* Makefile.in (configure): Comment out autoconf rule.

Mon Jul 14 10:08:23 1997  Gavin Koch  <gavin@cygnus.com>

	* varasm.c (assemble_variable): Remove unnecessary CYGNUS LOCAL.

Sat Jul 12 01:53:55 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* toplev.c (main): Fix logic in handling language options.

Wed Jul  9 18:13:08 1997  Michael Meissner  <meissner@cygnus.com>

	* expr.c (expand_builtin): Don't use op0 before its assigned to.

Wed Jul  9 14:16:43 1997  Doug Evans  <dje@canuck.cygnus.com>

	* c-decl.c (init_decl_processing): Delete v9 __intN support.

Tue Jul  8 15:10:06 1997  Michael Meissner  <meissner@cygnus.com>

	* combine.c (try_combine): Move expect of value used in a compare
	and then branch to the branch itself.
	* jump.c (condjump_expect_p): Know how try_combine encodes
	expected value.

	* expr.c (expand_builtin): When expanding first argument to
	__builtin_expect, set current_function_processing_expect in case
	back end needs to generate special code.

	* expr.h (current_function_processing_expect): Add declaration.
	* function.c (current_function_processing_expect): Add
	definition.

	* jump.c (branch_predict_move): Deal with having a BARRIER to put
	moved code after that may not be the last insn.  Test whether
	reversed branch produces a valid insn, if not swap pc and label.
	(branch_predict_reorg): Don't assume there is a BARRIER at the end
	of the function.

	* rs6000/rs6000.c (ccr_bit): Add __builtin_expect support.
	(print_operand): Add %q and %Q for __builtin_expect support.

	* rs6000/rs6000.md (expectsi3): Add __builtin_expect support.
	(compare/branch insns): Add preliminary __builtin_expect support.

Mon Jul  7 22:59:24 1997  Ian Lance Taylor  <ian@cygnus.com>

	* config/i386/cygwin32.h (SUPPORTS_ONE_ONLY): Define again.  Revert
 	Cygnus local patch of June 5, 1997.

Mon Jul  7 13:33:06 1997  Ken Raeburn  <raeburn@cygnus.com>

	* m68k/m68kelf.h (ASM_COMMENT_START): Use | not #.

Thu Jun 26 15:12:16 1997  Jeffrey A Law  (law@cygnus.com)

	* z8k.c (z8k_declare_function_name): New function.
	* z8k.h (ASM_DECLARE_FUNCTION_NAME): Use z8k_declare_function_name.
	(z8k_declare_function_name): Declare.

Fri Jun 13 12:18:20 1997  Jeffrey A Law  (law@cygnus.com)

	* m68kelf.h (MOTOROLA): Define.
	(USE_GAS): Define.
	(ASM_OUTPUT_SECTION_NAME): Remove definition.

Tue Jun 10 15:22:30 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* gcc.c (main): Quote contents of COLLECT_GCC_OPTIONS better.

Mon Jun  9 12:26:12 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* gcc.c (main): Quote COLLECT_GCC_OPTIONS in a more robust way.

Thu Jun  5 17:55:32 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* i386/cygwin32.h (SUPPORTS_ONE_ONLY): Disable until gas with
 	BFD_ASSEMBLER is fixed.

Thu Jun  5 19:45:54 1997  Gavin Koch  <gavin@cygnus.com>

	* config/mips/mips.h: More CYGNUS LOCAL fixing.

Thu Jun  5 17:42:39 1997  Gavin Koch  <gavin@cygnus.com>

	* config/mips/mips.h: Add missing CYGNUS LOCAL's.

Thu Jun  5 13:40:33 1997  Mike Meissner  <meissner@cygnus.com>

	* haifa-sched.c (find_post_and_reorder_live): Fix typo.

Thu Jun  5 14:01:47 1997  Nick Clifton  <nickc@cygnus.com>

	* config/arm/arm.h (TARGET_OPTIONS): Add missing comma.

Wed Jun  4 18:11:14 1997  Michael Meissner  <meissner@cygnus.com>

	* haifa-sched.c (sometimes structure): Delete offset, bit fields,
	replace with regno.
	(new_sometimes_live): Take regno argument, not offset and bit.
	Change all callers.
	({check,update}_live_1,sched_analyze{,_1,_insn}): Use *_REG_SET
	macros.  Also fixup any block_*[i] -> BLOCK_*(i) that were missed.
	(sched_note_set,birthing_insn_p,attach_deaths): Ditto.
	(rm_other_notes,find_post_sched_live,update_reg_usage): Ditto.

Mon Jun  2 16:53:53 1997  Michael Meissner  <meissner@cygnus.com>

	* haifa-sched.c (sched_reg_n_deaths): Remove unused variable.
	(struct sometimes): Make fields int sized, not short.
	(schedule_insns): Don't set sched_reg_n_deaths, nobody uses it.

Mon Jun  2 13:37:00 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* m68kelf.h (ASM_COMMENT_START): Define.

Mon Jun  2 12:23:49 1997  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* arm/pe.h (SWITCH_TO_SECTION_FUNCTION): Add missing third
	argument to named_section.

Mon Jun  2 12:24:54 1997  Gavin Koch  <gavin@cygnus.com>

	* config/mips/mips.{md,c,h}: Support for r3900.  Added 
	GENERATE_BRANCHLIKELY, GENERATE_MULT3, GENERATE_MADD, 
	and target_gen_flags.  Removed TARGET_DEBUG_J_MODE to make
	room for TARGET_MIPS3900.
	* configure, config.sub: Support for 3900.
	* config/mips/r3900.h: Added.

Fri May 30 11:00:44 1997  Michael Meissner  <meissner@cygnus.com>

	* regmove.c, haifa-sched.c: Change to use accessor
	macros to reference reg_n_{refs,sets,deaths,calls_crossed} and
	reg_{changes_size,basic_block} arrays.

Wed May 28 09:59:54 1997  Nick Clifton  <nickc@cygnus.com>

	* config/arm/semi.h (ASM_SPEC): Pass -mapcs-26/-mapcs-32 on to
	assembler. 

Fri May 16 17:57:20 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* sparc.h (ASM_OUTPUT_MI_THUNK): Handle -fpic.

Thu May  8 11:29:52 1997  Michael Meissner  <meissner@cygnus.com>

	* d10v/d10v.h (D10V_ALIGN): Change ALIGN macro to D10V_ALIGN to
	avoid conflict with some system headers.
	(STARTING_FRAME_OFFSET): Ditto.
	* d10v/d10v.c (d10v_stack_info): Ditto.

Thu May  1 14:23:20 1997  Mike Meissner  <meissner@cygnus.com>

	* d10v/d10v.h (d10v_output_addr_const): Add declaration.
	(ASM_OUTPUT_SHORT): Call d10v_output_addr_const instead of
	output_addr_const.

	* d10v/d10v.c (d10v_output_addr_const): Like output_addr_const,
	except it truncates all integer constants to 16 bits so that we get
	the correct value when compiling on a 32 bit host.
	(print_operand_address): Call d10v_output_addr_const as
	appropriate.
	(print_operand_memory_reference): Ditto.

Wed Apr 30 11:24:34 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* elfos.h (ASM_OUTPUT_SECTION_NAME): Add reloc arg,
 	use DECL_READONLY_SECTION.
	* i386elf.h, m68kelf.h: Likewise.
	* arm/pe.h (UNIQUE_SECTION_P): Define.
	(SUPPORTS_ONE_ONLY): Define.
	(MAKE_DECL_ONE_ONLY): Lose.
	(ASM_OUTPUT_SECTION_NAME): Add reloc arg, use DECL_READONLY_SECTION.
	* arm/pe.c (arm_pe_unique_section): Add reloc arg, 
	use DECL_READONLY_SECTION.

Fri Apr 25 11:55:54 1997  Jason Merrill  <jason@yorick.cygnus.com>

	* arm/pe.h (MULTIPLE_SYMBOL_SPACES): Rename from NO_LINKAGE_HEURISTICS.

Mon Apr 21 14:55:29 1997  Jim Wilson  <wilson@cygnus.com>

	* m68k/t-m68kelf: Readd coldfire (-m5200) support.  Merge patch
	from FSF made to other m68k/t-* files.

	* mips/t-vr4100, mips/t-vr4300: Likewise.

Mon Mar 24 12:05:06 1997  Doug Evans  <dje@canuck.cygnus.com>

	* m32r/lib1funcs.asm: Delete, no longer used.

Mon Mar 24 12:25:10 1997  Michael Meissner  <meissner@cygnus.com>

	* gcc.c (read_specs): Fix typo in last change.

Fri Mar 21 14:47:21 1997  Michael Meissner  <meissner@cygnus.com>

	* ginclude/va-d10v.h (va_arg): Undo March 14th change which changed
	how byte aligned structures are passed.
	* d10v/d10v.c (function_arg{,_advance}): Ditto.

	* d10v/d10v.c (function_arg_partial_nregs): Take alignment into
	account.

	* ginclude/va-d10v.h (va_arg): Know that odd sized items are passed
	with the hole at the top of the register, not at the bottom of the
	register.
	
Thu Mar 20 13:20:31 1997  Michael Meissner  <meissner@cygnus.com>

	* toplev.c (output_file_directive): Recognize alternate directory
	separators.

Fri Mar 14 15:16:34 1997  Michael Meissner  <meissner@cygnus.com>

	* d10v/d10v.c (function_arg{,_advance}): Small byte aligned
	structures are passed on the stack, just like large structures are.

	* ginclude/va-d10v.h (va_arg): Small byte align structures are
	passed on the stack.

Thu Mar 13 18:12:50 1997  Michael Meissner  <meissner@cygnus.com>

	* d10v/d10v.h (TARGET_SWITCHES): Add support for debugging switches
	-mno-longlong-alu and -mdebug-move4.
	(REAL_ARITHMETIC): Define, so we don't depend on the host
	arithmetic.
	(arith64_operand): Add declaration.
	(d10v_split_logical_op): Ditto.
	({LIB,STARTFILE}_SPEC): Remove -msim.
	(TARGET_SWITCHES): Ditto.

	* d10v/d10v.c (arith64_operand): New pattern matcher to match regs
	or 64 bit integer values.
	(emit_move_4words): Add debugging information if -mdebug-move4 was
	used.  Don't allow the dual auto increment/auto decrement if we wipe
	out the register in the load.
	(d10v_split_logical_op): Split logical operations into their
	component pieces.
	(d10v_subword): Handle 64-bit values.

	* d10v/d10v.md ({adddi3,subdi3,negdi3}): If -mno-longlong-alu, don't
	do inline code.
	({andsi3,iorsi3,xorsi3,one_cmplsi2}): Simplify define_splits to use
	d10v_split_logical_op to split the operands.  Prefer register 1
	being the same as register 0, since it allows for better
	optimizations.
	({anddi3,iordi3,xordi3,one_cmpldi2}): Define.

	* d10v/t-d10v ({,INSTALL_}LIBGCC): Delete -msim support.

Mon Mar 10 16:01:41 1997  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* d10v/d10v.c (print_operand_memory_reference): Fix calculation of
	offset.

	* d10v/d10v.md (tst_eq_true,tst_ne_false): Remove.
	(tst1 patterns): Fix pattern to match machine.

Sun Mar  9 22:58:08 1997  Doug Evans  <dje@seba.cygnus.com>

	* m32r/m32r.h (TARGET_DEBUG_MASK): Define.
	(TARGET_SWITCHES): Add -mdebug.
	(TARGET_OPTIONS): Add -msdata=foo.
	(SDATA_DEFAULT_SIZE): Change to 8.
	(enum m32r_sdata): Declare.
	(TARGET_SDATA_{NONE,SDATA,USE}): New macros.
	(M32R_SDATA_DEFAULT): Default is -msdata=none.
	(CONST_DOUBLE_OK_FOR_LETTER_P): Use G/H for easy DI/DF constants.
	(LEGITIMATE_CONSTANT_P): Allow any CONST_DOUBLE.
	* m32r/m32r.c (m32r_sdata): New global.
	(m32r_init): Process -msdata=foo.
	(m32r_select_section): Put objects marked small in .sdata.
	(m32r_encode_section_info): Don't put readonly objects in .sdata.
	Disable .sdata if -msdata=none.
	(small_data_operand): Renamed from small_data_ref_operand.
	Callers updated.
	(move_double_src_operand): Handle easy constants.
	(easy_{di,df}_const): New functions.
	(memreg_operand): New function.
	* m32r/m32r.md (length attribute): Rewrite.
	(left,right,long function units): Define.
	(*): Clean up length calcs.
	(mov{qi,hi,si}_insn): Add second ldi alternative for small values.
	(movdi): Force non-easy constants to memory.
	(*movdi_insn): Force split of alternative 1.
	Try to optimize loads/stores with auto-inc.
	(DImode reg<-const): Add define_split.
	(*movsf_insn): Handle easy values inline.
	(movdf): Force non-easy constants to memory.
	(*movdf_insn): Handle easy values inline.
	Try to optimize loads/stores with auto-inc.
	(st rM,@+rN): Add peephole for.
	* m32r/t-m32r (TARGET_LIBGCC2_CFLAGS): Turn SDA off for libgcc.a.
	(CRTSTUFF_T_CFLAGS): Don't pass -fpic just yet.
	(MULTILIB_EXTRA_OPTS): Build multilibs, except libgcc.a, with
	-msdata=sdata.

Wed Mar  5 14:24:15 1997  Doug Evans  <dje@seba.cygnus.com>

	* m32r/m32r.h (TARGET_SYM24{,_MASK}): Delete.
	(TARGET_RELAX_MASK): Define.
	(TARGET_SWITCHES): Delete support for -msym{24,32}.  Add -mrelax.
	(TARGET_DEFAULT): Change to 0.
	(TARGET_OPTIONS): Add -mmodel=foo.
	(TARGET_MODEL_{SMALL,MEDIUM,LARGE}): Define.
	(TARGET_ADDR{24,32},TARGET_CALL{26,32}): Define.
	(MULTILIB_DEFAULTS): Change to mmodel=small.
	(EXTRA_CONSTRAINT): Change to use TARGET_ADDR{24,32}.
	(SYM24_FLAG_CHAR): Delete.
	({MEDIUM,LARGE}_FLAG_CHAR,{SMALL,MEDIUM,LARGE}_NAME_P): Define.
	(ENCODE_NAME_P): Update.
	* m32r/m32r.c (m32r_model_string,m32r_model): New globals.
	(m32r_init): Handle --model={small,medium,large}.
	(m32r_valid_machine_decl_attribute): Delete support for __sym{24,32}__
	and recognize __model__(__{small,medium,large}__).
	(m32r_encode_section_info): Likewise.
	(sym{24,32}_operand): Rename to addr{24,32}_operand.  Update to use
	SMALL_NAME_P, TARGET_ADDR{24,32}.
	(call{26,32}_operand): New functions.
	(move_src_operand): Update.
	* m32r/m32r.md (movsi): sym32_operand renamed to addr32_operand.
	(movsi_addr32): Renamed from movsi_sym32.
	(*call_via_label): Emit call to 32 bit address if necessary.
	(*call_value_via_label): Likewise.
	* m32r/t-m32r (MULTILIB_OPTIONS): Rewrite to use -mmodel.
	(MULTILIB_DIRNAMES): Likewise.
	(MULTILIB_MATCHES): Treat -mmodel=large like -mmodel=medium.

Tue Feb 25 19:46:39 1997  Stan Shebs  <shebs@andros.cygnus.com>

	* config.sub: Accept -lnews*.
	* configure (mips*-*-lnews*): New configuration.

Mon Feb 24 13:55:01 1997  Joern Rennecke <amylaar@cygnus.com>

	* d10v/d10v.c (override_options): fix loop end check.

Fri Feb 21 14:36:29 1997  Doug Evans  <dje@seba.cygnus.com>

	* m32r/m32r.c (m32r_init): Add valid punctuation chars #,@.
	If !g_switch_set, set g_switch_value to default.
	(m32r_valid_machine_decl_attribute): New attributes sym24, sym32.
	(m32r_select_section,m32r_encode_section_info): New functions.
	(m32r_init_expanders,small_data_{,ref_}operand): New functions.
	(sym{24,32}_operand,seth_add3_operand): New functions.
	(cmp_int16_operand): New function.
	(int16_operand): Value must be signed 16 bit integer.
	(const_cmpne_operand): Delete.
	(move_src_operand): Only accept labels if TARGET_SYM24.
	Only accept SYMBOL_REF and CONST if they're sym24_operand's.
	(gen_compare): Handle comparisons with large integers by moving
	the constant into a register.
	(m32r_address_cost): All valid addresses have equal cost.
	(m32r_compute_function_type): Simplify.
	(m32r_asm_file_start): Print -G value.
	(m32r_print_operand, case B/T): Handle CONST,SYMBOL_REF,LABEL_REF.
	(m32r_print_operand, cast I): Delete, use '#' instead.
	(m32r_print_operand_address): Delete SYMBOL_REF case, use default.
	Add LO_SUM support to PLUS case.  New case LO_SUM.
	* m32r/m32r.h (SWITCH_TAKES_ARG): Add -G.
	(CC1_SPEC): Pass -G to cc1.
	(TARGET_SYM24{,_MASK},TARGET_SYM32): New macros.
	(TARGET_SWITCHES): Add -msym24,-msym32.
	(TARGET_DEFAULT): Make default -msym24.
	(SDATA_DEFAULT_SIZE): New macro.
	(g_switch_{value,set}): Declare.
	(MULTILIB_DEFAULTS): Define.
	(REG_ALLOC_ORDER): Put arg regs first.
	(EXTRA_CONSTRAINT): Recognize 'R' for sym32_operand's.
	(INIT_EXPANDERS): Define.
	(LEGITIMATE_CONSTANT_P): Don't allow something that requires a reloc
	we can't handle.
	(GO_IF_LEGITIMATE_ADDRESS): Handle LO_SUM's.
	({SDATA,SBSS}_SECTION_FUNCTIONS): Define.
	(EXTRA_SECTIONS): Add in_sdata, in_sbss.
	(EXTRA_SECTION_FUNCTIONS): Update.
	(SELECT_SECTION): Define.
	(ENCODE_SECTION_INFO,STRIP_NAME_ENCODING): Define.
	(ASM_OUTPUT_INTERNAL_LABEL): Delete.
	(ASM_OTPUT_LABELREF): Define.
	(ASM_OUTPUT_ALIGNED_{COMMON,LOCAL,BSS}): Define.
	* m32r/m32r.md (movsi): Handle small data area refs and 32 bit
	symbolic values.
	(movsi_sda,load_sda_base,movsi_sym32,set_hi_si,lo_sum_si): New.
	(*): Use %# to emit IMMEDIATE_PREFIX.
	(cmp_ne_small_const_insn): Renamed from cmp_nesiconst_insn, rewritten.
	* m32r/t-m32r (CROSS_LIBGCC1): Define as empty.
	(MULTILIB_{OPTIONS,DIRNAMES,MATCHES}): Define.
	(LIBGCC,INSTALL_LIBGCC): Define to get multilib support.

Fri Feb 21 11:39:55 1997  Ian Lance Taylor  <ian@cygnus.com>

	* m68k/m68kelf.h (ASM_COMMENT_START): Don't define.

Wed Feb 19 17:15:11 1997  J"orn Rennecke  <amylaar@cygnus.co.uk>

	* expr.c (store_expr): Take MEM_UNALIGNED_P into account.
	(get_pointer_alignment): Take flag_unaligned_pointers etc. into account.

Tue Feb 18 15:16:31 1997  Michael Meissner  <meissner@cygnus.com>

	* jump.c (conditional_execution): Use delete_from_jump_chain to
	delete the jump to the join label in an if-then-else statement.

	* d10v/d10v.c (direct_return): Allow functions that allocate a small
	amount of stack but save no registers to use a direct return.
	* d10v/d10v.md (return_2): Ditto.

Tue Feb 18 11:39:14 1997  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (restore_loop_and_jump_notes): Output LOOP notes in
	the correct order.

Mon Feb 17 17:41:34 1997  J"orn Rennecke <amylaar@cygnus.co.uk>

	* d10v.c (reg_or_0_operand, arith16_operand, arith_4bit_operand) :
	Use d10v_legitimate_address_p to check for basic validity of MEM.
	(arith_nonnegative_operand, arith32_operand) : Likewise.
	(arith_lower0_operand) : Likewise.

Sat Feb 15 20:38:29 1997  Ian Lance Taylor  <ian@cygnus.com>

	* profile.c (output_arc_profiler): Check SMALL_REGISTER_CLASSES at
	run time.

Wed Feb 12 16:57:11 1997  Michael Meissner  <meissner@cygnus.com>

	* d10v/d10v.h (CMPtype): Don't define this here.  It is set when
	building fp-type.c and dp-type.c.

Tue Feb 11 10:30:07 1997  Doug Evans  <dje@canuck.cygnus.com>

	* ginclude/va-m32r.h (va_dcl): Delete __va_ellipsis, use "...".

Mon Feb 10 18:02:55 1997  Doug Evans  <dje@seba.cygnus.com>

	* m32r/m32r.md (movqi_insn): Change I constraint to J.
	Change ldb to ldub.
	(movhi_insn): Change ldh to lduh.  Use ld24 for large unsigned values.

Mon Jan 27 16:22:19 1997  Doug Evans  <dje@canuck.cygnus.com>

	* configure (m32r): Define extra_parts.

Wed Jan 22 13:31:27 1997  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* rs6000/rs6000.c (handle_mac_pragma): Unget the last character if
	it was a newline.

Wed Jan 22 11:34:29 1997  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (USER_H): Add va-m32r.h.

Tue Jan 21 11:45:54 1997  Doug Evans  <dje@seba.cygnus.com>

	* m32r/m32r.md (cmp_nesiconst_insn): Add alternative for lower
	16 bits == zero.  Mark appropriate alternatives as earlyclobber.
	* m32r/m32r.h (REGISTER_NAMES): Rename "cond" to "cbit".
	* longlong.h (add_ssaaaa,sub_ddmmss): Define for m32r.

Tue Jan 14 18:32:18 1997  Jim Wilson  <wilson@cygnus.com>

	* mips/elf[bl]4100.h (CPP_PREDEFINES): Add -D__mips_soft_float.
	* mips/elf[bl]{4100,4300,5000}.h (MIPS_CPU_DEFAULT): Delete.

Thu Jan  9 13:06:48 1997  Jim Wilson  <wilson@cygnus.com>

	* z8k.c (struct option): Rename to struct options.  Change all users.

Mon Dec 23 11:26:46 1996  Bob Manson  <manson@charmed.cygnus.com>
	
        * function.c (push_function_context_to, pop_function_context_from):
        Save and restore current_function_args_info.

        * function.h (struct function): Make slot.

Wed Dec 18 17:25:49 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* mpw-build.in: Build libgcc.xcoff.
	* mpw-make.sed: Use NewFolderRecursive for installation, add
	build and install rules for libgcc.xcoff.

	* mpw-make.sed: Various changes to accommodate Makefile.in
	changes.
	* pexecute.c (pexecute) [MPW]: Restore changes from Aug 16,
	add Cygnus local flag until MPW stuff approved.
	pfinish [MPW]: Set default value for variable.

Wed Dec 18 12:23:07 1996  Doug Evans  <dje@canuck.cygnus.com>

	* m32r/m32r.h (CMP_INT16_P): Fix pseudo off-by-one error.

Wed Dec 11 13:49:38 1996  Jim Wilson  <wilson@cygnus.com>

	* mips/t-vr4100 (MULTILIB_OPTIONS, MULTILIB_DIRNAMES): Delete
	soft-float and single-float support.
	(MULTILIB_MATCHES): Add -mel and -meb support.
	
Tue Dec 10 17:26:04 1996  Doug Evans  <dje@seba.cygnus.com>

	* m32r/m32r.h (BRANCH_COST): Change from 2 to 1.

Sun Dec  8 19:10:07 1996  Doug Evans  <dje@seba.cygnus.com>

	* m32r/m32r.h (TARGET_OLD_COMPARE{,_MASK}): New macros.
	(TARGET_SWITCHES): Add -mold-compare.
	(CONST_OK_FOR_LETTER_P): Add 'P'.
	(ASM_OUTPUT_INTERNAL_LABEL): No longer need .fillinsn.
	* m32r/m32r.c (const_cmpne_operand): New function.
	(signed_comparison_operator): New function.
	(gen_compare): Try to use beq/bne and bxxz insns if possible.
	Use gen_foo insns instead of composing rtl ourselves.
	(m32r_output_function_prologue): No longer need .fillinsn.
	* m32r/m32r.md (lentype attribute): Rewrite.
	(length attribute) Count in bytes.
	(define_asm_attributes): Likewise.
	(all insns): Count in length bytes.
	(cmp_eqsi_insn): Only use if TARGET_OLD_COMPARE.
	(reg_cmpsi_insn): Delete.
	(cmp_nesiconst_insn): New insn.
	(*rev_branch_insn): Tweak.
	(*{rev_,}reg_branch_insn): New insns.
	(*{rev_,}zero_branch_insn): New insns.

	* m32r/m32r.h (FUNCTION_ARG_CALLEE_COPIES): Delete.

Thu Dec  5 12:56:05 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* collect2.c (write_c_file): Wrap the ctor/dtor lists and fns with
	`extern "C" { ... }', to avoid having the fn names mangled with
	the C++ driver.

Mon Dec  2 14:05:14 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (CPP_SPEC): Eliminate -m{no-,}64bit-ref support, since
	it doesn't help 64 bit problems.
	(TARGET_SWITCHES): Ditto.

	* d10v/d10v.c (function_arg{,_advance}: Eliminate -m{no-,}64bit-ref
	support.
	(function_arg_{partial_nregs,_pass_by_reference}): Ditto.

	* d10v/t-d10v (MULTILIB_*): Build subdirectories with -mfloat64.

Thu Nov 28 21:10:38 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/libgcc1.asm (__lshrsi3): Do not propigate sign bit.

	* d10v/t-d10v ({f,d}p-bit.c): Define CMPtype so that comparison
	functions return short, not int.  Also define SMALL_MACHINE so that
	short data types are used.

Wed Nov 27 15:36:30 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (TARGET_SWITCHES): Add -m{,no-}64bit-ref switch to
	control how 64 bit types are passed.
	(CPP_SPEC): If 64 bit types are passed directly on the stack rather
	than by reference, define __NO_64BIT_REF__, otherwise define
	__64BIT_REF__.
	(OPTIMIZATION_OPTIONS): Turn off -fschedule-insns by default.
	(optimize): Add external declaration.

	* d10v/d10v.c (ldi_shift_operand): Check whether we're optimizing
	before honering -msmall-insns.
	(emit_add): Ditto.
	(function_arg{,_advance}): Add support for -m{,no-}64bit-ref.
	(function_{partial_nregs,_pass_by_reference}): Ditto.
	(function_arg_partial_nregs): Fix off by 1 error.

	* d10v/d10v.md ({add,sub}hi3{_no,}_small_insns): Only split large
	insns into smaller insns if optimizing.
	({and,ior,xor}hi3): Ditto.

	* ginclude/va-d10v.h (__va_by_reference_p): Support -mno-64bit-ref.
	(va_arg): Ditto.

Fri Nov 22 14:47:47 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (binary_parallel_operator): Recogonize add2w/sub2w
	operations.
	(emit_add): If r1 = r2 + const and r2 != r1, load constant into r1.

	* d10v/d10v.md (cond_exec_si_binary_{true,false}): Add conditional
	execution cases for add2w/sub2w.
	({add,sub}si3): Rewrite, so that r1 = r2 op r3 doesn't clobber f0,
	so that add2w/sub2w can be done via conditional execution.  Load
	constants into registers first, rather than propigating the carry,
	since it generates better code.
	({and,ior,xor}si3): Add more define_splits.  Fix bug with and of
	0xffff generating incorrect code.
	(one_cmplsi2): Always split.

Thu Nov 21 10:56:23 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (f0_compare_operator): Allow EQ in addition to NE.
	(expand_comparison): Return insns that set f0 and return f0 mode
	through pointer.
	(print_operand, 'F'/'T' cases): Handle EQ.
	(print_operand_memory_reference): Print error, if ++/-- addresses
	aren't correct.
	
	* d10v/d10v.h (TARGET_SWITCHES): Add -m{no-,}cond-move.

	* d10v/d10v.md (mov{qi,hi,si,sf}cc): Add test for TARGET_COND_MOVE.
	(conditional branches, scc operations): Set up insns returned by
	expand_comparison in insn stream.  Handle EQ in f0 comparison tests.
	(zero_expandsidi2 define_split): Fix define_split so that it
	produces correct code.

	* ginclude/va-d10v.h (va_arg): Take into account the fact that an
	odd sized structure may be passed to a varargs/stdarg function.

Wed Nov 20 14:03:36 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* function.c (assign_parm): If FUNCTION_ARG_KEEP_AS_REFERENCE, don't
	load value passes as reference into pseudo register.  Do load after
	all parm registers have been copied into pseudo registers.

	* d10v/d10v.h (d10v_stack): Eliminate {gpr,accum}_save_offset,
	fixed_size fields.
	(FUNCTION_ARG_KEEP_AS_REFERENCE): Define as 1.

	* d10v/d10v.c (d10v_stack_info): Don't calculate fixed_size, or
	{gpr,accum}_save_offset fields.
	(debug_stack_info): Don't print them either.
	(function_{prologue,epilogue}): Elimiate references to obsolete
	fields.  Change how accumulators are stored on the stack, so that
	they are pushed like the GPRs.

	* d10v/d10v.md (mulsi3): Use unsigned multiplies, not signed.
	({ashl,ashr,lshl}si3): Make sure f0 is listed as being clobbered.

	* d10v/libgcc1.asm (__mulsi3): Use unsigned multiplies, not signed.

Mon Nov 18 18:05:20 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* configure: Eliminate the m68000-ericsson-ose configuration.\
	* config/m68k/ose68000.h: Remove.
	* config/m68k/ose68k.h: Set the default target to be a mc68020
	with a mc68881.
	* config/m68k/t-ose68: Build mc68000,mc68020,mc6881,soft-float
	mulitlibs. (fixes PRs 11016 & 7554)

Mon Nov 18 14:22:47 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (CONST_OK_FOR_LETTER_P): Change 'M' to be unsigned
	16-bit constants.
	(PREDICATE_CODES): Add arith_nonnegative_operand.
	(arith_nonnegative_operand): Declare.

	* d10v/d10v.c (arith_nonnegative_operand): Only recognize REGs,
	SUBREGs, and CONST_INTs >= 0.
	(emit_add): Don't support adding negative constants.
	(emit_subtract): Don't support subtracting constants.

	* d10v/d10v.md (add{si,di}3): Force negative constants into
	registers.
	(sub{si,di}3): Force all constants into registers.

Sat Nov 16 11:05:28 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (TARGET_SWITCHES): Add -m{,no-}small-insns switch to
	control whether a long instruction is split into two smaller ones.

	* d10v/d10v.c (ldi_shift_operand): Test TARGET_SMALL_INSNS.
	(binary_parallel_operator): Reformat code somewhat.
	(emit_move_word): If TARGET_SMALL_INSNS and constant can be done via
	small ldi and left shift, emit that code instead of a large ldi.
	(emit_move_2words): For constants, always split.
	(emit_{add,subtract}): If TARGET_SMALL_INSNS, convert add3 r1,r2,c
	into mv r1,r2 & addi/subi r1,c where we can.
	(print_operand): Add 'b' to produce bit # for bseti, bclri, and
	bnoti instructions.  Add 's'/'S' to produce the small ldi.s value
	and shift amount for constants that be done via ldi.s && slli.

	* d10v/d10v.md ({add,sub}hi3): Break into define_expand and two
	insns that take into account TARGET_SMALL_INSNS.  Add appropriate
	define_splits for this case.
	({and,ior,xor}hi3): Take TARGET_SMALL_INSNS into account.  Use %b
	output format.

Fri Nov 15 11:25:08 1996  Jim Wilson  <wilson@cygnus.com>

	* z8k.md (combine5+3): Change immediate_operand to const_int_operand.

Fri Nov 15 13:43:42 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (DWARF2_DEBUGGING_INFO): Undefine for now.

	* d10v/d10v.c (emit_{add,subtract}): Correct add3 r1,r2,c where
	r1!=r2.

Fri Nov 15 10:20:41 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* jump.c (conditional_execution): Fix split insn code so that we
	start at the first insn split, not the last.

Thu Nov 14 23:08:25 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* elfos.h (DWARF2_DEBUGGING_INFO): Define.

Thu Nov 14 14:26:30 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* jump.c (conditional_execution): New function to provide
	conditional execution support.
	(jump_optimize): Call conditional_execution where appropriate.
	(MAX_CONDITIONAL_EXECUTE): If not defined, provide default value.

	* genconfig.c (have_cexecute_{true,false}_flag): New statics to see
	whether we conditional execution insns defined.
	(walk_insn_part): Record if we have conditional execution insns.
	(main): Output #define HAVE_conditional_execution if we have insns
	that can be executed if an expression is true or false.

	* d10v/d10v.c (d10v_cond_exec{,_string}): Support for -mcond-exec=n.
	(override_options): If -mcond-exec=n, set the # of insns that can be
	conditionally compiled.
	(gpr_operand): Return true if register is a GPR register.
	(accum_operand): Return true if register is an accumulator.
	(ldi_shift_operand): Return true if constant int can be formed by a
	small ldi and a shift.
	(cond_move_operand): Use gpr_operand, not register_operand.
	(cond_exec_operand): New function to return whether an operand is
	acceptable for conditional execution.
	({unary,binary,minmax,expand}_parallel_operator): New functions to
	return whether an operator is acceptable for conditional execution.
	(print_operand): Add 'u' to print 'u' if operator is ZERO_EXTEND.
	(d10v_subword): Deal with SUBREG's.

	* d10v/d10v.h (TARGET_OPTIONS): Add -mcond-exec=n support.
	(EXTRA_CONSTRAINT): Call short_memory_operand correctly.
	(MAX_CONDITIONAL_EXECUTE): Define.
	(d10v_cond_exec{,_string}): Add declarations.
	(PREDICATE_CODES): Add {gpr,accum,ldi_shift}_operand, and
	{unary,binary,minmax,expand}_parallel_operator.
	({gpr,accum,ldi_shift}_operand): Add declarations.
	({unary,binary,minmax,expand}_parallel_operator): Ditto.

	* d10v/d10v.md (most insns/splits/peepholes): Change
	 register_operand into {gpr,accum}_operand where appropriate.
	(movhi splits): Split large integer constants into a smaller one
	followed by a left shift where we can.
	(conditional execution): Add support for conditional execution of
	 QI, HI, SI, and SF types.
	({and,ior,xor}hi3): Where small instruction can be used, but
	 operands[1] is not in the same register as operands[0], do a move
	 and the small instruction.
	({and,ior,xor}si3): Improve define_splits for and/ior/xor of
	 register and a constant integer.

Mon Nov 11 10:27:01 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* configure: For hppa1.1-proelf, i960-coff, m68*-{aout,coff,elf},
	mips*-elf, sparclet-aout, sparclite-{aout,coff}: Link in libgloss.h,
	so the startfile, lib, and link specs are consistant for all
	libgloss targets.
	* config/libgloss.h: New file to set the specs entries right for
	libgloss supported targets.

Wed Nov  6 15:40:11 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.h (OPTIMIZATION_OPTIONS): Do not define any more.

Tue Nov  5 11:21:29 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/sim.asm (_exit,exit,abort): Avoid parallel instructions when
	doing system calls.

Mon Nov  4 12:43:36 1996  Gavin Koch  <gavin@cygnus.com>
        
        * c-common: Let the machine attributes handle 'interrupt' rather
        than the common attributes.
        
Sat Nov  1 16:33:36 1996  Gavin Koch  <gavin@cygnus.com>
        
        * invoke.texi: Documented the "offset-info" option.
        
Thu Oct 31 20:25:10 1996  Doug Evans  <dje@canuck.cygnus.com>

	* m32r/m32r.h (EXIT_IGNORE_STACK): Define as 1.
	(CALL_USED_REGISTERS): Make r12 call-saved.
	* m32r/m32r.c (MUST_SAVE_FRAME_POINTER): New macro.
	(m32r_compute_frame_size): Use it.
	(m32r_output_function_epilogue): Don't emit "mv sp,fp" if unneeded.

Wed Oct 30 18:02:36 1996  Gavin Koch  <gavin@cygnus.com>
        
        * gcc.c: New option "offset-info".

        * toplev.c: New option "offset-info".
        
        * stor-layout.c (layout_record): If offset-info, output 
        field offsets as assembler to file named file.
        
Wed Oct 30 11:16:38 1996  Doug Evans  <dje@seba.cygnus.com>

	* m32r/m32r.h (CAN_DEBUG_WITHOUT_FP): Define.
	(PROMOTE_FUNCTION_RETURN): Don't define.
	(ASM_IDENTIFY_{GCC,LANGUAGE}): Don't define (use svr4.h's version).
	* m32r/m32r.md (movsi_insn, ld24 case): Prefix arg with #.

Mon Oct 28 15:27:05 1996  Jeffrey A Law  (law@cygnus.com)

	* typeck.c (signed_or_unsigned_type): If the given type already
	as the correct signedness, then just return it.

Mon Oct 28 10:10:19 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (f0_compare_operator): Do not allow EQ in the tests,
	since the front end will change tests without changing the mode.
	(emit_cond_move): Ditto.
	(print_operand): Ditto.

	* d10v/d10v.md (conditional branches): Fold into one insn, and
	correct code.
	(tst peepholes): Add peepholes to recognize common cases where
	tst{0,1}i and btsti can be used.

	* d10v/d10v.c (pc_or_label_operand): Allow return in addition to pc,
	and label_refs.
	(direct_return): Allow direct returns that reload r13 and then jump
	to it.
	(d10v_stack_cache): Cache for d10v_stack_info.
	(d10v_stack_info): Use d10v_stack_cache if set.  Set it if reload
	has completed.
	(function_epilogue): Clearn d10v_stack_cache.
	(print_operand): Add 'F', 'T' to print out 'f'/'t' for EXExxx
	instructions.

	* d10v/d10v.md (return): Eliminate dependency on r13 so that jump
	recognizes it.
	(tst_{ne,eq}_{true,false}): Add patterns to match {,B}TST
	instructions.
	(branch insns): Allow conditional returns as well as branches.
	(test bit patterns): Add test bit patterns, though these don't
	combine right now.

	* d10v/t-d10v (install-sim): Use installdirs, not install-dir.

Sat Oct 26 12:41:31 1996  Jeffrey A Law  (law@cygnus.com)

	* Makefile.in (install-info): Rename "install-dir" to
	"installdirs".
 
Sat Oct 26 09:01:58 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/xm-d10v.h: Don't include string.h, instead declare all of the
	string functions likely to be used directly.

Fri Oct 25 14:17:54 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.md (short shifts): Tighten up specs a little bit.
	(s{min,max}hi3): Allow min/max of operand, and 0.
	(smaxsi3_internal): Use match_operand, not match_scratch.

	* d10v/d10v.h (TARGET_OPTIONS): Add -mbranch_cost=n support.
	(STACK_FIXED_AREA): Remove unused macro.
	(BRANCH_COST): Use the value of -mbranch-cost=n.
	(d10v_branch_cost{,_string}): New globals for branch cost support.

	* d10v/d10v.c (d10v_branch_cost{,_string}): New globals.
	(override_options): Add support for -mbranch-cost=n.

Thu Oct 24 16:52:08 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (override_options): F0 can be either CCmode or
	CC_REVmode.
	({carry,f,f1,f0}_operand): Ditto.
	({compare,equality,{,un}signed_compare}_operator): Ditto.
	(cond_move_operand): New function to return true if an operand can
	go in a conditional move.
	(f0_compare_operator): New function to return true if the code is an
	EQ/NE comparison of F0 to 0.
	(d10v_expand_cmpdi): Delete.
	(emit_comparison): Skip SUBREGs, allows pseudo registers.
	(select_cc_mode): New function, use emit_comparison to return the
	appropriate mode.
	(expand_comparison): Emit insns to set F0 to do the appropriate
	comparison.  Return F0 with appropriate mode.
	(emit_move_2words): Don't special case where we can do 2 parallel
	ldi's, since the assembler's -O takes care of this.
	(emit_cond_move): Emit a conditional move.

	* d10v/d10v.h (GPR_OR_PSEUDO_P): Returns true if either a GPR hard
	register or a pseudo register.
	(SELECT_CC_MODE): Call select_cc_mode.
	(PREDICATE_CODES): Add cond_move_operand and f0_compare_operand.
	({cond_move,f0_compare}_operand): Add declarations.
	(select_cc_mode): Ditto.
	(expand_comparison): Ditto.
	(emit_cond_move): Ditto.
	(d10v_expand_cmpdi): Delete.

	* d10v/d10v.md (movcc): Add primitive function to copy CC's.
	(comparison,branch,scc insns): Rewrite the whole way comparisons are
	done, so that the cmp instruction can be separated from branch, and
	we can add VLIW optimizations.
	(conditional move insns): Add conditional move support for QI, HI,
	SI, and SF types.
	(extendqihi2): If the value was originally in the register being
	moved, eliminate extra move.
	(extend, zero_extend insns): Change operand0's predicate to be
	register_operand, instead of general_operand.

Wed Oct 23 16:33:53 1996  Doug Evans  <dje@canuck.cygnus.com>

	* explow.c (adjust_stack_worker): Delete, kenner did i386-cygwin32
	stack probing differently.
	({anti_,}adjust_stack): Delete local mods, change back to FSF version.

	Based on patch from Richard Earnshaw <rearnsha@armltd.co.uk>.
	* arm/pe.h (RETURN_IN_MEMORY): Conform to ARM PCS better.
	* arm/pe.c (arm_pe_return_in_memory): New function.

Wed Oct 23 14:44:56 1996  Gavin Koch <gavin@cygnus.com>
        
        * varasm.c (make_decl_rtl,assemble_variable): Allow uninitialized
        globals into named sections.

Wed Oct 23 14:36:27 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (TARGET_DEFAULT): If the scheduler is not Haifa,
	make the default -mno-callee-copies.

	* d10v/d10v.c (emit_comparison): Take an extra argument to say
	whether to emit the comparison, or just return TRUE/FALSE.

	* d10v/d10v.md (branch, scc insns): Add new argument to
	emit_comparison.

Wed Oct 23 10:03:07 1996  Bob Manson  <manson@charmed.cygnus.com>

	* gcov.texi: Use @section instead of @chapter. Remove bogus
	dangling @raisesections, and fix the formatting of the
	data files description.

	* toplev.c (compile_file): Call output_func_start_profiler ()
	here.
	* c-lang.c (finish_file): Not here.

Tue Oct 22 17:26:43 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (ASM_SPEC): Pass -O to the assembler if optimizing and
	not -mno-asm-optimize is passed.
	(TARGET_SWITCHES): Add -m{,no-}asm-optimize.
	({MACHINE,get}_issue_rate): Define for the Haifa scheduler.

	* d10v/d10v.md (function_units): Uncomment to allow scheduler to
	move things around to fill issue slots.

Thu Oct 17 21:50:21 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	a29k.h (ELIGIBLE_FOR_EPILOGUE_DELAY):
	avoid sheduling a load from a stack slot.

Tue Oct 22 09:50:32 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (CPP_PREDEFINES): Define only __D10V__, not D10V.

Mon Oct 21 20:20:11 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/xm-d10v.h: Do not include string.h, stddef.h, nor declare the
	malloc family of functions unless we are actually compiling for a
	d10v.

Fri Oct 18 21:13:23 1996  Doug Evans  <dje@canuck.cygnus.com>

	* m32r/m32r.c (m32r_init): Avoid ANSI style defn.
	(init_reg_tables): Function is static.
	(m32r_output_function_prologue): Push lr last.
	(m32r_output_function_epilogue): Pop lr first.
	(m32r_print_operand): Use IMMEDIATE_PREFIX in cases B/H/N.
	case 'I' for outputting IMMEDIATE_PREFIX.
	Print reg+offset addresses in same format as manual.
	* m32r/m32r.md: Use %I where needed to conform to manual.
	(zero_extend{qihi,qisi,hisi}2): Use # immediate prefix.
	* m32r/m32r.h (STACK_POINTER_OFFSET): Rewrite.
	({REGISTER,LOCAL_LABEL,USER_LABEL,IMMEDIATE}_PREFIX): Define.
	* m32r/initfini.c (__{init,fini}): Renamed from init/fini.
	Push lr last, pop first.  Add section attributes to .init/.fini.

Fri Oct 18 18:05:09 1996  Gavin Koch <gavin@cygnus.com>
        
        * v850/v850.c (v850_encode_data_area): added.
        * v850/v850.h (ASM_OUTPUT_LABELREF): now uses STRIP_NAME_ENCODING.
                      (ENCODE_SECTION_INFO,et al): added.
        * v850/v850.md (movsi): added register/offset addressing for
                                ENCODE_NAME_P names, only ZDA for now.
Fri Oct 18 12:09:12 1996  Ian Lance Taylor  <ian@cygnus.com>

	* mips/elfb5000.h (SUBTARGET_CPP_SIZE_SPEC): Define.
	* mips/elfbl000.h (SUBTARGET_CPP_SIZE_SPEC): Define.

Thu Oct 17 10:55:53 1996  Doug Evans  <dje@seba.cygnus.com>

	* configure (m32r): Define extra_parts.
	* Makefile.in (USER_H): Add va-m32r.h.
	* ginclude/va-m32r.h: New file.
	* ginclude/{stdarg.h,varargs.h}: Use it.
	* m32r/m32r.h (CPP_PREDEFINES): Define __M32R__, not __m32r__.
	(STARTFILE_SPEC): Add crtsysc.o.
	(ASM_OUTPUT_EXTERNAL_LIBCALL): Undef.
	(RETURN_IN_MEMORY): Anything bigger than 8 bytes.
	(LEGITIMATE_CONSTANT_P): Handle 32 bit floats.
	* m32r/m32r.md (movsf_insn): Handle constants better.
	(adddi3,subdi3): Fix.

Thu Oct 17 09:45:18 1996  Jeffrey A Law  (law@cygnus.com)

	* profile.c (output_gcov_string): Avoid ANSI aggregate
	initialization.

Thu Oct 17 11:18:14 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* config/float-d10v.h: New file for float.h for d10v, takes into
	account -mdouble{32,64}.

	* configure (d10v-*): Add float_format=d10v.

	* d10v/d10v.c (d10v_expand_cmpdi): The __{,u}cmpdi{,0} functions now
	return 0/1/2 instead of -1/0/1 so unsigned compares work.
	(emit_move_4words): Correct calls to refers_to_regno_p, which wants
	the second register number to be one greater than the last register
	to check.

	* d10v/libgcc1.asm (__{,u}cmpdi{,0}): Return 0/1/2 instead of
	-1/0/1.

	* d10v/d10v.h (TARGET_SWITCHES): Add -mcallee-copies so we can test
	which is better.

Wed Oct 16 12:55:55 1996  Bob Manson  <manson@charmed.cygnus.com>

	* libgcc2.c: Remove bogus include of <sys/file.h>.

Wed Oct 16 11:59:11 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* ginclude/va-d10v.h (__va_list): Make __va_arg_num field short, not
	int.
	(__va_start_common,va_start): Fix off by one problems in varargs.

	* d10v/d10v.c (emit_move_4words): Deal with the temporary to move 4
	word memory->memory items overlapping one of the address registers.
	Allow single word tempory also.
	(d10v_stack_info): Delete -mnew-stack support.
	(function_{prologue,epilogue}): Ditto.

	* d10v/d10v.h (CPP_SPEC): Delete -mnew-stack support, add -mdouble64
	support.
	(MULTILIB_DEFAULTS): Ditto.
	(TARGET_SWITCHES): Ditto.
	(DOUBLE_TYPE_SIZE): Ditto.
	(STARTING_FRAME_OFFSET): Ditto.
	(REG_PARM_STACK_SPACE): Ditto.

	* d10v/d10v.md (mov{df,di}): Add support for a single HIword
	temporary if we can't get a SIword temporary, and to allow the
	SIword temporary to overlap an adress register.

	* d10v/xm-d10v.h: Include stddef.h and string.h to make sure
	everything gets defined appropriately building libgcc2.a.

	* configure (d10v-*): Use float_format=i32.

Tue Oct 15 22:36:09 1996  Ian Lance Taylor  <ian@cygnus.com>

	* mips/elfb5000.h: Include abi64.h.
 	(MIPS_ABI_DEFAULT): Define.
	(SUBTARGET_CPP_SPEC): Define.
	* mips/elfl5000.h: Include abi64.h.
	(MIPS_ABI_DEFAULT): Define.
	(SUBTARGET_CPP_SPEC): Define.

Tue Oct 15 16:00:27 1996  Bob Manson  <manson@charmed.cygnus.com>

	Changes to make the gcov data files machine independent.

	* gcov-io.h: New file. Implements architecture-independent I/O
	routines.

	* gcov.c: Include gcov-io.h.
	(create_program_flow_graph): Use __read_long.
	(read_files): Read the .da data into a character array instead
	of an array of longs.
	(scan_for_source_files): Use __fetch_long.
	(output_data): Use __read_long.

	* profile.c: Include gcov-io.h.
	(output_gcov_string): Use __write_long.
	(branch_prob): Use __write_long.  Also, don't output the
	filename multiple times to the .bb file if we don't need
	to.  Fix comments to refer to .da file instead of .d file.
	(init_branch_prob): Use more consistent variable names, and
	actually allocate the right amount of space for the .da
	filename.
	(branch_prob): Add additional recognized PARALLEL jump
 	insns for the Alpha; it appears that not everyone uses a USE insn
	for the target label.
	(end_branch_prob): Use __read_long and __write_long.

	* libgcc2.c: Include gcov-io.h if we're compiling gcov support.
	(__bb_exit_func): Use DA_FILE instead of FILE for sanity's sake.
  	Use __read_long to read data from the .da file, and __write_long
	to write data to it.

	* Makefile.in: Add appropriate dependencies for gcov-io.h.
	
	* gcov.texi: Add more details about file formats and general
	documentation cleanup to be consistent with the FSF.
	
Tue Oct 15 12:20:09 1996  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (assertdir): Change to $(tooldir)/include (remove
	Cygnus local patch).

Mon Oct 14 14:21:45 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/libgcc1.asm (__{ashl,ashr,lshr}si3): Correct shift code so
	that it works correctly for shift values > 16 bits.

	* d10v/d10v.h (TARGET_SWITCHES): Add -m{,no-}callee-copies.

	* d10v/d10v.c (function_arg_callee_copies): Base result on
	-m{,no-}callee-copies.

Sun Oct 13 07:59:40 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (d10v_split_constant{32,64}): New functions to split a
	constant into 16-bit parts.
	(print_operand): Call d10v_split_constant{32,64}.
	(d10v_subword): Ditto.
	(d10v_subword{,_mode}): Take argument describing mode of source.
	Merge d10v_subword{,_mode}.

	* d10v/d10v.md (define_splits): Change d10v_subword{,_mode} callers
	to pass source mode as well as destination mode.

	* d10v/d10v.h (CMPtype): Define as HImode.

Fri Oct 11 21:40:03 1996  Bob Manson  <manson@charmed.cygnus.com>

	* profile.c: Include tree.h and output.h.
	(need_func_profiler): New variable.
	(instrument_arcs): Set need_func_profiler instead of adding
	an instruction sequence to the function.
	(output_func_start_profiler): Create a constructor function
	to invoke __bb_init_func with this object file's profile
	data.

	* c-lang.c (finish_file): Invoke output_func_start_profiler ()
	immediately before emitting constructors for this object
	file.

Fri Oct 11 18:17:26 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (STARTING_FRAME_OFFSET): Add missing parenthesis.
	(bcopy): Do not declare.

Thu Oct 10 12:43:36 1996  Ian Lance Taylor  <ian@cygnus.com>

	* config.sub: Merge with top level config.sub.

Wed Oct  9 15:25:10 1996  Jim Wilson  <wilson@cygnus.com>

	* loop.c (insert_bct): Delete unused code for scratch_imm_reg1 and
	scratch_imm_reg2.  Call expand_binop instead of calling gen_rtx
	directly.

Tue Oct  8 13:49:50 1996  Jim Wilson  <wilson@cygnus.com>

        * configure (LIBGCC2_CFLAGS): Add -Dinhibit_libc if --with-newlib.

Mon Oct  7 15:38:59 1996  Jim Wilson  <wilson@cygnus.com>

	* alpha/alpha.h (ASM_IDENTIFY_GCC, ASM_IDENTIFY_LANGUAGE): Define.

Mon Oct  7 15:51:43 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (function_arg{,_partial_nregs,_advance}): Large
	structures are now passed on the stack.

	* ginclude/va-d10v.h (va_arg): Large structures are now passed on
	the stack.

Sat Oct  5 00:10:12 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (emit_move_word): Load labels as byte addresses, not
	as word so we don't break switch statements.

Mon Sep 30 22:00:08 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* m68k/netx68.h: Remove, no longer used.

Mon Sep 30 13:05:16 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (regmove_optimize): '=' and '+' constraints apply
	to all alternatives.

Wed Sep 25 19:13:32 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* m68k/t-m68kelf (MULTILIB_OPTIONS): Add m5200.

Wed Sep 25 17:30:03 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* c-typeck.c (pointer_diff): Convert subtraction to ptrdiff_t type.

Wed Sep 25 08:37:57 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/libgcc1.asm (_{,u}cmpdi{,0}): Correctly return 1 for greater
	than test.

	* d10v/d10v.c (d10v_expand_cmpdi): Call correct function.

Tue Sep 24 13:40:09 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (ASM_COMMENT_START): Use ';' for comment, not '#'.
	(ASM_APP_{ON,OFF}): Ditto.

	* d10v/{scrt0,sim}.asm: Use /* */ for comments, not '#'.

	* d10v/d10v.md (zero_extend{qi,hi}di2): Must load DI values into
	even registers.
	({,zero_}extendsidi2): Load SI value into correct register.

Tue Sep 24 14:15:51 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* gcc.c (used_arg): Removed CYGNUS LOCAL comment from approved
 	patch.

Tue Sep 24 02:31:51 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (regmove_optimize): pair reg_overlap_mentioned_p
	with reg_set_p where appropriate.

Tue Sep 24 01:47:52 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (regmove_optimize): Check if we can combine
	an increment of SRC with a previous insn that set it to
	a constant.

Mon Sep 23 14:31:42 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (WCHAR_TYPE): Set to short unsigned int, not int.
	(CPP_SPEC): Don't define __OLD_STACK__.

	* d10v/d10v.c (d10v_legitimate_address_p): Allow POST_{DEC,INC} and
	PRE_DEC on SFmode.
	(emit_move_4words): Handle overlapping loads.  Allow memory to
	memory transfers & constant to memory transfers if a two word
	temporary is available.

	* d10v/d10v.h (CONST_DOUBLE_OK_FOR_LETTER_P): 'G' is an all-zero
	constant.

	* d10v/d10v.md (mov{di,df}): Handle overlapping moves, and
	{constant,memory} -> memory transfers.  Remove define_splits for
	mov{di,df}.

Mon Sep 23 16:16:30 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (regmove_optimize): Don't insert an insn after P
	if the latter sets cc0.

Fri Sep 20 11:26:05 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (emit_comparison): Fix 16-bit GT <reg>,<constant>.

Thu Sep 19 13:38:45 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (initialize_trampoline): New function to setup a
	trampoline.  Give error message until we can figure out how to get a
	word address instead of a byte address.

	* d10v/d10v.h (TRAMPOLINE_TEMPLATE): Don't define.
	(TRAMPOLINE_ALIGNMENT): Define as 32.
	(INITIALIZE_TRAMPOLINE): Call initialize_trampoline.
	(initialize_trampoline): Add declaration.
	
	* d10v/d10v.c (emit_move_4words): If we are loading/storing indirect
	from a register, use @reg+ and @reg- to change the second
	instruction to 16 bits instead of 32.

	* d10v/d10v.md (mov{di,df}): Don't allow loads to overlap any
	registers used for addressing.

Wed Sep 18 14:49:13 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* arm/pe.h (MAKE_DECL_ONE_ONLY): Don't set DECL_ONE_ONLY.

Wed Sep 18 14:28:01 1996  Doug Evans  <dje@seba.cygnus.com>

	* config.sub, configure: Add M32R support.
	* m32r/{m32r.h,m32r.c,m32r.md,initfini.c,lib1funcs.asm,
	t-m32r,xm-m32r.h}: New files.

Wed Sep 18 09:30:59 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.md (tablejump): Add d constraint.

	* d10v/d10v.c (d10v_legitimate_address_p): Correct typo in skipping
	SUBREGs.

	* d10v/sim.asm ({,_}exit, abort): Use the appropriate trap instead
	of the stop instruction so that the exit code is returned to the
	shell.

Tue Sep 17 16:57:43 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (CPP_SPEC): Delete -mlonglong={32,64} support.
	(TARGET_SWITCHES): Ditto.
	(LONG_LONG_TYPE_SIZE): Ditto.
	(TARGET_SWITCHES): Add -m{new,old}-stack.  -mnew-stack implements a
	new stack frame layout.
	(SAVE_SP_REGNUM): Add -mnew-stack support.
	(d10v_stack): Ditto.
	(STACK_FIXED_AREA): Ditto.
	(STARTING_FRAME_OFFSET): Ditto.
	(REG_PARM_STACK_SPACE): Ditto.
	(ACCUMULATE_OUTGOING_ARGS): Define.
	(OUTGOING_REG_PARM_STACK_SPACE): Define as 1.
	(INITIALIZE_TRAMPOLINE): Add fatal since trampolines are not
	finished yet.
	
	* d10v/d10v.c ({d10v,debug}_stack_info): Add initial support
	for -mnew-stack.
	(function_{prolog,epilog}): Ditto.

Tue Sep 17 12:39:17 1996  Ian Lance Taylor  <ian@cygnus.com>

	* configure (mips64vr5000-*-elf*): New target.
	(mips64vr5000el-*-elf*): New target.
	* config.sub: Recognize mips64vr5000.
	* mips/elfb5000.h, mips/elfl5000.h: New files.

Tue Sep 17 16:17:23 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (regmove_optimize): before trying an optimization
	that changes the value of SRC during the execution of P,
	check that SRC it not used in P.

Mon Sep 16 19:44:11 1996  Stu Grossman  (grossman@critters.cygnus.com)

	* configure (m680[0234]0-*-coff*, m68360-*-coff*): Use dbx debug
	format by default.
	* config/m68k/m68020-elf.h (STARTFILE_SPEC, ENDFILE_SPEC, LIB_SPEC):
	Define.

Mon Sep 16 10:27:07 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c ({{,signed_,unsigned_}compare,equality}_operator):
	Don't allow paradoxical SUBREGs to be created, since they could be
	created with illegal addresses.
	(d10v_legitimate_address_p): Don't allow paradoxical SUBREGs.
	(d10v_legitimize_address): If -mdebug-addr, always print out when we
	try to correct an address.
	(print_operand_memory_reference): Handle SUBREGs.

	* d10v/scrt0.asm: Set stack pointer.

	* d10v/d10v.h (POINTERS_EXTEND_UNSIGNED): Define as 1.

	* d10v/d10v.h (CONST_OK_FOR_LETTER_P): Change 'M' to be a signed
	16-bit constant.
	(PRINT_OPERAND_PUNCT_VALID_P): Add '.' to use r0.
	(d10v_expand_cmpdi): Add declaration.

	* d10v/d10v.c (d10v_expand_cmpdi): Emit call to appropriate function
	for comparion DImode values.
	(emit_move_2words): If parallel ldi case, emit appropriate insns.
	(emit_{add,subtract}): Handle DI +/- CONST_DOUBLE.
	(function_epilogue): Clean up stack properly if varargs/stdarg.

	* d10v/d10v.md (movsi_internal): Don't handle parallel_ldi case
	here.
	(cmpdi,tstdi): Set compare_op{1,2}.
	(branch, scc insns): If DImode comparison call d10v_expand_cmpdi.
	({add,sub}si3): Add clobber of f0.
	(abssi2): Fix clobber of f0.

	* d10v/t-d10v (LIB1ASMFUNCS): Add _cmpdi, _cmpdi0, _ucmpdi, and
	_ucmpdi0.

	* d10v/libgcc1.asm (__divmodsi4): Delete error string no longer
	used.
	(__{,u}cmpdi{,0}): Add functions to compare DImode values.

Sun Sep 15 08:42:23 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (emit_comparison): Delete 64 bit comparisons.

	* d10v/d10v.md (branch, scc insns): Delete 64 bit comparisons.
	Provide worst case length/type attributes.

Sat Sep 14 23:57:35 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (emit_comparison): Fix 32-bit comparisons.

	* d10v/libgcc1.asm (__{,u}divmodsi4): Add 32-bit division & modulus
	support.

	* d10v/d10v.md (neg{si,di}2): Add clobber of f0.  Shave off two
	instructions.

	* d10v/xm-d10v.h (malloc): Add declaration so that libgcc2 builds
	cleanly with -mint32.
	(HOST_BITS_PER_INT): Set to 16 if not -mint32.

Fri Sep 13 12:21:31 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/libgcc1.asm (__{,u}divmodhi4): Add modulus and division
	functions.
	(__{,u}divmodsi4): Add stubs.

	* d10v/t-d10v (LIB1ASMFUNCS): Add _{,u}divmodsi4.

	* longlong.h (count_leading_zeros): Define d10v version.

	* d10v/d10v.c (emit_{add,subtract}): Make sure variable is set in
	the reg+reg and reg-reg cases.  Change exef0t || cpfg f0,c to
	cpfg f0,c || exef0t to silence assembler warning.

	* d10v/d10v.h (L_shtab): Always undef, since it assumes ints are
	32-bits.

	* d10v/d10v.md (extendsidi2): Use correct register for mv2w.

	* d10v/t-d10v (LIBGCC2,LIBGCC1_TEST,libgcc2-null.a): No longer
	define.
	({,INSTALL_}LIBGCC): Build/install multilib version of libgcc.a

Thu Sep 12 17:51:24 1996  Jim Wilson  <wilson@cygnus.com>

	* Makefile.in (cccp.o, cpplib.o): Change GPLUSPLUS_INCLUDE_DIR to use
	libsubdir/unlibsubdir.

Wed Sep 11 10:47:42 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* configure (v850): Honor --with-stabs switch.

Wed Sep 11 10:47:42 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (CONST_COSTS): Define, return COSTS_N_INSNS (1).

Tue Sep 10 11:53:22 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (emit_comparison): Fixup {SI,DI} LE, GT, LEU, GTU
	comparisons.
	(emit_{add,subtract}): New functions to do multiword adds and
	subtracts.

	* d10v/d10v.h (emit_{add,subtract}): Declare.

	* d10v/d10v.md (add{si,di}3): Call emit_add.
	(sub{si,di}3): Call emit_subtract.

	* d10v/d10v.h (ASM_OUTPUT_SHORT): LABEL_REF's also emit word
	addresses.
	(ASM_OUTPUT_ADDR_{VEC,DIFF}_ELT): Emit word addresses for case
	labels.

	* d10v/d10v.md (tablejump): Don't add in label of jump table, since
	we don't use relative labels for switch statements.

	* d10v/d10v.c (emit_comparison): Fix GTU reg,constant.

	* d10v/d10v.h (PREDICATE_CODES): Rename cmp_hi_operator to
	compare_operator, equality_cmp_si_operator to equality_operator,
	{,un}signed_cmp_si_operator to {,un}signed_compare_operator.
	({compare,equality,{,un}signed_compare}_operator): Rename.

	* d10v/d10v.c ({compare,equality,{,un}signed_compare}_operator):
	Rename.  Delete #if 0'ed code.
	(emit_comparison): Add DImode support.

	* d10v/d10v.md (mov{qi,hi}): Allow for storing 0 directly, rather
	than letting optimizer handle doing the store.
	({cmpdi,tstdi}): New patterns for DImode comparisons.
	({branch,scc}_{equality,signed,unsigned}_di): Ditto.
	(conditional branch,scc insns): Rename functions used in the
	match_operator patterns.

Mon Sep  9 15:12:29 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (PREDICATE_CODES): Add arith_4bit_operand.
	(arith_4bit_operand): Add declaration.
	(d10v_subword_mode): Ditto.

	* d10v/d10v.c (arith_4bit_operand): New function to return true if
	value is -16..16, but not 0.
	(d10v_subword_mode): Rename from d10v_subword, take new argument
	that gives the target mode type.  Use change_address instead of
	mucking with the address directly.
	(d10v_subword): Call d10v_subword_mode with HImode mode.

	* d10/d10v.md (zero_extendqihi2): Don't do stores.
	(zero_extendqisi2): Support loads.
	(zero_extend{qi,hi,si}di2): Define.
	(extend{qi,hi,si}di2): Define.
	({add,sub}di3): Define.
	(negsi2): Correctly spell function, add non-accumulator support.
	(negdi2): Define.

	* d10v/libgcc1.asm (__divmodhi4): Produce correctly signed results.

	* d10v/d10v.c (expand_divmod): Correct output registers.

Fri Sep  6 16:49:28 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (TARGET_SWITCHES): Add -mdebug-stack.
	(STACK_BOUNDARY): Now 16, not 32.
	(BIGGEST_ALIGNMENT): Ditto.
	(STARTING_FRAME_OFFSET): Align to 2 byte boundary, not 4.
	(FIXED_REGISTERS, CALL_USED_REGISTERS): Accumulators are fixed by
	default.
	(CONDITIONAL_REGISTER_USAGE): If -maccum, enable use of the
	accumulators as saved registers.
	(MOVE_RATIO): Set to use no more than 4 load/stores before calling
	memcpy.
	(MOVE_MAX): Set to 4.

	* d10v/d10v.c (override_options): Remove code that automagically
	turned off -maccum/-maddac3 if both accumulators were fixed.
	(print_operand): Use {UNITS,BITS}_PER_WORD, not {2,16}.
	(function_arg_boundary): Ditto.
	(d10v_subword): Ditto.
	(function_{prolog,epilog}): Ditto.
	(d10v_stack_info): Fix comment describing stack frame layout to
	match reality.  Align things to 16-bit boundaries, not 32.
	(debug_stack_info): New function to print the d10v_stack structure.
	(function_prologue): Call debug_stack_info if -mdebug-stack.  Use
	pushes to save all GPRs.
	(function_epilogue): If frame pointer, and no saved accumulators,
	use add3 to reset sp.  Use pops to retreive GPRs.

Thu Sep  5 14:31:51 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* ginclude/va-d10v.h: Replace with working version.

	* d10v/d10v.h (d10v_stack): Delete unused varargs_save_offset.
	(INIT_CUMULATIVE_ARGS): Pass FALSE at end of list to indicate that
	this is a call, not a function definition.
	(INIT_CUMULATIVE_INCOMING_ARGS): Define like INIT_CUMULATIVE_ARGS,
	but indicate this is a function definition.
	(EXPAND_BUILTIN_SAVEREGS,SETUP_INCOMING_VARARGS): Define as calls to
	functions in d10v.c.
	(expand_builtin_saveregs,setup_incoming_varargs): Add declarations.

	* d10v/d10v.c (init_cumulative_args): Take indirect argument, modify
	-mdebug-arg messages somewhat.
	(setup_incoming_varargs): If -mdebug-arg, print out information,
	otherwise a NOP.
	(expand_builtin_saveregs): Return the pointer to the start of the
	beginning of the area to hold all of the saved arguments.
	(d10v_stack_info): Determine if this is a stdarg/varargs function,
	and if so, there are 4 additional words on the stack.
	(function_prologue): Modify how stdarg/varargs arguments are saved
	to the stack.

Wed Sep  4 17:36:30 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* Makefile.in (USER_H): Add va-d10v.h.

	* ginclude/{stdarg,varargs}.h (__D10V__): If D10V, include
	va-d10v.h.
	* ginclude/va-d10v.h: Stub for now.

	* d10v/sim.asm (abort): Add primitive abort function.

	* d10v/d10v.h (ENCODE_SECTION_INFO): Call encode_section_info
	function.
	(encode_section_info): Add declaration.
	(ASM_OUTPUT_SHORT): If we are emitting a pointer to a function,
	output the function with a @word suffix.

	* d10v/d10v.c (encode_section_info): Mark function SYMBOL_REFs and
	identifier nodes, so that a word address can be emitted rather
	than a byte address.
	(emit_move_word): If we are loading up the address of a function,
	load up the word address, not the byte address.

Wed Sep  4 15:22:02 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (regmove_optimize): properly wrap all calls of
	try_auto_increment with #if HAVE_....

Wed Sep  4 15:02:11 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (try_auto_increment): anticipate combination
	of pre and inc_insn_set: don't replace REG into SET_SRC
	of INC_INSN_SET, get the register from the INC_INSN_SET itself.
	(regmove_optimize): more thorough pre in/decrement generation.

Wed Sep  4 12:49:23 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (regmove_optimize): Fix bug in last change.

Tue Sep  3 21:43:09 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (try_auto_increment): new function.
	(regmove_optimize): try to replace an add with non-matching
	constraints by two adds with matching constraints.
	Create post/pre-in/decrement where appropriate.
	Try to find a REG_DEAD note for SRC between INSN and P.
	* flow.c (find_use_as_address): no longer static.

Tue Sep  3 12:00:06 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (d10v_expand_divmod): Correct spelling of divmod
	function.

	* d10v/sim.asm (printf,putchar): Switch to new simulator traps.

	* d10v/d10v.c (adjacent_memory_operands): New function to return
	two if two memory operands can be combined into one st2w/ld2w
	instruction.

	* d10v/d10v.h (adjacent_memory_operands): Add declaration.

	* d10v/d10v.md (adjacent register/memory peepholes): Add peepholes
	to use mv2w/ld2w/st2w instructions where possible.

Tue Sep  3 17:36:10 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (stable_but_for_p): new function.
	(regmove_optimize): Before considering to move insn, check
	that it indeed can be moved.
	When doing it, keep better track of REG_DEAD notes.

Tue Sep  3 14:49:29 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (regmove_optimize): When moving insn, remove the
	REG_DEAD note from the last instruction that previously used src.


Sun Sep  1 11:28:52 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.md (zero_extendqisi2): Fix typo in mode.

	* d10v/d10v.h (DOUBLE_TYPE_SIZE): Make double 32 bits.
	(FUNCTION_ARG_CALLEE_COPIES): Define.
	(function_arg_callee_copies): Add declaration.

	* d10v/d10v.c (function_arg_callee_copies): Always return 1.
	(function_arg_pass_by_reference): Pass doubles by reference.
	(toplevel): Include tree.h before expr.h so emit_library_call_value
	is declared.
	
Sat Aug 31 18:21:19 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (regmove_optimize): Added comment to last change.
	When deleting INSN, do it by turning it into a NOTE_INSN_DELETED.

Fri Aug 30 16:09:15 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* d10v/t-d10v (install-sim): Don't install sim.o on top of scrt0.o.

Fri Aug 30 16:56:58 1996  J"orn Rennecke <amylaar@cygnus.co.uk>

	* regmove.c (regmove_optimize): try to optimize
	(set (regX) (op regA constX))
	(set (regY) (op regA constY))
	with op being an add or a shift.

Fri Aug 30 17:07:26 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* gcc.c (used_arg): Fix multilib_matches parsing to not corrupt
 	entry parameter (marked CYGNUS LOCAL for the moment)

Fri Aug 30 10:38:09 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (CONST_OK_FOR_LETTER): Change 'J' into a consant
	suitable for the bclri instruction.

	* d10v/d10v.md ({and,ior,xor}hi3_constant): Add support for bseti,
	bclri, and bnoti.  Deal with and/ior/xor of 0, -1 that can occur
	when spliting 32-bit operations.

	* d10v/d10v.h (STRUCT_VALUE): Define as 0.
	(d10v_expand_divmod): Add declaration.
	
	* d10v/d10v.md ({,u}divmod4): Redo once again, make it a normal
	call.
	(iorhi3): Emit or3, not ior3.

	* d10v/d10v.c (d10v_expand_divmod): New function to generate the
	appropriate divmod call.
	(emit_comparison): Fixup GE long,0 case.

Fri Aug 30 15:40:40 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* config/mips/t-4[13]00: Remove mips3 from MULTILIB_OPTIONS.
	* config/elf[lb]4[13]00.h: Define simple MULTILIB_DEFAULTS.

Thu Aug 29 22:30:57 1996  Michael Meissner  <meissner@wogglebug.ziplink.net>

	* d10v/d10v.h (CPP_SPEC): Define __INT_MAX__ and __LONG_LONG_MAX__
	appropriately so that limits.h works correctly.

	* d10v/d10v.c (function_arg_*, init_cumulative_args): Add
	-mdebug-arg tracing.  Fix various thinkos.  Pass DImode by
	reference.

	* d10v/d10v.h (TARGET_SWITCHES): Add -mdebug-arg switch.

Thu Aug 29 10:49:59 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* expr.c (emit_group_load): Allow for the target_reg to be smaller
	than the input register to allow for AIX and 4 DF arguments after
	a single SI arg, and the last DF argument only loads 1 integer
	register.

Wed Aug 28 14:36:49 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* arm/pe.h (MAKE_DECL_ONE_ONLY): Define.
	(NO_LINKAGE_HEURISTICS): Define.

Wed Aug 28 13:02:12 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/libgcc1.asm (__ashlsi3,__{a,l}shrsi3,__mulsi3): New
	functions which are called if accumulators are not available.

	* d10v/t-d10v (LIB1ASMFUNCS): Add __ashlsi3, __{a,l}shrsi3, and
	__mulsi3.
	
	* d10v/d10v.h (TARGET_SWTICHES): Add -maccum/-mno-accum to control
	whether the accumulator is used or now.  -mno-accum is default.
	(CONDITIONAL_REGISTER_USAGE): If -mno-accum, mark the accumulators
	as fixed.
	(d10v_stack): Add fields for saving/restoring the accumulators.
	(ASM_OUTPUT_{INT,SHORT,CHAR}): Call output_addr_const to properly
	handle initialized pointers.

	* d10v/d10v.c (override_options): If no accumulators are
	available, turn off using accumulator instructions.
	(d10v_stack_info): Calculate space to save accumulators if needed.
	(function_{prologue,epilogue}): Save restore call-saved
	accumulators, including guard digits.

	* d10v/d10v.md (32-bit shift, multiply insns): Check for -maccum
	before generating insns that require the accumulator.
	(reload_{in,out}di): Delete, not used anymore.
	
	* d10v/d10v.c (emit_comparison): Fix long NE comparisons.
	(emit_move_2words): Use %U/%L to split 32 bit constant, not %A/%B.

	* d10v/d10v.md (call{,_value} insns): Ignore next_arg_reg,
	struct_value_size_rtx arguments.  Use match_scratch for r13,
	rather than generating regsiter as a hard register in the clobber.
	
Tue Aug 27 16:36:40 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (reg_class): Reorder so that the general regs come
	higher than accumulators and other registers, so those registers
	are used first.
	(REG_CLASS_{CONTENTS,NAMES}): Ditto.
	(emit_move_word): Add declaration.

	* d10v/d10v.c (override_options): Don't allow HImode/QImode values
	in accumulators.
	(emit_move_word): New function to move 1 16-bit word.
	(emit_move_{2,4}words): Fix typo in error message.
	(print_operand_memory_reference): Fix syntax for post increment,
	post decrement, and pre decrement of stack pointer.
	(d10v_legitimate_address_p): Add support for post increment, post
	decrement, and pre decrement of stack pointer.  Print mode if
	-mdebug-addr.
	(d10v_mode_dependent_address_p): Return TRUE for post increment,
	post decrement, and pre decrement.

	* d10v/d10v.md (mov{qi,hi,sf,df}): Don't allow QI/HI/SF/DF modes
	to use the accumulators.
	(movhi): Call emit_move_word, instead of outputting strings.
	(reload_{in,out}{qi,hi,sf,df}): Delete, reloads aren't needed if
	QI/HI/SF/DF modes won't use the accumulators.
	(mov{sf,df}): Change 'd' to 'e' in constaints, since we need an
	even register.
	({,u}divmod4): Rewrite so that the optimizer works better.

Mon Aug 26 16:56:20 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/t-d10v ({,CROSS_}LIBGCC1): Use libgcc1-asm.a.
	(LIB1ASM{SRC,FUNCS}): Add support for assembling _{,u}divmodhi4
	support.
	(LIBGCC2): Make a NOP for now.
	(LIBGCC1_TEST): Ditto.
	({,INSTALL_}LIBGCC): Build, install stripped down libgcc.a.

	* d10v/libgcc1.asm: New file for libgcc1 support.

	* d10v/d10v.h (reg_class): Add new register classes for r2, r3,
	r4, r5, and r13 registers.
	(REG_CLASS_{NAMES,CONTENTS}): Ditto.
	(EXTRA_CC_{MODES,NAMES}): Add CC_REV.
	(SELECT_CC_MODE): Return CCmode for now.
	(RTX_COSTS): Add basic multiply/divide costs.
	(ASM_OUTPUT_EXTERNAL_LIBCALL): #undef.

	* d10v/d10v.c (override_options): Add support for new register
	classes.
	(reg_or_0_operand): Fix typos.
	(arith{16,32}_operand): Ditto.
	(arith_lower0_operand): Ditto.

	* d10v/d10v.md (divmodhi4): Redo division support to call function
	rather than do 16 divs inline.

Fri Aug 23 15:27:39 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.c (emit_comparison): Add full support for
	comparing a long in normal registers against zero.  Fix up other
	long comparisons.

	* d10v/d10v.md (branch_signed_si): Allow comparisons against 0.
	(branch_unsigned_si): Remove comparisons against non-zero
	constants.
	(scc_*_si): Make the same changes that were made to branch_*_si.

	* d10v/d10v.h (CONST_OK_FOR_LETTER_P): Change 'K' to all values
	that can fit in the short form of cmpeqi.

Thu Aug 22 18:15:49 1996  Per Bothner  <bothner@deneb.cygnus.com>

	* dwarfout.c (fundamental_type_code):  Remove testing for
	an INTEGER_TYPE used as boolean - BOOLEAN_TYPE is used instead.
	Remove redundant testing for Chill byte and ubyte types.
	(BOOLEAN_TYPE_SIZE):  Removed - no longer needed.

Thu Aug 22 16:33:13 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v/d10v.h (PREDICATE_CODES): Add equality_cmp_si_operator.
	(equality_cmp_si_operator): Add declaration.

	* d10v/d10v.c (equality_cmp_si_operator): Return true for EQ, NE.
	(signed_cmp_si_operator): Don't return true for EQ, NE.

	* d10v/d10v.md (branch_equality_si): New insn for EQ, NE branches.
	(branch_signed_si): Eliminate accumulators or constants for now.
	(32-bit variable shifts): Fixup smax insns.
	(smax{si,hi}3, smin{si,hi}3, abs{si,hi}2): Correct pattern.

	* d10v/d10v.md (divmodhi4): Before using mv2w if both divide and
	modulus outputs are needed to adject registers, make sure
	registers are even.

	* d10v/d10v.c (override_options): Fix typo.

	* d10v/d10v.md (sub{hi,si}3): Fix cut+paste problem, use sub, not
	add.

	* d10v/d10v.h (ASM_OUTPUT_{FLOAT,DOUBLE}): Use .double/.float
	psuedo ops now that assembler has been fixed.

Thu Aug 15 17:04:28 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* configure (powerpc-*-macos*): Define xm_file.
	* mpw-config.in: Only build C++ if sources present, use
	xm-mpw.h for tconfig.h, update multilib.h generation to
	reflect Aug 12 change, add mips-*-* configuration that
	defaults to mips-elf, use source dir in pathnames in
	specs.h and options.h.
	* mpw-make.sed: Use symbolic doublequoting when editing
	string arguments to compilers, cover some additional cases
	when matching, define "pascal" in TARGET_LIBGCC2_CFLAGS,
	add @DASH_C_FLAG@ and @SEGMENT_FLAG()@ to compile commands.
	* pexecute.c (pexecute) [MPW]: Remove old bogus code that
	messed with arguments that included a '/', add escape chars
	to double quotes, remove const decl from arg that Mac
	compilers don't seem to like.
	* libgcc2.c: Don't undefine NULL if MPW is the host.
	* config/xm-mpw.h (__SIZE_T): Define if MPW is the actual host.
	(alloca): Declare.
	* rs6000/macos.h (HAVE_ATEXIT): Don't undefine.
	(TARGET_NEWLINE, TARGET_CR): Set correctly for MacOS (also add
	arg to control setting, but commented out for now).

Wed Aug  7 14:35:56 1996  Jim Wilson  <wilson@cygnus.com>

	* profile.c (output_arc_profiler): For SMALL_REGISTER_CLASSES case,
	check whether next_insert_after is an INSN before using PATTERN.

Fri Aug  2 17:20:18 1996  Jim Wilson  <wilson@cygnus.com>

	* m68k/os68000.h (WCHAR_TYPE): Undef.
	* m68k/os68000.h, m68k/ose68000.h, m68k/os68k.h, m68k/netx68k.h
	(WCHAR_TYPE_SIZE): Undef, then define to 16.

Fri Aug  2 01:43:49 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* gcc.c (MULTILIB_DEFAULTS): Default to { "" }, not { NULL }.

Thu Aug  1 14:28:45 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* Makefile.in: Add extra $ to ${srcdir} in RUNTEST so the shell
	variable gets used rather than the makefile variable.

Tue Jul 30 17:47:59 1996  Brendan Kehoe  <brendan@cygnus.com>

	* config/m68k/t-ose68: Fix comment, use # not a C comment.

Tue Jul 30 11:17:10 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* toplev.c (flag_regmove): New option for -fregmove, set by
	whether ENABLE_REGMOVE_PASS is defined.
	(f_options): Add -fregmove.
	(rest_of_compilation): Test for flag_regmove, not whether
	ENABLE_REGMOVE_PASS is defined.

Mon Jul 29 14:35:01 1996  Jim Wilson  <wilson@cygnus.com>

	* haifa-sched.c (except.h): Include.

Thu Jul 25 22:51:26 1996  Jeffrey A Law  (law@cygnus.com)

	* rs6000/macos.h (BIGGEST_FIELD_ALIGNMENT): Define.
	* rs6000/rs6000.c (handle_mac_pragma): Initialize "psize".

Thu Jul 25 18:19:56 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* Makefile.in (mostlyclean): Delete .bp, .shorten files.
	(STAGESTUFF): Move .bp, .shorten files into the stage directory.

Tue Jul 23 11:18:42 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* config/m68k/t-ose68 (LIB2FUNCS_EXTRA): Add xfgnulib.c, to get
	truncxfdf2, et al.
	(xfgnulib.c): Add rule.

Mon Jul 22 15:39:07 1996  Jim Wilson  <wilson@cygnus.com>

	* Makefile.in (target): All uses changed to target_alias.
	(target_canonical): All uses changed to target.
	* configure (target_canonical): Delete.

Fri Jul 19 11:12:49 1996  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (site.exp): Remove erroneous parentheses around TCL
	variable srcdir.

Wed Jul 17 18:04:49 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (cccp): Take out Cygnus local change of not using
	gxx_include_dir; neither libg++ nor libstdc++ install in
	g++-include anymore, cuz libio/config.shared was changed on May 14.
	(cppmain): Likewise.

Tue Jul 16 20:50:32 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* d10v.{c,h,md}: Snapshot of d10v work.

Wed Jul 10 16:24:32 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* Makefile.in (site.exp): Set srcdir to point to the testsuite
 	directory after we've used it to set up the flags variables.
	(check-g++): Don't pass --srcdir.
	(check-gcc, check-chill): Likewise.

Mon Jul  8 15:46:36 1996  Jim Wilson  <wilson@cygnus.com>

	* Makefile.in (testdir): Delete.
	(site.exp): Delete uses of testdir.  Change srcdir to a full pathname
	without testsuite.  Change $(srcdir) to \$$srcdir.
	(check-g++): Create testsuite subdirectory.  Copy site.exp into it.
	Cd into it.  Set srcdir to a full pathname.  Pass --srcdir option
	to runtest.
	(check-gcc, check-chill): Likewise.

Mon Jul  1 13:35:50 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* config{ure,.sub}: Add basic d10v support.
	* d10v/d10v.{c,h,md}: Initial stubs.
	* d10v/xm-d10v.h: Initial stub.
	* d10v/t-d10v: Initial stub.

Fri Jun 28 11:33:17 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* mpw-build.in: New file.
	* mpw-config.in: Add G++ support, fix editing of xgcc compile line.
	* mpw-make.sed: Add installation of cc1plus.
	(TARGET_NAME): Fix quoting of definition.

Thu Jun 27 17:53:20 1996  Ian Lance Taylor  <ian@cygnus.com>

	* mips/ncd.h: Put spaces between the -mips* cases.

Wed Jun 26 14:59:57 1996  Doug Evans  <dje@canuck.cygnus.com>

	* c-common.c (split_specs_attrs): Don't discard attributes
	if more than one present.

Tue Jun 25 10:35:46 1996  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (WCHAR_TYPE,WCHAR_TYPE_SIZE): Redefine.

Thu Jun 20 12:05:51 1996  Joern Rennecke <amylaar@cygnus.com>

	* cccp.c (INO_T_EQ): Define __MSDOS__ version of it.

Mon Jun 24 14:16:48 1996  Jim Wilson  <wilson@cygnus.com>

	* haifa-sched.c (insn_issue_delay): Readd Dec 24 change.  Don't
	deference a null blockage_function pointer.

Wed Jun 19 14:12:37 1996  Jim Wilson  <wilson@cygnus.com>

	* haifa-sched.c (create_reg_dead_note): Remove last change.
	(schedule_block): Add Mar 31 sched.c change

Wed Jun 19 14:49:23 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* genattrtab.c (expand_units): If HAIFA, don't subtract 1 from the
	* blockage factor.

	* configure (--enable-haifa): If --enable-haifa, delete genattrtab.o
	also.
	
	* haifa-sched.c (create_reg_dead_note): Restore 6/6 change.

Wed Jun 19 01:21:08 1996  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (gcc.o): Restore CYGNUS LOCAL setting of
	TOOLDIR_BASE_PREFIX accidentally clobbered in last merge.

Mon Jun 17 23:11:13 1996  Mike Meissner  <meissner@rtl.cygnus.com>

	* haifa-sched.c (add_dependence): Don't skip over labels.
	(insn_issue_delay): Do not test blockage_function field for being
	a null pointer.
	(sched_analyze_2): In going to previous insn, skips notes.
	(sched_analyze): Don't call abort.
	(create_reg_dead_note): Ditto.
	(get_block_head_tail): Initialize head, tail.
	(restore_line_notes): Don't set RTX_INTEGRATED_P.
	(queue_to_ready): Only break if n_ready.
	(print_exp): Remove spaces in debug output.

	* loop.h (loop_initial_value,loop_unroll_iter): New globals.

	* loop.c (loop_initial_value,loop_unroll_iter): New globals.
	(loop_optimize): Initialize.
	(get_condition_for_loop): Ditto.

	* unroll.c (unroll_loop): Set loop_unroll_iter, loop_start_value.

Wed Jun 12 19:20:07 1996  Doug Evans  <dje@canuck.cygnus.com>

	* i386/i386.c (function_prologue): Restore local mods
	for stack probing.

Mon Jun 10 16:43:36 1996  Doug Evans  <dje@canuck.cygnus.com>

	* gcc.c: Define PEXECUTE_PFINISH if MPW.
	(main): Call pfinish if PEXECUTE_PFINISH is defined.

Sun Jun  9 12:32:28 1996  Doug Evans  <dje@canuck.cygnus.com>

	* varasm.c (assemble_start_function): Put "one-only" functions
	in their own section.
	(assemble_variable): Put "one-only" variables in their own section.

Thu Jun  6 10:37:47 1996  Michael Meissner  <meissner@tiktok.cygnus.com>

	* haifa-sched.c (create_reg_dead_note): Don't abort if there are
	no notes to create.

Mon Jun  3 08:32:07 1996  Doug Evans  <dje@canuck.cygnus.com>

	* toplev.c (print_version): Fix printing of Haifa sched comment.

Wed May 22 13:12:37 1996  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.c (arm_pe_unique_section): Use grouped sections.

Tue May 21 15:20:36 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* rs6000/rs6000.c (handle_mac_pragma): Fix return results,
	recognize "align=power".

	* mpw-config.in: Enable Haifa scheduler if --enable-haifa,
	join multiple lines of xgcc link.
	* mpw-make.sed (ALL_CCLDFLAGS, HOST_CCLDFLAGS): Edit in defns
	of these in place of ALL_CFLAGS and HOST_CFLAGS when linking.
	(IN_GCC): Don't edit out.

	* haifa-sched.c (clock_var): Rename from "clock", which conflicts
	with library function.

Mon May 20 10:32:07 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* gcc.c (multilib_raw): Add a NULL at the end.

Mon May 13 19:34:15 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* varasm.c (in_static_list): Delete alloca call setting name.

Tue May  7 13:17:26 1996  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.c (arm_pe_encode_section_info): Undo patch of April 30.
	(arm_pe_unique_section): New function.
	* arm/pe.h (UNIQUE_SECTION): Define.
	(ASM_OUTPUT_SECTION_NAME): Use `.linkonce discard' for fns.

Tue Apr 30 13:14:00 1996  Doug Evans  <dje@canuck.cygnus.com>

	* varasm.c (assemble_variable): Abort for things not handled by
	current one-only support.
	* arm/pe.c (arm_pe_encode_section_info): If the decl is one-only,
	set the section attribute.
	* arm/pe.h (ASM_OUTPUT_SECTION_NAME): Output .linkonce for one-only
	decls.

Mon Apr 29 22:33:41 1996  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (CPP_SPEC): Delete.
	(CPP_PREDEFINES): Define.
	(SUPPORTS_ONE_ONLY): Define.

Wed Apr 24 14:30:23 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* collect2.c (main): Delete export_file if rflag || !do_collecting.

Sun Apr 21 11:20:51 1996  Doug Evans  <dje@blues.cygnus.com>

	* Makefile.in (hash.o): Add rule for SunOS VPATH.

Fri Apr 19 12:31:19 1996  Doug Evans  <dje@canuck.cygnus.com>

	* arm/t-pe ([fd]p-bit.c): __big_endian__ renamed to __ARMEB__.
	(pe.o): Copy standard .c.o rule.
	(LIBGCC1_TEST): Delete.

Wed Apr 17 12:28:26 1996  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* config/rs6000/rs6000.c (handle_mac_pragma): Likewise.  Read in
	the rest of the line after the token to get the pragmas (which use
	equals signs).
	* config/rs6000/macos.h (HANDLE_PRAGMA): Add second argument NODE.

Wed Apr 17 11:12:19 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* m68k/m68kelf.h (ASM_OUTPUT_SECTION_NAME): Test DECL before
	dereferencing it.
	* i386/i386elf.h (ASM_OUTPUT_SECTION_NAME): Likewise.

	* i386/t-crtpic (LIBGCC1, CROSS_LIBGCC1): Define.

	* m68k/coff.h (STARTFILE_SPEC): Comment out.

Mon Apr 15 14:54:37 1996  Rob Savoye  <rob@chinadoll.cygnus.com>

	* config/m68k/m68kemb.h: Add LINK_SPEC, STARTFILE_SPEC, LIB_SPEC,
	SUBTARGET_SWITCHES, so gcc will use libgloss for supported
	target boards (idp, mvme, bcc).

Sun Apr 14 15:21:59 1996  Doug Evans  <dje@canuck.cygnus.com>

	* arm/coff.h: #include "arm/semi.h", not "arm/aout.h".
	(ASM_SPEC,LINKSPEC,DEFAULT_SIGNED_CHAR,WCHAR_TYPE{,SIZE}): Delete.
	(MULTILIB_DEFAULTS): Define.
	(ASM_COMMENT_START,{FILE,IDENT}_ASM_OP): Delete.
	(ASM_OUTPUT_LABELREF,ASM_DECLARE_FUNCTION_NAME,ASM_OUTPUT_COMMON,
	ASM_DECLARE_OBJECT_NAME): Delete.
	(JUMP_TABLES_IN_TEXT_SECTION): Define.
	* arm/t-bare (fp-bit.c,dp-bit.c): __big_endian__ renamed to __ARMEB__.
	(LIBGCC1_TEST): Delete.
	(MULTILIB_OPTIONS): -EB renamed to -mbe.  Add -mle.
	(MULTILIB_MATCHES): Define.

Mon Apr  1 16:57:42 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* mpw-config.in (CRT0_S, MCRT0_S): Add empty definitions
	to generated MPW makefile.

Thu Mar 28 13:50:04 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* c-decl.c (shadow_tag_warned): Call split_specs_attrs.

Thu Mar 21 16:58:53 1996  Mike Stump  <mrs@cygnus.com>

	* config/z8k/z8k.{h,c}: Add reg 18 as the return address pointer
	pseudo register for exception handling and define it to be
	eliminable.

Thu Mar 21 02:43:49 1996  Jason Molenda  (crash@phydeaux.cygnus.com)

	* configure (sh-*-*): Use shell convention for CYGNUS LOCAL
	comment.

Thu Mar 14 19:42:22 1996  Ian Lance Taylor  <ian@cygnus.com>

	* configure (mips*-nec-sysv4*): New host.

Wed Mar 13 10:47:16 1996  Doug Evans  <dje@charmed.cygnus.com>

	* build-make (INSTALL_TARGET, ALL): Comment out.

Mon Mar 11 10:04:09 1996  Jeffrey A Law  (law@cygnus.com)

	* h8300/h8300.h (ENABLE_REGMOVE): Define.

Fri Mar  8 12:35:51 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* rs6000/macos.h (SWITCH_TAKES_ARG): Define.
	(CPP_PREDEFINES): Remove 601 definitions.
	(CPP_SPEC): Define.
	(SHIFT_COUNT_TRUNCATED): Remove definition.
	(HANDLE_PRAGMA): Define.
	(LEGITIMATE_CONSTANT_POOL_BASE_P, etc) [MPW_C]: Remove, no longer
	used.
	(EMPTY_FIELD_BOUNDARY): Define.
	* rs6000/rs6000.c (mac68k_aligned): New global.
	(handle_mac_pragma): New function.

Fri Mar  8 11:15:26 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* regmove.c (regmove_optimize): In backward pass, if validate_change
	fails, must call validate_change again to replace dst after fixing
	all srcs.

	* haifa-sched.c (schedule_block): Double the value of bblst_size.

Thu Mar  7 18:33:48 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* configure (powerpc-*-macos, powerpc-*-mpw): New configurations.

	* mpw-config.in (mips-*-*): Build tm.h by including ecoff.h and
	dbx.h, since ecoff-gdb.h is gone.

	* gsyms.h (sdb_type): Move comma inside Cygnus local ifdef,
	appeases picky compilers.

	* cccp.c: Update MPW support bits to handle include files in the
	new way.
	(main): Accept -i <name> and -d <def> as equivalents of -I and -D.

Wed Feb 28 19:01:55 1996  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (libgcc1.a): Don't bother checking that host and
	target are the same: it's no longer useful.

Tue Feb 27 16:52:07 1996  Jim Wilson  <wilson@chestnut.cygnus.com>


Tue Feb 27 12:30:31 1996  Raymond Jou  <rjou@mexican.cygnus.com>

	* cccp.c: Add (ALMOST_STDC)) to ensure stdarg.h is included 
	for Power Mac.

Tue Feb 27 09:43:20 1996  Doug Evans  <dje@charmed.cygnus.com>

	* config.sub (sparc*frw*): Delete.  Use -mflat now.

Fri Feb 23 15:10:06 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* Makefile.in (stmp-fixproto): Fix CYGNUS LOCAL comments.

Wed Feb 21 16:20:08 1996  Doug Evans  <dje@charmed.cygnus.com>

	* arm/coff.h: #include aout.h, not arm-gal.h
	(ASM_SPEC, LINK_SPEC): Redefine to pass endianness.
	(USER_LABEL_PREFIX): Delete.
	* arm/arm-gal.h: Delete file.

Tue Feb 13 15:25:24 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* Makefile.in (deduced.h): Check to see if SYSTEM_HEADER_DIR exists.
	(stmp-fixproto): Likewise.

Tue Feb 13 11:10:04 1996  Doug Evans  <dje@charmed.cygnus.com>

	* configure (sparc*frw*): Delete old frw support, -mflat used now.
	* sparc/{sparcf.h,sparcfc.h,litef.h,litefccoff.h,litefc.h}: Deleted.

Fri Feb  9 10:19:40 1996  Doug Evans  <dje@charmed.cygnus.com>

	* haifa-sched.c (add_dependence): Add test for next != CODE_LABEL.
	(get_block_head_tail): Delete unnecessary sets of head/tail.
	(queue_to_ready): Delete unnecessary test for n_ready != 0.
	(schedule_block): Delete unnecessary test for head != NOTE.

Wed Jan 31 14:11:24 1996  Doug Evans  <dje@charmed.cygnus.com>

	* configure (m68{000,020,030,040,302,332}-{aout,coff}): Set tm_file
	to m68k-{aout,coff}.h.
	(m680[01234]0-wrs-vxworks*): Set tm_file to vxm68k.h.
	(m68020-*-elf*): Set cpu_type to m68k.
	(machine): Set target_cpu_default for m68*.
	* m68k/m68{000,020,030,040,302,332}-{aout,coff,none}.h: Delete.
	* m68k/vx680[0234]0.h: Delete.
	* m68k/m68020-elf.h: #include m68k-none.h instead of m68020-none.h.
	* m68k/ose68000.h: #include m68k-none.h instead of m68000-none.h.
	* m68k/ose68k.h: #include m68k-none.h instead of m68020-none.h.

Wed Jan 31 13:53:01 1996  Ian Lance Taylor  <ian@cygnus.com>

	* config.sub: Merge with top level config.sub.

Wed Jan 31 10:51:07 1996  Doug Evans  <dje@charmed.cygnus.com>

	* m68k/m68{000,020,030,040,302,332}-coff.h: #include m68k/coff.h
	instead of m68k/m68k-coff.h.

Sun Jan 28 10:39:25 1996  Doug Evans  <dje@charmed.cygnus.com>

	* c-typeck.c (merge_attributes): Deleted, at FSF now.

Sat Jan 27 08:33:08 1996  Doug Evans  <dje@charmed.cygnus.com>

	* gcc.c (default_compilers): Remove -noquiet support.

Fri Jan 26 17:24:11 1996  Steve Chamberlain  <sac@slash.cygnus.com>

	* config/i386/xm-win32.h (PATH_SEPARATOR): Delete.
	* config/i386/win32.h (CPP_PREDEFINES): System is nt.
	(ASM_OUTPUT_SOURCE_LINE, DBX_OUTPUT_MAIN_SOURCE_FILE_END,
	DBX_FUNCTION_FIRST): New.

Fri Jan 26 14:31:53 1996  Jason Merrill  <jason@yorick.cygnus.com>

	* gcc.c (SWITCH_TAKES_ARG): Add 'V', 'B' and 'b'.
  	(process_command): Increment n_switches for them.  Don't discard
 	their args.  Validate them.
	(main): Escape " marks when creating COLLECT_GCC_OPTIONS.
	From Rohan Lenard.

Thu Jan 25 15:58:51 1996  James G. Smith  <jsmith@cygnus.co.uk>

	* configure: (mips64vr4100*-*-elf*): Added vr4100 targetted build
 	file selection.

	* config.sub (basic_machine): Recognise vr4100 targets.

	* config/mips/t-vr4300: Build hard floating-point MULTILIB targets.

	* config/mips/{elfb4100.h, elfl4100.h, t-vr4100}: Added.

Thu Jan 18 09:32:28 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* config/z8k/z8k.h (DBX_DEBUGGING_INFO): Undef.
	(ASM_OUTPUT_SOURCE_LINE): Undef before redefining.

Tue Jan 16 14:05:34 1996  Doug Evans  <dje@canuck.cygnus.com>

	* haifa-sched.c (sched_analyze_2): Reorganize comments.  Call
	prev_nonnote_insn.
	(sched_analyze): Add abort call.

Tue Jan 16 11:57:50 1996  Ian Lance Taylor  <ian@cygnus.com>

	* config/arm/coff.h: Use dbxcoff.h.
	* config/z8k/z8k.h: Likewise.

Mon Jan 15 13:52:25 1996  Stan Shebs  <shebs@andros.cygnus.com>

	* cccp.c (main): Remove CYGNUS LOCAL -noquiet option.
	(quiet_flag, get_run_time, print_time): Remove.
	* cpplib.c (sys/param.h): Don't include.

Sun Jan 14 15:48:33 1996  Jim Wilson  <wilson@chestnut.cygnus.com>

	* haifa-sched.c (restore_line_notes):  Copy RTX_INTEGRATE_P bit
	when create a new note.

Sat Jan 13 11:42:30 1996  Per Bothner  <bothner@kalessin.cygnus.com>

	* expr.c (store_constructor):  For index range for array, use
	 expand_exit_loop_if_false (it handles unsigned and is simpler).

Mon Jan  8 23:03:21 1996  J"orn Rennecke (amylaar@meolyon.hanse.de)

	* fold-const.c (const_binop): recognize NOP_EXPR made by non_lvalue.

Wed Jan 10 11:00:34 1996  Doug Evans  <dje@canuck.cygnus.com>

	* unroll.c (iteration_info): #if 0 out static prototype.

Fri Dec 29 15:57:18 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* reload1.c (new_spill_reg): Improve fixed or forbidden register
	spill error message.

Wed Dec 27 17:18:45 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000.c (function_arg): Add prototype code for testing
	-mxl-compat switch to be compatible with IBM's compiler that
	doesn't meet their own calling language.

	* rs6000.h (TARGET_XL_COMPAT): Add -mxl-compat switch.

Wed Dec 27 13:37:47 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* toplev.c (main): Print that the Haifa scheduler is used in the
	version string.

Sun Dec 24 20:03:18 1995  Jeffrey A Law  (law@cygnus.com)

	* haifa-sched.c (insn_issue_delay): Don't dereference a null
	blockage_function pointer.

Fri Dec 22 15:55:00 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.md (function units): Add 403 support which deleted
 	by accident on Nov 21st.  Mark all compares from 602, 603, 604,
 	620, 403, like was done for rios{1,2} and 601 as needing the bpu,
 	so that compares are hoisted far enough branches for zero cycle
 	branch support.

Thu Dec 21 11:04:07 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* collect2.c (main): Delete export_file if rflag || !do_collecting.
	(handler): Also delete export_file when we get a signal.
	
Mon Dec 18 12:37:30 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* c-typeck.c (pointer_int_sum): Delete use of OFFSET_SIZE.
	
	* z8k.md (ldirb_z8001, ldirb_z8002, ldir_z8001, ldir_z8002): Add
	'+' constraint to operand2.

	* expr.c (get_inner_reference, expand_expr): Delete CYGNUS LOCAL
	changes using OFFSET_SIZE.
	* tree.h (OFFSET_SIZE): Delete default definition.
	* z8k/z8k.c (asm_file_start): Use TARGET_BIG instead of
	TARGET_SHORT_SIZE.
	* z8k/z8k.h (SiZE_TYPE): Use TARGET_BIG instead of TARGET_SHORT_SIZE.
	(CPP_SPEC): Likewise.
	(TARGET_SHORT_SIZE_BIT, TARGET_SHORT_SIZE): Delete.
	(TARGET_SWITCHES): -mhuge no longer sets TARGET_BIG_BIT.  Delete
	-msize_t16 and -msize_t32 options.
	(TARGET_DEFAULTS): Remove TARGET_SHORT_SIZE_BIT.
	(OFFSET_SIZE, OFFSET_UNSIGNED, INTmode): Delete definitions.
	
Fri Dec 15 15:48:19 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* z8k/z8k.h (ADDRARITH_TYPE): Delete.

Thu Dec 14 19:04:10 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* fold-const.c (fold): Delete obsolete z8k cygnus local changes.
	* rtl.def (CVTSIPTR, CVTPTRSI): Likewise.
	* stor-layout.c (addrarith_type): Likewise.
	* tree.def (CVTSIPTR_EXPR, CVTPTRSI_EXPR): Likewise.

	* z8k/z8k.c (unpack_ptr, pack_ptr, emit_cvtptr): Delete.
	* z8k/z8k.h (UNPACK_PTR, PACK_PTR, PERFORM_CVTSIPTR,
	PERFORM_CVTPTRSI): Delete.
	(unpack_ptr, pack_ptr, emit_cvtptr): Delete declarations.
	* z8k/z8k.md (cvtptrsi2, cvtsiptr2): Delete.
	
Wed Dec 13 16:59:02 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/t-pe (MULTILIB_{OPTIONS,DIRNAMES}): Delete big-endian support.

Fri Dec  8 19:17:30 1995  Mike Meissner  <meissner@beauty.cygnus.com>

	* rs6000/rs6000.c (input_operand): Allow any integer constant, not
	just integers that fit in 1 instruction.

Fri Dec  8 13:24:09 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* z8k/z8k.h (PTRDIFF_TYPE): Don't use unsigned type.
	(CPP_SPEC): Put PTRDIFF_TYPE defines next to each other.

Fri Dec  8 12:12:15 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* haifa-sched.c (schedule_insns): Correct bzero call for insn_depend.

Wed Dec  6 14:55:35 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (install-common): Record $(FIXPROTO_DEFINES) in file
	fixproto-defines in the	install-tools directory.

Mon Dec  4 11:01:45 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* configure (--enable-haifa): Also delete loop.o.

Sat Dec  2 07:52:46 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.md (movsi): Don't split large constants in the
	movsi pattern, let the define_split split it later as needed.


Fri Dec  1 09:45:48 1995  Michael Meissner  <meissner@wogglebug.tiac.net>

	* configure (--enable-haifa): Using --enable-haifa{,=no} now
	deletes the objects that need to be recompiled with or without
	-DHAIFA.

Wed Nov 29 23:49:45 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (DO_GLOBAL_{CTORS,DTORS}_BODY): Delete, use coff.h.
	(CTOR_LISTS_DEFINED_EXTERNALLY): Likewise.
	* arm/coff.h (CTOR_LISTS_DEFINED_EXTERNALLY): Move here from pe.h.

Tue Nov 28 13:16:41 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (stmp-fixinc): cross-make sets SYSTEM_HEADER_DIR
	to $(tooldir)/sys-include now.

Mon Nov 27 08:55:02 1995  steve chamberlain  <sac@slash.cygnus.com>
 
 	* z8k.md (movstrhi): Fix src and dst order.


Mon Nov 27 12:11:23 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* toplev.c (main): Remove code that uses #ifndef MACHINE_xxx to
	set the various scheduler flags, these belong in
	OPTIMIZATION_OPTIONS.
	(f_options): Turn off sched-spec-load by default, since a lot
	of systems do not map in page 0 to catch illegal uses of NULL
	pointers.

	* rs6000/rs6000.h (OPTIMIZATION_OPTIONS): If TARGET_AIX, and LEVEL
	is at least 2, set sched-spec-load to 1.
	(TARGET_MACOS): If not defined, define as 0.
	(TARGET_AIX): If not TARGET_{MACOS,WINDOWS_NT,ELF}, define as 1,
	otherwise define as 0.

	* rs6000/macos.h (TARGET_MACOS): Define as 1.
	* rs6000/mach.h (TARGET_AIX): Define as 0.
	* rs6000/netware.h (TARGET_AIX): Define as 0.

Fri Nov 24 10:34:51 1995  Michael Tiemann  <tiemann@axon.cygnus.com>

	* haifa-sched.c (unlink_line_notes): Unlink only line notes, not
	all notes.

	* haifa-sched.c (get_visual_tbl_length): Allocate enough space for
	char[35] string.

Thu Nov 23 07:26:51 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* haifa-sched.c (abort1): If INSN_SCHEDULING is not defined, don't
	print verbose information if sched_verbose >= 3.

Wed Nov 22 18:13:49 1995  Michael Tiemann  <tiemann@axon.cygnus.com>

	* haifa-sched.c (schedule_region): Elements of bb_reg_last_uses
	are rtx *'s, not rtx's.  Same for init_rtx_vector and
	bb_reg_last_sets.
	(schedule_insns): Elements of insn_depend are rtx's, not int's.


Wed Nov 22 10:12:15 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* loop.c (strength_reduce): Inside of code that uses #ifdef
 	HAVE_decrement_and_branch_on_count code, test it to make sure the
	condition is true.
	(instrument_loop_bct): Ditto.
	
	* rs6000/rs6000.md (decrement_and_branch_on_count): Rename old
	decrement_and_branchsi insn to use this name for the Haifa
	scheduler.  Fix bit rot in the insn.  Delete haifa pattern since
	it was incomplete.

	* rs6000/{sysv4le,sysv4,rs6000,powerpc,eabile,eabiaix}.h (CPP_SPEC): 
	Add support -mcpu=602, -mcpu=603e, and -mcpu=620.

Tue Nov 21 19:59:33 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* Makefile.in (ALL_CFLAGS): Include SCHED_CFLAGS.
	(OBJS, sched.o): Use $(SCHED_PREFIX) in front of sched.o.

	* rs6000.c (rs6000_override_options): Add 602, 620.
	(count_register_operand): Return true if register is the count
	register.
	(get_issue_rate): Return how many instructions the chip can issue
	at once.

	* rs6000.h (CPP_SPEC,processor_type): Add 602 support.
	(PROCESSOR_COMMON): Switch to the 604 rather than the 601.
	(COUNT_REGISTER_REGNUM): Define as 66.
	(PREDICATE_CODES): Add count_register_operand.

	* rs6000.md (cpu): Add 602 support.
	(function units): Use updated function_units for the various
	machines.
	(decrement_and_branch_on_count): Define to match decrement count
	register and branch.

	* rs6000.md (clobber_memory): New insn to indicate all of memory
	is clobbered.

	* rs6000.c (expand_block_move): Call clobber_memory at the end of
	expanding a block move operation to tell the optimizer that it
	shouldn't optimize memory stores across the calls.


	* configure (enable_haifa): If --enable-haifa, switch to use the
	Haifa scheduler.

	* flags.h (flag_schedule_interblock): Haifa scheduler flag.
	(flag_schedule_speculative): Ditto.
	(flag_schedule_speculative_load): Ditto.
	(flag_schedule_speculative_load_dangerous): Ditto.
	(flag_schedule_reverse_before_reload): Ditto.
	(flag_schedule_reverse_after_reload): Ditto.
	(flag_branch_on_count_reg): Ditto.

	* toplev.h (flag_schedule_interblock): Haifa scheduler flag.
	(flag_schedule_speculative): Ditto.
	(flag_schedule_speculative_load): Ditto.
	(flag_schedule_speculative_load_dangerous): Ditto.
	(flag_schedule_reverse_before_reload): Ditto.
	(flag_schedule_reverse_after_reload): Ditto.
	(flag_branch_on_count_reg): Ditto.
	(f_options): Add Haifa switches.
	(main): Turn off some Haifa options if appropriate macro is
	defined.  Process Haifa switches.

	* unroll.c (iteration_info): No longer static, since Haifa
	scheduler uses it.
	(unroll_loop): Inform HAIFA scheduler about loop unrolling factor.

	* loop.h (loop_unroll_factor, loop_number): Add HAIFA decls.

	* loop.c (loop_optimize): If HAIFA is defined, allocate additional
	storage for the Haifa scheduler.
	(mark_loop_jump): If HAIFA defined, set LABEL_OUTSIDE_LOOP_P and
	LABEL_NEXTREF.
	(strength_reduce): If HAIFA and HAVE_decrement_and_branch_on_count
	are defined, call analyze_loop_iterations and insert_bct to use
	countdown loops.
	(record_giv): Refine test for jumps out of loops if HAIFA is
	defined.
	(analyze_loop_iterations): New function to identify if we can use
	a countdown loop.
	(insert_bct): Insert countdown loop.
	(instrument_loop_bct): Low level code to insert countdown loop.
	(loop_number): Calculate UID of loop.
	(indirect_jump_in_function_p): Return true if an indirect jump is
	in the function.
	(is_power_of_2): Return true if value is a power of 2.
	(is_conditional_branch): Return true if insn is a conditional
	jump.
	(fix_bct_param): Process -fbct-{min,max}-N switches.
	(check_bct_param): Return true if loop should be instrumented.

	* haifa-sched.c: Haifa scheduler to replace the current scheduler.


Mon Nov 20 11:17:45 1995  Doug Evans  <dje@canuck.cygnus.com>

	* svr4.h (MD_EXEC_PREFIX): Don't use if cross compiling.
	(MD_STARTFILE_PREFIX): Likewise.
	(LINK_SPEC): Don't use absolute path names if cross compiling.

	* arm/arm.c (use_return_insn): Don't use return insn if naked fn.
	(arm_valid_machine_decl_attribute): Recognize naked functions.
	(arm_naked_function_p): New function.
	(output_func_prologue): No prologue if naked.
	(arm_expand_prologue): Likewise.
	(output_func_epilogue): No epilogue if naked.
	(symbolic_operand): New function.
	(arm_select_rtx_section, arm_select_section): New functions.
	* arm/arm.h (TARGET_BIG_ENDIAN): New macro.
	(TARGET_SWITCHES): Support -m{big,little}-endian ifdef ARM_BIENDIAN.
	(BYTES_BIG_ENDIAN, WORDS_BIG_ENDIAN): Use TARGET_BIG_ENDIAN.
	(LIBGCC2_WORDS_BIG_ENDIAN): Define.
	(SELECT_RTX_SECTION, SELECT_SECTION): Define.
	(VALID_MACHINE_DECL_ATTRIBUTE): Define.
	(ASM_OUTPUT_ADDR_DIFF_ELT): Still emit valid assembler.
	* arm/arm-gal.h: New file.
	* arm/coff.h: Rewritten.  Use arm-gal.h.
	* arm/pe.h: Lots of stuff moved to arm-coff.h.  Constant data is put
	in .rdata now.
	* arm/pe.c: Lots of stuff moved to arm.c.
	* arm/t-bare (MULTILIB_{OPTIONS,DIRNAMES): Add hard/soft fp.
	* arm/t-pe: Likewise.

	* flow.c (mark_used_regs): Needn't reset `last_mem_set' for
	constant pool mem-refs.

Sun Nov 19 14:58:22 1995  Stan Shebs  <shebs@andros.cygnus.com>

	* mpw-make.sed: Edit out CYGNUS-LOCAL-* variables in a more
	general way.

Fri Nov 17 17:22:26 1995  Stan Shebs  <shebs@andros.cygnus.com>

	* config.sub: Recognize various synonyms for Macs and PowerMacs.
	(-magic*): Recognize.

Fri Nov 17 14:58:19 1995  Doug Evans  <dje@canuck.cygnus.com>

	* cccp.c (do_include): Recognize c:\foo as absolute path name in DOS.

Thu Nov 16 16:06:43 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* reload1.c (reload): When set used_spill_regs, use i not n_spills
	as index to spill_regs array.

Wed Nov 15 16:46:50 1995  Jason Merrill  <jason@yorick.cygnus.com>

	* varasm.c (assemble_variable): Only assume that a variable is in
 	the static list if we have -fcombine-statics.

Tue Nov 14 11:16:18 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* reorg.c (find_dead_or_set_registers): Move update of res->regs
	from before JUMP_INSN if statement to after it.  Rewrite code to
	handle conditional branches.

Sun Nov 12 21:45:14 1995  Doug Evans  <dje@canuck.cygnus.com>

	* configure (arm*-*-coff* tmake_file): Use t-bare.
	* arm/coff.h (TARGET_DEFAULT): Default to soft float.

Fri Nov 10 12:59:59 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* reorg.c (fix_reg_dead_note): New function.
	(fill_slots_from_thread): Call it.

	* loop.c (strength_reduce): For a combined giv, allow auto-inc
	optimization only if the increment follows the giv insn.

Fri Nov 10 09:14:27 1995  Jeffrey A Law  (law@cygnus.com)

	* Makefile.in: Add missing "else true" clauses when installing
	fix-header and fixincludes for binary installs.

Thu Nov  9 18:10:26 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* config/sparc/sparc.h (TARGET_SWITCHES): Add -m{,no-}impure-text.
	(MASK_IMPURE_TEXT, TARGET_IMPURE_TEXT): Define.
	(LINK_SPEC): Only add `-assert pure-text' if -mimpure-text wasn't used.

Wed Nov  8 23:24:00 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (site.exp): Fix -I to libio build dir.

Wed Nov  8 17:24:44 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* configure: Replace the definition of target_subdir in the
	Makefile if host != target.
	* Makefile.in (target_subdir): Give default null value.
	(site.exp): Change to use the make variable for target_subdir.

Tue Nov  7 15:24:59 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* regmove.c: New file.
	* Makefile.in (OBJS): Add regmove.o.
	(STAGESTUFF): Add *.regmove.
	(regmove.o): Add rule to build it.
	(mostlyclean): Delete *.regmove.
	* toplev.c (regmove_dump, regmove_dump_file, regmove_time):
	New variables.
	(fatal_insn, compile_file, main): Use and set them.
	(rest_of_compilation): Call the new regmove_optimize function.
	* sh/sh.h (ENABLE_REGMOVE_PASS): Define.

Tue Nov  7 12:28:35 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (site.exp): Fix code to refer to the target
	subdirectory properly when running tests, and proper for native.

Mon Nov  6 19:54:20 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* alpha/alpha.c (alpha_emit_set_const): Don't output SImode sequences
	that rely on invisible overflow.  Sign extend new when SImode.
	Don't recur if new == c.  Don't allow shift outside mode.  Make
	logical right shift be unsigned.

Mon Nov  6 09:36:04 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* config/xm-netbsd.h (DONT_DECLARE_SYS_SIGLIST): Define.

Wed Nov  1 17:38:15 1995  Brendan Kehoe  <brendan@lisa.cygnus.com>

	* Makefile.in (site.exp): Refer to ../$(target) for CXXFLAGS.

Wed Nov  1 17:20:25 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (install-common): Newlib has moved to ../$(target).
	(site.exp): Likewise.

Tue Oct 31 16:52:51 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* Makefile.in (cccp.o): Move CROSS_INCLUDE_DIR from libsubdir to
	tooldir.
	(cpplib.o, stamp-proto): Likewise.
	(install-common): Don't install fixincludes or fix-header if newlib
	exists.  Do install them otherwise.  Install them in tooldir instead
	of libdir.
	* cross-make (SYSTEM_HEADER_DIR): Use CROSS_INCLUDE_DIR not
	TOOL_INCLUDE_DIR.
	
Tue Oct 31 10:05:13 1995  Wilfried Moser  <wilfried.moser@aut.alcatel.at>

	* svr4.h (DBX_OUTPUT_MAIN_SOURCE_FILE_END): Call text_section
	instead of outputting .text.

Tue Oct 31 09:58:55 1995  Doug Evans  <dje@canuck.cygnus.com>

	* profile.c (output_arc_profiler): Add stricter checking for when
	a reference of the return reg appears after a call insn in
	SMALL_REGISTER_CLASS machines.

Mon Oct 30 17:20:33 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* a29k/a29k.h (TARGET_DEFAULT): Add -mno-reuse-arg-regs.

Sat Oct 28 14:58:26 1995  steve chamberlain  <sac@slash.cygnus.com>

	* i386/win32.h (CPP_PREDEFINES): Don't define WIN32.
	(PREFERRED_DEBUGGING_TYPE): DBX_DEBUG again.

Fri Oct 27 16:53:30 1995  Raymond Jou  <rjou@mexican.cygnus.com>

	* rs6000/xm-mpw.h: Define TRUE and FALSE.

Thu Oct 26 13:32:19 1995  Stan Shebs  <shebs@andros.cygnus.com>

	* libgcc2.c (__size_t__): Define if MPW, suppresses interference
	from junk in MPW include files.
	* mpw-config.in: Use relative paths for some forward includes,
	join some lines in Makefile.in before sed'ing it into MPW syntax.
	* mpw-make.sed: Edit -D definitions for xgcc and cccp compilations
	individually instead of doing a change command, edit paths to
	y.tab.[ch] files directly, use filename alone for tmplibgcc.a
	when doing final libgcc.a construction.
	* config/xm-mpw.h (HAVE_STRERROR): Define.

Wed Oct 25 16:58:04 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.c (arm_dllexport_p): #ifdef out code that scanned vtables.
	(arm_dllimport_p): Likewise.

Mon Oct 23 10:18:48 1995  James G. Smith  <jsmith@pasanda.cygnus.co.uk>

	* config/mips/elfvr4300{.h,el.h}: Removed. Really renamed to...
	* config/mips/elf{l,b}4300.h: Added, to ensure 8.3 unique names in
 	the source.
	
	* configure (mips64vr4300*-*-elf*) : Renamed the VR4300 targetted
 	(default) build files to elbl4300.h and elfb4300.h respectively.

Wed Oct 18 16:46:52 1995  steve chamberlain  <sac@slash.cygnus.com>

	* i386/win32.h (LIB_SPEC, LIBGCC_SPEC, STARTFILE_SPEC): Modify
	to Use the cygwin dll.
	(PREFERRED_DEBUGGING_TYPE): Becomes SDB_DEBUG.
	(ASM_OUTPUT_SECTION_NAME): New.
	
Wed Oct 11 19:16:06 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (USE_RETURN_INSN): Call arm_pe_use_return_insn.
	* arm/pe.c (arm_pe_use_return_insn): New function.

Tue Oct 10 09:36:38 1995  Doug Evans  <dje@canuck.cygnus.com>

	* sparc/sp64-elf.h (JUMP_TABLES_IN_TEXT_SECTION): Define.
	(ASM_IDENTIFY_GCC): Define as empty.

Mon Oct  9 11:33:16 1995  Doug Evans  <dje@canuck.cygnus.com>

	* tree.h (merge_machine_{type,decl}_attributes): Declare.
	* tree.c (merge_attributes): Rename args.
	(merge_machine_{type,decl}_attributes): New functions.
	* c-decl.c (duplicate_decls): Call merge_machine_decl_attributes.
	Update olddecl's attributes too.
	* c-typeck.c (common_type): Call merge_machine_type_attributes.

	* arm/pe.h (ENCODE_SECTION_INFO): Call arm_pe_encode_section_info.
	(MERGE_MACHINE_DECL_ATTRIBUTES): Define.
	(REDO_SECTION_INFO_P): Redefine as `1'.
	* arm/pe.c (arm_pe_merge_machine_decl_attributes): New function.
	(arm_mark_dllexport): Get name from DECL_RTL, not
	DECL_ASSEMBLER_NAME.  Use alloca instead of xmalloc.  Pass name
	through get_identifier.
	(arm_mark_dllimport): Likewise.
	(arm_pe_encode_section_info): New function.

	* arm/arm.md (movsi): Delete code for handling dllimport.
	* arm/pe.c (arm_mark_dllimport): Set DECL_RTL to
	(mem (mem (symbol_ref __imp_foo))).

Fri Oct  6 12:32:45 1995  Rob Savoye  <rob@darkstar.cygnus.com>

	* Makefile.in: Set tmpdir to /tmp in the generated site.exp if
	you're testing a canadian cross.

Thu Oct  5 21:27:25 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* Makefile.in (c-parse.c): Move comment from end of cp command
	to a separate line.

Thu Oct  5 11:59:08 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* alpha.h (ASM_SPEC): Add -g.

Wed Oct  4 14:45:15 1995  Jeff Law  (law@hurl.cygnus.com)

	* local-alloc.c (update_equiv_regs):  If DONT_RECORD_EQUIVALENCE
	is defined, then use it to reject some EQUIVALENCES.
	* pa.h (DONT_RECORD_EQUIVALENCE): Define.

Wed Oct  4 11:49:56 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* reorg.c (mostly_true_jump): Pay attention to static branch
	prediction jumps.

Tue Oct  3 13:28:29 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* jump.c (branch_predict_move): Use PUT_CODE to update the code,
	not GET_CODE on the left hand side of the assignment.

Mon Oct  2 23:05:48 1995  steve chamberlain  <sac@slash.cygnus.com>

	* i386/win32.h (LIB_SPEC): Turn on debugging info.
	(PREFERRED_DEBUGGING_TYPE): Is DBX_DEBUG.

Fri Sep 29 11:45:34 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.c (arm_check_vtable_importexport): Also look at
	DECL_VINDEX to see if a function is virtual.

Fri Sep 29 04:28:52 1995  Doug Evans  <dje@deneb.cygnus.com>

	* arm/pe.h (CPP_SPEC): Define __pe__.

Thu Sep 28 01:16:50 1995  Doug Evans  <dje@deneb.cygnus.com>

	* configure (arm-*-coff*): New target.
	* arm/{coff.h,t-bare}: New files.

Wed Sep 27 23:24:19 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.c (arm_check_vtable_importexport): Only check virtual fns.
	(arm_mark_dllimport): Mark imported variables as `extern'.

Tue Sep 26 09:05:31 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/arm.md (movsi): When loading imported symbol_ref's, need to
	insert a level of redirection.
	* arm/pe.c (arm_check_vtable_importexport): New function.
	(arm_dll{ex,im}port_p): Call it for vtables.
	(arm_mark_dllimport): Initialized imported variables are illegal.
	* arm/pe.h (REDO_SECTION_INFO_P): Redo vtables.
	(ASM_OUTPUT_COMMON): Don't output imported variables.

	* arm/pe.h (SUBTARGET_SWITCHES): Rename -mnop-dllimport
	to -mnop-fun-dllimport.
	* arm/pe.c (arm_dllimport_p): Update.

Fri Sep 22 09:56:34 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* config/elfos.h (ASM_OUTPUT_SOURCE_LINE): Use assemble_name to
	properly strip any encodings, including '*' from the function name
	before 	outputing.

Fri Sep 22 06:54:32 1995  steve chamberlain  <sac@slash.cygnus.com>

	* z8k.c (pop_regs): Don't look past the end of the
	vector.

Wed Sep 20 12:26:37 1995  Michael Meissner  <meissner@cygnus.com>

	* rtl.def (EXPECT): New RTL code for branch predicition.
	* tree.h  (built_in_function): Add BUILT_IN_EXPECT enum.
	* expr.h (expect_optab): New optab for branch prediction.
	* genopinit.c (expect_optab): Find expect<type>3 functions.
	* optabs.c (expect_optab): Define and initialize.
	* c-decl.c (init_decl_processing): Add __builtin_expect.
	* expr.c (expand_builtin): Provide support __builtin_expect to
	handle branch predicition on the i960.

	* i960.c (i960_branch_predict): New function to return true or
	false depending on whether the branch is predicted.

	* i960.md (expectsi3): Add branch predicition support and insn
	combiners.

Thu Sep 14 17:05:37 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* expr.c (store_constructor for SET_TYPE):  Fix off-by-one-error.
	Also, devide start byte by BITS_PER_UNIT before passing to memset.

Mon Sep 11 17:33:07 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* profile.c (insn-config.h): Include.
	(output_arc_profiler): Add code for SMALL_REGISTER_CLASSES machines.

Fri Sep  8 15:13:43 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* configure (sh-*-*): Set float_format to sh3e.
	* config/float.h-sh3e: New file.

Fri Sep  8 14:10:20 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/arm.h (CONST_COSTS): CONST_DOUBLEs are expensive if -msoft-float.

Wed Sep  6 12:06:00 1995  steve chamberlain  <sac@slash.cygnus.com>

	* z8k/z8k.h (ASM_OUTPUT_PTR): New
	(ASM_OUTPUT_CONSTRUCTOR, ASM_OUTPUT_DESTRUCTOR): Use new macro.

Wed Sep  6 09:45:24 1995  Doug Evans  <dje@canuck.cygnus.com>

	* sparc/sparc.h (V9_SWITCHES): Recognize -mfullany (not fully
	supported yet).

	* sparc/sparc.md (*sethi_di_medany_text): Functions can be anywhere,
	so need to compute full 64 bit address.

	* sparc/sparc.h (STATIC_CHAIN_REGNUM): Use %g5 for sparc64.
	(TRAMPOLINE_TEMPLATE): Rewrite for sparc64.
	(TRAMPOLINE_SIZE): Is 40 for sparc64.
	* sparc/sparc.c (sparc64_initialize_trampoline): Rewrite.

	* a29k/vx29k.h (CPP_SPEC): Define.

Tue Sep  5 17:37:08 1995  Doug Evans  <dje@canuck.cygnus.com>

	* va-sparc.h (v9 varargs va_start): Handle __builtin_va_alist
	being stack argument.

Sun Sep  3 15:03:16 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (TARGET_NOP_DLLIMPORT): Define.
	(SUBTARGET_SWITCHES): Add -m{no-,}nop-dllimport.
	(TARGET_DEFAULT): Add -mnop-dllimport.
	* arm/pe.c (arm_dllimport_p): Return 0 if -mnop-dllimport.

Fri Sep  1 10:21:14 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* ginclude/va-ppc.h (va_arg): Reorganize to avoid BIND_EXPRs of
 	aggregate or array type.

Fri Sep  1 07:47:08 1995  James G. Smith  <jsmith@beauty.cygnus.com>

	* config.sub: (mips64vr4300, mips64vr4300el): New.
	* configure: (mips64vr4300-*-elf*, mips64vr4300-*-elf*): New.
	* config/mips/t-vr4300: New file.
	* config/mips/elfvr4300.h: New file.
	* config/mips/elfvr4300el.h: New file.

Wed Aug 30 13:53:53 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* config/fp-bit.c (FLO_union_type): Remove bitfields to set sign,
	exponent, and mantissa, and add value_raw field, which is an
	integer of the appropriate type.  If _DEBUG_BITFLOAT is defined,
	provide little and big endian bitfields.  If the macro
	FLOAT_BIT_ORDER_MISMATCH is defined, use explicit bitfields.
	(pack_d, unpack_d): Switch to use value_raw and explicit shifts
	and masks so that we don't have to worry about whether the target
	is big or little endian unless FLOAT_BIT_ORDER_MISMATCH is
	defined.  If single precision floating point, rename to pack_f and
	unpack_f, so there is no confusion in the debugger.  If
	FLOAT_WORD_ORDER_MISMATCH is defined, explicitly swap words.

	* configure (powerpcle-*-winnt3): Add support for Windows NT on
	PowerPC.
	* rs6000/winnt.h, rs6000/t-winnt: Windows NT support files.

Tue Aug 29 10:34:55 1995  Doug Evans  <dje@canuck.cygnus.com>

	* tree.c (merge_attributes): New function.
	* tree.h (merge_attributes): Declare it.
	* c-decl.c (duplicate_decls): Call merge_attributes.
	* c-typeck.c (common_type): Likewise.
	* varasm.c (make_function_rtl): New target macro REDO_SECTION_INFO_P.
	(make_decl_rtl): Likewise.
	* arm/pe.c (arm_valid_machine_decl_attribute): Simplify.
	(arm_mark_dllexport): Watch for existing marker.
	(arm_mark_dllimport): Likewise.
	* arm/pe.h (REDO_SECTION_INFO_P): Define.

Mon Aug 28 11:43:13 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* expr.c (store_constructor):  Fix thinko ('continue' in wrong place).

Sun Aug 27 23:43:14 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* cccp.c (main):  Disable cplusplus_comments if -lang-chill.

Mon Aug 21 11:01:28 1995  steve chamberlain  <sac@slash.cygnus.com>

	* i386/win32.h (LIB_SPEC): add -lkernel32 -ladvapi32 -lgdi32 -luser32.
	(SDB_DEBUGGING_INFO): Disable for now.

Wed Aug 16 16:38:21 1995  steve chamberlain  <sac@slash.cygnus.com>

	* z8k.c (asm_output_common): Align YASM common correctly.

Tue Aug 15 16:50:59 1995  steve chamberlain  <sac@slash.cygnus.com>

	* arm/t-pe: Fix typo.

Tue Aug 15 11:24:18 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (WCHAR_TYPE): Make short unsigned int.
	(WCHAR_TYPE_SIZE): Likewise.

Mon Aug 14 12:46:45 1995  Doug Evans  <dje@canuck.cygnus.com>

	* i386/t-win32 (LIBGCC1): Define.

Fri Aug 11 12:31:15 1995  steve chamberlain  <sac@slash.cygnus.com>

	* z8k/z8k.md (ldir[b]_z800[1|2]): New patterns.
	(ldirb): Delete.
	(movstrhi): Use new patterns.

Fri Aug 11 10:41:52 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (site.exp): Add -L$(objdir)/../ld so
	the linker can find ldscripts.

Thu Aug 10 22:12:25 1995  Doug Evans  <dje@canuck.cygnus.com>

	* m68k/m68kemb.h (STARTFILE_SPEC): Define as empty.

Thu Aug 10 15:03:10 1995  Michael Meissner  <meissner@cygnus.com>

	* rs6000/rs6000.c (direct_return): If the CR is saved, we can't do
	direct returns.

Tue Aug  8 22:11:03 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* expr.c (store_constructor):  If storing into a range of array
	elements, and the range is small, or the target it not memory,
	then unroll the loop (and use store_field, which handles REGs).

Thu Aug  3 19:11:18 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* gcc.c (main): When concat gcc_exec_prefix and
	standard_startfile_prefix, put machine_suffix in the middle.

Thu Aug  3 13:07:44 1995  Doug Evans  <dje@canuck.cygnus.com>

	* expmed.c (negate_rtx): Negation of INT_MIN must be returned
	as CONST_DOUBLE if mode is larger than HOST_WIDE_INT.
	* cse.c (fold_rtx, case PLUS): Handle case where mode is larger
	than HOST_WIDE_INT and we're negating INT_MIN.

	* i960.md (movdi matchers): Fix src/dest order in unaligned
	reg->reg case.

Tue Aug  1 16:09:26 1995  Doug Evans  <dje@canuck.cygnus.com>

	* c-parse.in (setattrs): Undelete.
	(after_type_declarator): Recognize attributes.
	(parm_declarator, notype_declarator): Likewise.
	* Makefile.in (c-parse.c): Revise expected s/r count.
	(objc-parse.c): Likewise.

Mon Jul 31 17:16:28 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* Makefile.in (gcc.o): Define STANDARD_STARTFILE_PREFIX to `../'.

Mon Jul 31 10:01:00 1995  steve chamberlain  <sac@slash.cygnus.com>

	* z8k/lib2funcs.c: New file.
	* z8k/t-z8k: Build lib2funcs.
	* z8k/xm-z8k.h (#undef L_*): Delete.
	* z8k/z8k.c (print_operand): New operand types F, J & K.
	(r_ir_da_x_ba_operand_for_di): x_operand is valid.
	(immeditate15_operand): New predicate.
	* z8k/z8k.h: (LINK_SPEC): New.
	(TRAPOLINE_TEMPLATE): New.
	* z8k/z8k.md: (untyped_call): New pattern.
	(divides): Tidied up.
	(combine6): Deleted.

Mon Jul 31 13:35:44 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* toplev.c (vmessage): Support four arguments.

Sun Jul 30 12:11:52 1995  Doug Evans  <dje@canuck.cygnus.com>

	* profile.c (branch_prob): Second last block may not begin
	with real insn.

Thu Jul 27 09:32:46 1995  Doug Evans  <dje@canuck.cygnus.com>

	Fix prefix attribute handling.
	* c-parse.in (old_style_parm_decls): Renamed from xdecls.
	Disallow prefix attributes in old style parm decls.
	(setspecs): Split list of combined declspecs and prefix attributes
	into current_declspecs and prefix_attributes.
	(setattrs): Deleted.
	(fndef): Use current_declspecs.
	(reserved_declspecs): Put attributes in same list as declspecs.
	(declmods): Likewise.
	(after_type_declarator): Delete prefix attribute support.
	(parm_declarator, notype_declarator, absdcl1): Likewise.
	(typed_declspecs_no_prefix_attr): New rule.
	(reserved_declspecs_no_prefix_attr): New rule.
	(declmods_no_prefix_attr): New rule.
	* c-common.c (split_specs_attrs): New function.
	(strip_attrs): New function.
	* tree.h (split_specs_attrs, strip_attrs): Add prototypes.
	* Makefile.in (c-parse.c): Revise expected s/r count.
	(objc-parse.c): Likewise.

Mon Jul 24 11:37:29 1995  steve chamberlain  <sac@slash.cygnus.com>

	Add -mstd, -mstdframe, -mstdret and -mpushargs options.

	* z8k.md (andhi3, andqi3): Remove comments.
	* t-z8k: Support for std multilib build.
	* z8k.h (TARGET_STD*):  New defines.
	(TARGET_SWITCHES): Add new arguments.
	(LIBCALL_VALUE, FUNCTION_VALUE, FUNCTION_VALUE_REGNO_P): Depend upon
	 TARGET_STD_RET.
	* z8k.c (renumber, rev_renumber, regname): New.
	(print_operand_address): Use new macros for printing reg names.
	(override_options): Understand new flags. Initialze renumber array.
	(z8k_function_arg): Understand new flags.
	(push_regs, pop_regs): Cope with renumbered registers.

Mon Jul 24 11:37:29 1995  steve chamberlain  <sac@slash.cygnus.com>

	* config.sub: (-win32*, -pe*): New.
	* configure: (i[345]86-*-pe, i[345]86-*-win32): New.
	* explow.c: (adjust_stack_worker): Use adjust_stack if
	available.
	(adjust_stack, anti_adjust_stack): Call adjust_stack_worker.
	* getpwd.c (direct.h): Only include if _WIN32 and HAVE_DIRECT_H.
	* toplev.c (includes, get_runtime): Use rusage if HAVE_RUSAGE
	defined.
	* i386/i386.c (function_prologue): If CHECK_STACK_LIMIT defined,
	generate stack check code.
	* i386/i386.h (MASK_STACK_PROBE, TARGET_STACK_PROBE): New.
	(TARGET_SWITCHES): Add stack probe arguments.
	* i386/t-win32, win32.asm, win32.h, x-win32, xm-win32.h: New files.
	* winnt/xm-winnt.h: Define HAVE_DIRECT_H.

Wed Jul 19 16:29:02 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (CPP_SPEC): Define __big_endian__ if -EB.
	(CC1_SPEC): Pass -m{big,little}-endian if -EB/-EL.
	(ASM_SPEC, LINK_SPEC): Pass -EB/-EL to assembler, linker.
	(TARGET_BIG_ENDIAN): Define.
	(SUBTARGET_SWITCHES): Add -m{big,little}-endian.
	(BYTES_BIG_ENDIAN, WORDS_BIG_ENDIAN): Use TARGET_BIG_ENDIAN.
	(LIBGCC2_WORDS_BIG_ENDIAN): Define appropriately.
	(FIXED_REGISTERS, CALL_USED_REGISTERS): Make r10 call-saved, not fixed.
	* arm/t-pe (fp-bit.c, dp-bit.c): Add bi-endian support.
	(MULTILIB_OPTIONS, MULTILIB_DIRNAMES): Define.
	(LIBGCC, INSTALL_LIBGCC): Define.

Sun Jul 16 16:19:08 1995  Fred Fish  <fnf@cygnus.com>

	* config/i386/xm-sysv4.h (DONT_DECLARE_SYS_SIGLIST):  Needed for
	Unixware 2.X, and also works with Unixware 1.X.

Thu Jul 13 17:50:15 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* config/float.h-i32: New file.
	* configure (h8300-*-*): Use it.

Thu Jul 13 12:04:20 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* expr.c (store_constructor):  Handle RANGE_EXPR in array index.

Thu Jul 13 10:52:47 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.c (output_prolog): Fix typo in stm.

	* rs6000/rs6000.h (ASM_OUTPUT_REG_{PUSH,POP}): Move reg_names
	extern into these macros.  Also use reg_names[1] for the stack
	pointer.

Tue Jul 11 16:11:56 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* Makefile.in (USER_H): Add ginclude/va-ppc.h.

	* configure (powerpcle*-sysv*): Use t-ppclegas, not t-ppcgas.
	(powerpcle*-eabi*): Use t-eabilegas, not t-eabigas.

	* ginclude/va-ppc.h: Finallize V.4 changes.

	* rs6000/eablie.h (CPP_SPEC): Indicate whether -mcall-aix,
	-mcall-sysv, or -msoft-float were used by defining macros.
	* rs6000/sysv4.h (CPP_SPEC): Ditto.
	* rs6000/sysv4le.h (CPP_SPEC): Ditto.

	* rs6000/sysv.4 (SUBTARGET_SWITCHES): Delete -mcall-mixed support,
	and modify all users to just use -mcall-aix.
	(FP_ARG_{AIX,V4}_MAX_REG): Define so that V.4/AIX specific code
	doesn't have to go through the conditional.

	* rs6000/rs6000.c (rs6000_sysv_varargs_p): New global to indiate
	V.4 style varargs/stdarg is used.
	(init_cumulative_args): Modify to support V.4 calling sequences.
	(function_arg): Ditto.
	(function_arg_advance): Ditto.
	(function_arg_partial_nregs): Ditto.
	(function_arg_pass_by_reference): Ditto.
	(rs6000_stack_info): Ditto.
	(setup_incoming_varargs): Ditto.
	(function_arg_advance): Move debug output after the structure
	has been modified.
	(expand_builtin_saveregs): New function to be called for
	__builtin_saveregs call from va-ppc.h.  It returns a pointer to
	the start of saved registers.

	* rs6000/rs6000.h (rs6000_stack_t): Remove no_regparm_p field.
	(RS6000_*): New macros for V.4 calling language support.
	(STARTING_FRAME_OFFSET): Add in V.4 varargs block if needed.
	(CUMULATIVE_ARGS): Make a typedef, not a macro.
	(EXPAND_BUILTIN_SAVEREGS): Define, call expand_builtin_saveregs.

	* rs6000/t-eabigas (MULTILIB*): Remove explicit big endian build,
	and add V.4 calling sequence build.
	
Thu Jul  6 15:45:20 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.h (TARGET_SWITCHES): Add -mdebug-arg.
	(rs6000_args): Add orig_nargs, prototype fields.

	* rs6000/rs6000.md (call patterns): Add new argument, that
	FUNCTION_ARG returns for VOIDtype.  If the argument is 1, then it
	means set bit 6 to say FP registers used to pass floating point.
	If the argument is -1, clear bit 6, otherwise leave bit 6 alone.
	(movsi): If second argument is a CONST_DOUBLE, convert it to
	CONST_INT.

	* rs6000/rs6000.c (init_cumulative_args): Initialize new fields.
	(function_arg): If V.4 calling sequences, return a marker for the
	call patterns to set up bit 6 of the CR register for variable
	argument functions.
	(init_cumulative_args): If -mdebug-arg, print debug information.
	(function_arg): Ditto.
	(function_arg_advance): Ditto
	(function_arg_partial_nregs): Ditto.
	(function_arg_pass_by_reference): Ditto.

	* rs6000/sysv.h (SUBTARGET_SWITCHES): Add -mprototype and
	-mno-prototype to control whether all calls to variable argument
	functions are assumed to be prototyped.

	* rs6000/eabile.h (CPP_SPEC): Define _CALL_AIX and _CALL_SYSV
	depending on what calling sequence is used.
	* rs6000/sysv.h (CPP_SPEC): Ditto.
	* rs6000/sysvle.h (CPP_SPEC): Ditto.

	* rs6000/t-rs6000 (EXTRA_PARTS): Install milli.exp.
	(milli.exp): Copy from rs6000 directory.

	* ginclude/stdarg.h: Include va-ppc.h if powerpc using V.4 calling
	sequence.
	* ginclude/varargs.h: Ditto.
	* ginclude/va-ppc.h: New varargs support for PowerPC using the V.4
	calling sequence.

Thu Jun 22 17:04:13 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.md (allocate_stack): For V.4 calling sequences,
	copy LR register slot in addition to back chain.  Also, always use
	store with update instructions, and add support for 64 bit mode.
	(movdi_update): Name this pattern.
	(movsi_update): Ditto.

	* rs6000/rs6000.c (function_arg_pass_by_reference): If V.4 calling
	sequences, aggregates get passed by reference.
	(setup_incoming_varargs): Use TARGET_V4_REGPARM, not
	TARGET_NO_AIX_REGPARM.
	(rs6000_stack_info): Use TARGET_V4_{REGPARM,CALLS}, not
	TARGET_NO_AIX_{REGPARM,CALLS}.  Also, -mcall-mixed must always
	allocate stack.

	* rs6000/rs6000.h (FUNCTION_ARG_PASS_BY_REFERENCE): Define, call
	function_arg_pass_by_reference.

	* rs6000/sysv4.h (TARGET_V4_{REGPARM,CALLS}): Provide alternate
	macros to TARGET_NO_AIX_{REGPARM,CALLS}.
	(SUBTARGET_SWITCHES): -mcall-mixed sets MASK_NO_AIX_CALLS and
	unsets MASK_NO_AIX_REGPARM.

	* rs6000/rs6000.h (TARGET_SWITCHES): Add -mdebug-stack switch.
	(rs6000_stack_t): New structure to completely describe the stack
	frame.
	(RS6000_REG_SAVE): New macro to give the size of the outgoing
	register save area.
	(REG_PARM_STACK_SPACE): Use RS6000_REG_SAVE, not hard coded
	values.
	(RS6000_SAVE_AREA): New macro to give the size of the fixed area
	of the stack.
	(STARTING_FRAME_OFFSET): Use RS6000_SAVE_AREA, not hard coded
	values.
	(FIRST_PARM_OFFSET): Ditto.
	(STACK_POINTER_OFFSET): Ditto.
	(GP_ARG*, FP_ARG*): New macros to encode min/max/number of
	registers used in passing arguments.
	(FUNCTION_ARG_REGNO_P): Use the GP_ARG*, FP_ARG* macros.
	(USE_FP_FOR_ARG_P): Ditto.
	(FP_SAVE_INLINE): New macro to return true if fp registers should
	be saved inline.
	(INIT_CUMULATIVE_ARGS): Move body to rs6000.c.
	(INIT_CUMULATIVE_INCOMING_ARGS): Ditto.
	(FUNCTION_ARG_ADVANCE): Ditto.
	(FUNCTION_ARG): Ditto.
	(FUNCTION_ARG_PARTIAL_NREGS): Ditto.
	(SETUP_INCOMING_VARARGS): Ditto.
	(INITIAL_ELIMINATION_OFFSET): Use the new rs6000_stack
	information structure.
	(toplevel): Update declarations of functions defined in rs6000.c.
	(reg_names): Add extern declaration.

	* rs6000/sysv4.h (SUBTARGET_SWITCHES): Add -mcall-aix,
	-mcall-mixed, and -mcall-sysv switches.
	(FP_ARG_MAX_REG): If not using the AIX calling sequence, restrict
	# of fp registers used for args to 8.
	(FUNCTION_ARG_REGNO_P): Indicate cr1 is also used to hold function
	arguments, for the stdarg flag.
	(RS6000_REG_SAVE): If not using the AIX calling sequence, no space
	is reserved for the GP registers.
	(RS6000_SAVE_AREA): Return correct values for the -mcall-*
	switches.
	(FP_SAVE_INLINE): Save floating registers inline, until the V.4
	floating point save functions can be written.

	* rs6000/rs6000.c (rs6000_immed_double_const): Add newline for
	better tags support.
	(rs6000_stack_info): New function to return all of the information
	needed for the stack frame for both AIX and V.4 calling sequences.
	(direct_return): Use it.
	(must_save_cr): Delete function, merged into rs6000_stack_info.
	(rs6000_sa_size): Ditto.
	(rs6000_pushes_stack): Ditto.
	(svr4_traceback): Rewrite to use the stack information
	rs6000_stack_info returns.
	(function_{prolog,epilog}): Ditto.
	(function_{prolog,epilog}): Use reg_names to write out register
	names.  Add support for 64 bit mode.
	(debug_stack_info): Print information about the stack.
	(function_prolog): Call debug_stack_info if -mdebug-stack.
	(init_cumulative_args): Code from INIT_CUMULATIVE{,_INCOMING}_ARGS
	macro.
	(function_arg_advance): Code from FUNCTION_ARG_ADVANCE macro.
	(function_arg): Code from FUNCTION_ARG macro.
	(function_arg_partial_nregs): Code from FUNCTION_ARG_PARTIAL_NREGS
	macro.
	(setup_incoming_varargs): Code from SETUP_INCOMING_VARARGS macro.
	(expand_block_move): Renable large -mstring move support commented
	out in getting 2.7.0 released.
	(first_reg_to_save): V.4 profiling doesn't require registers
	23..31 to be saved.

Mon Jun 19 11:56:01 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/arm.h (ASM_OUTPUT_ADDR_VEC_ELT): Use LOCAL_LABEL_PREFIX.
	* arm/arm.md (movsi): Handle dllimport'd objects.
	* arm/pe.c (arm_pe_valid_machine_decl_attribute): Only accept
	vars and fns.
	(arm_dllexport_p, arm_dllimport_p): Likewise.
	* arm/t-pe (fp-bit.c): Define FLOAT_BIT_ORDER_MISMATCH.
	(dp-bit.c): Define FLOAT_BIT_ORDER_MISMATCH, FLOAT_WORD_ORDER_MISMATCH.

	* fp-bit.c (pack_d): Support FLOAT_WORD_ORDER_MISMATCH.
	(unpack_d): Likewise.

Thu Jun 15 10:10:27 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/arm.h (ASM_GENERATE_INTERNAL_LABEL): Use LOCAL_LABEL_PREFIX.
	(ASM_OUTPUT_INTERNAL_LABEL): Use ASM_GENERATE_INTERNAL_LABEL.
	* arm/pe.c (arm_pe_valid_machine_decl_attribute): Add error checking.
	(variable_section): New function.
	* arm/pe.h (LOCAL_LABEL_PREFIX): Use '.'.
	(ASM_DECLARE_OBJECT_NAME): Redefine.

Wed Jun 14 18:12:47 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/arm.md (call): Look for dllimport functions if ARM_PE.
	(call_value): Likewise.
	* arm/pe.h (CPP_SPEC): Enable __declspec.
	(ENCODE_SECTION_INFO): Watch for dllexport, dllimport.
	(STRIP_NAME_ENCODING): Strip dllexport/dllimport encodings.
	(ASM_OUTPUT_LABELREF): Redefine.
	(ASM_DECLARE_FUNCTION_NAME): Redefine.
	(EXTRA_SECTIONS): Add in_drectve.
	(EXTRA_SECTION_FUNCTIONS): Add DRECTVE_SECTION_FUNCTION.
	(DRECTVE_SECTION_FUNCTION): Define.
	(CTOR_LISTS_DEFINED_EXTERNALLY): Define.
	* arm/pe.c (arm_pe_valid_machine_decl_attribute): Update.
	(arm_naked_function_p): Simplify.
	(arm_dllexport_p, arm_dllimport_p): New functions.
	(arm_dllexport_name_p, arm_dllimport_name_p): New functions.
	(arm_mark_dllexport, arm_mark_dllimport): New functions.
	(arm_pe_output_function_prologue): Simplify.

Mon Jun 12 15:14:55 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.c (arm_pe_valid_machine_decl_attribute): Rename
	__declspec to __declspec__.
	(arm_naked_function_p): Likewise.
	* arm/pe.h: Delete big-endian support.
	(PREFERRED_DEBUGGING_TYPE): Make dbx for now.
	(TARGET_DEFAULT): Use soft-float.
	(DEFAULT_SIGNED_CHAR): Define as 1.
	(ASM_OUTPUT_SECTION_NAME): Define.
	(CTORS_SECTION_ASM_OP, DTORS_SECTION_ASM_OP): Define.
	(EXTRA_SECTIONS): Add in_ctors, in_dtors.
	(CTORS_SECTION_FUNCTION, DTORS_SECTION_FUNCTION): Define.
	(EXTRA_SECTIONS_FUNCTIONS): Add them.
	(ASM_OUTPUT_CONSTRUCTOR, ASM_OUTPUT_DESTRUCTOR): Define.
	* arm/t-pe (LIBGCC1_TEST): Define as empty.

	* arm/arm.h (EXTRA_CONSTRAINT): Remove 'T' constraint.
	* arm/arm.md (movsi matcher): Likewise.

Fri Jun  9 17:57:46 1995  Michael Meissner  <meissner@cygnus.com>

	* rs6000/rs6000.h ({F,G}_ARG_*): New macros that give the minimum,
	maximum register number, number of registers, and return register
	for GP and floating point registers.
	(FUNCTION_VALUE_REGNO_P): Use {F,G}_ARG_* macros.
	(FUNCTION_ARG_REGNO_P): Ditto.
	(USE_FP_FOR_ARG_P): Ditto.

	* rs6000/rs6000.c (init_cumulative_args): Use {F,G}_ARG_* macros.
	(function_arg): Ditto.
	(function_arg_partial_nregs): Ditto.
	(setup_incoming_varargs): Ditto.

	* rs6000/sysv4.h (FP_ARG_MAX_REG): Redefine, since V.4 only passes
	the first 8 FP values in registers, not 13.
	(FUNCTION_ARG_REGNO_P): Redefine to make CR1 be an argument
	register to allow the invalid bit to be used to indicate that
	arguments were passed in FP registers to variable argument
	functions.

Fri Jun  9 12:25:00 1995  Michael Meissner  <meissner@cygnus.com>

	* rs6000/rs6000.h (PROMOTE_FUNCTION_ARG): Don't define any more,
	changes to function.c solves the problem this was trying to solve.
	(PROMOTE_FUNCTION_RETURN): Ditto.
	(FUNCTION_INCOMING_ARG): Ditto.
	(FUNCTION_VALUE): Don't change QI/HI functions returns into SI.

Wed Jun  7 16:56:06 1995  Michael Meissner  <meissner@cygnus.com>

	* rs6000/rs6000.h (PROMOTE_FUNCTION_ARGS): Define.
	(PROMOTE_FUNCTION_RETURN): Ditto.
	(FUNCTION_VALUE): Functions that return short or char now actually
	return using SImode, not HImode/QImode.
	(INIT_CUMULATIVE_ARGS): Call init_cumulative_args.
	(INIT_CUMULATIVE_INCOMING_ARGS): Ditto.
	(FUNCTION_ARG_ADVANCE): Call function_arg_advance.
	(FUNCTION_ARG): Call function_arg.
	(FUNCTION_INCOMING_ARG): Call function_arg, subsituting the
	assign_parms variable nominal_mode for MODE, so that char and
	short arguments are properly truncated.
	(FUNCTION_ARG_PARTIAL_NREGS): Call function_arg_partial_nregs.
	(SETUP_INCOMING_VARARGS): Call setup_incoming_varargs.

	* rs6000/rs6000.c (init_cumulative_args): Moved here from rs6000.h
	macros INIT_CUMULATIVE_{,INCOMING_}ARGS.
	(function_arg_advance): Moved here from FUNCTION_ARG_ADVANCE
	macro.
	(function_arg): Moved here from FUNCTION_ARG macro.
	(function_arg_partial_nregs): Moved here from
	FUNCTION_ARG_PARTIAL_NREGS macro.
	(setup_incoming_varargs): Move here from SETUP_INCOMING_VARARGS
	macro.
	(expand_block_move): Remove #if 0's that prevented large moves
	from being expanded if -mstring.  Bump up number of loads and
	stores to do before calling memcpy to 16.

Mon Jun  5 17:10:29 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/pe.h (DBX_DEBUGGING_INFO): Define.
	(FILE_ASM_OP, IDENT_ASM_OP): Define.
	(ASM_FILE_START): Output .file directive.

Sun Jun  4 16:40:18 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/t-pe (LIB1ASMSRC, LIB1ASMFUNCS): Define.
	(LIB2FUNCS_EXTRA): Define.
	(_divmod_tools): Shorten name of _divmodsi_tools.
	(fp-bit.c, dp-bit.c): Build.
	* arm/pe.h (ARM_PE): Define.
	(VALID_MACHINE_DECL_ATTRIBUTE): New argument `ARGS'.
	(USER_LABEL_PREFIX, LOCAL_LABEL_PREFIX): Redefine.
	(HAVE_ATEXIT): Define.
	(NAME__MAIN, SYMBOL__MAIN): Define.
	* arm/lib1funcs.asm: Handle USER_LABEL_PREFIX.
	(_divmod_tools): Shorten name of _divmodsi_tools.
	* arm/arm.c (arm_expand_prologue): #ifdef out arm_naked_function_p.

Thu Jun  1 10:44:44 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* t-sparclite (MULTILIB_*, LIBGCC, INSTALL_LIBGCC): Define.

Fri May 19 14:17:30 1995  Steve Chamberlain  <sac@rtl.cygnus.com>

	* z8k.md (udivmodhi4): Disable pattern.
	* z8k.h (RETURN_POPS_ARGS): Fix args.

Wed May 17 16:15:31 1995  Torbjorn Granlund  <tege@rtl.cygnus.com>

	* i960.h (LONG_DOUBLE_TYPE_SIZE): Define to 96.

	* stor-layout.c (layout_type): After switch, invoke ROUND_TYPE_ALIGN
	and ROUND_TYPE_SIZE if they are defined.

	* emit-rtl.c (operand_subword): For references outside a word, return
	const0_rtx.

	* varasm.c (output_constant_pool): Use floor_log2 for alignment
	calculation consistently.

Mon May  8 11:10:41 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* Makefile.in (site.exp): Use -B instead of -L for newlib path in
	  newlib_ldflags definition, so the appropriate multilib is
	  selected.

Sat May  6 16:20:29 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (realclean): Local target (renamed to maintainer-clean).

Thu May  4 14:36:42 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* tlink.c (dump_file): Move to collect2.c.

Tue Apr 25 16:57:29 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* configure: Link ../ld/ld.new to collect-ld rather than real-ld.

Sat Apr 22 02:54:08 1995  Jason Merrill  <jason@python.cygnus.com>

	* gcc.c (process_command): Set include_prefixes from
        COMPILER_PATH, too.

	* tlink.c (scan_linker_output): Only match actual errors in GNU ld
        output.

Fri Apr 21 16:26:15 1995  Torbjorn Granlund  <tege@adder.cygnus.com>

	* libgcc1-test.c (main_without__main): New name for main.

Thu Apr 20 16:29:50 1995  Jason Molenda  (crash@phydeaux.cygnus.com)

	* Makefile.in ($(srcdir)/INSTALL): Don't rebuild $(srcdir)/INSTALL.

Thu Apr 20 15:13:50 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* Makefile.in (site.exp): Split newlib_flags into newlib_cflags
	  and newlib_ldflags.

Wed Apr 19 16:16:17 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* tlink.c: Check environment variable TLINK_VERBOSE.  Use
        file_exists rather than calling access directly.  Always run
        tlink_init before dump_file.

	* configure (ld handling): Only link ../ld/ld.new to real-ld.

Wed Apr 19 15:05:47 1995  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* tlink.c (symbol_push): Cast the obstack_alloc call.
	(file_push): Likewise.

Wed Apr 19 10:40:09 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* tlink.c: Use the directory stored in the info file.

	* hash.[ch]: Copies of BFD hash table code.
	* tlink.c: Code to handle automatic template instantiation.

	* gcc.c (main): Set COLLECT_GCC_OPTIONS sooner.

Mon Apr 17 17:16:44 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* config/m68k/{x-hp320,x-hp320g} (FIXPROTO_DEFINES):
	Define _HPUX_SOURCE so putenv and other functions get seen.

Fri Apr 14 18:05:42 1995  Ken Raeburn  <raeburn@cujo.cygnus.com>

	* configure (m68k-elf, m68020-elf, i386-elf): New targets.
	* config/elfos.h, i386/i386elf.h, i386/t-i386elf, m68k/m68kelf.h,
	m68k/t-m68kelf, m68k/m68020-elf.h: New files.

Thu Apr 13 17:01:40 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (c-parse.c, objc-parse.c): Update expected count.

Mon Apr 10 11:17:43 1995  Torbjorn Granlund  <tege@adder.cygnus.com>

	* m68360-coff.h, m68360-none.h: New files.
	* config.sub: Handle m68360 as a valid cpu.
	* configure: Add case for m68360-*-coff.

Tue Apr 11 13:22:33 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* Makefile.in (install-common): When FIXINCLUDES is Makefile.in,
	install a dummy shell script as fixincludes.

Wed Apr  5 12:48:36 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* cccp.c (collect_expansion): Patch from Paul Eggert
	<eggert@twinsun.com>, to fix problem of stringizing tokens with
	newlines in them with -traditional.

Fri Mar 31 10:14:58 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* Makefile.in (stor-layout.o): Add flags.h dependency.

	* stor-layout.c, flags.h, toplev.o, invoke.texi: Remove Cygnus
	Local comments for -fpack-struct, since it is now installed at the
	FSF.

	* expmed.c (extract_bit_field): When converting a SUBREG into a
	REG, if the system is big endian, adjust the bit offset
	appropriately.

	* flow.c (mark_used_regs): If a SUBREG does not have a REG in the
	SUBREG_REG position, recursively call mark_used_regs, instead of
	segfaulting.

Thu Mar 30 11:28:51 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* c-typeck.c (digest_init):  Remove no-longer-used Chill stuff.

Thu Mar 30 13:57:44 1995  Ian Lance Taylor  <ian@cygnus.com>

	* config.sub: Merge CYGNUS LOCAL changes with top level config.sub
        file.

Mon Mar 27 14:38:09 1995  Doug Evans  <dje@chestnut.cygnus.com>

	* m68k/ose68000.h (STARTFILE_SPEC): Define as empty.
	* m68k/ose68k.h (STARTFILE_SPEC): Likewise.

Thu Mar 16 18:39:26 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* i386/t-svr4:	Use -fPIC, rather than -fpic, for building crtstuff.

Wed Mar 15 09:50:49 1995  Doug Evans  <dje@canuck.cygnus.com>

	* arm/{pe.h,pe.c,t-pe}: New files.
	* arm/arm.c (arm_expand_prologue): Skip prologue if naked fn.
	* arm/arm.h (EXTRA_CONSTRAINT_P): New constraint `T'.
	* arm/arm.md (movsi matcher): New alternative for `T' ops.
	(movsicc, movsfcc, movdfcc): New patterns.
	(*movsicc_insn, *movsfcc_hard_insn, *movsfcc_soft_insn,
	*movdfcc_insn): Matchers for conditional move insns.

Mon Mar 13 12:31:56 1995  Stan Shebs  <shebs@andros.cygnus.com>

	* toplev.c (PRINT_FILE_AND_LINE, PRINT_PROGNAME): New macros.
	(v_message_with_file_and_line, v_message_with_decl): Use them.

Wed Mar  8 16:48:15 1995  Michael Meissner  <meissner@cygnus.com>

	* stor-layout.c (layout_decl): Implment -fpack-struct here.
	(layout_record): Ditto.

	* c-decl.c (finish_struct): Don't implement -fpack-struct here.

	* expr.c (emit_move_insn_1): Test for flag_pack_struct in addition
	to maximum_field_alignment.
	(get_inner_unaligned_p): Ditto.
	(expand_expr): Ditto.

Tue Mar  7 08:39:47 1995  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (c-parse.c): Update expected s/r count to 23.
	(objc-parse.c): Likewise to 35.
	(install-common): Add $(exeext) to gcov.

Mon Mar  6 16:24:57 1995  Doug Evans  <dje@canuck.cygnus.com>

	* alpha/netware.h: Deleted, no longer supported.
	* alpha/t-netware: Likewise.
	* configure (alpha-*-netware*): Likewise.
	(*): All alpha32 local patches deleted with ss-950305 merge.
	See me for archived version.

Fri Mar  3 11:13:17 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* toplev.c (main): If an option is a substring of a language
	dependent option, but matches a full -f or -W option, choose the
	full option instead, so that -fpack-struct doesn't become chill's
	-fpack.
	(f_options): Add support for -fpack_struct.
	(flag_pack_struct): New variable for -fpack_struct support.

	flags.h (flag_pack_struct): Add external declaration.

	c-decl.c (finish_struct): If -fpack-struct, assume that all
	members of a structure have __attribute__(packed) set.

Mon Feb 27 14:00:00 1995  Kung Hsu  <kung@mexican.cygnus.com>

	* configure: add a29k-*-vxworks configuration.
	* config.sub: add vxworks29k configuration.
	* config/a29k/vx29k.h: for a29k-*-vxworks configuration.
	* config/a29k/t-vx29k: for a29k-*-vxworks configuration.

Wed Feb 15 17:57:01 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* tree.h (get_set_constructor_bytes)  Fix prototype.
	* varasm.c (output_constructor):  Fix typo byte_size -> size.

Mon Feb 13 13:49:25 1995  J.T. Conklin  <jtc@rtl.cygnus.com>

	* configure: call testsuite/configure if it is present.

Sun Feb 12 15:24:48 1995  Steve Chamberlain  <sac@splat>

	* z8k/xm-z8k.h: Enable DI mode libgcc functions.
	* z8k/z8k.c (print_operand): Handle CONST.
	(simple): Rewrite to use only one pseudo register.
	* z8k/z8k.md (addpsi3_,subpsi3_): Relax predicates for operand1.
	(ldirb): Use scratch register for length to avoid
	gcc problem.
	(subsi3): Remove the define_expand.
	(mul*, div*): Rewrite.
	(subdi3): Isn't commutative.

Wed Feb  8 17:01:19 1995  Angela Marie Thomas  <angela@blues.cygnus.com>

	* Makefile.in (testdir): Define target_alias as well as
	target_triplet in site.exp.

Mon Feb  6 16:05:14 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* reload1.c (allocate_reload_reg): Disable round-robin allocation
	of spill registers when RELOAD_ALLOC_ORDER is defined.

Mon Feb  6 11:41:28 1995  Ian Lance Taylor  <ian@cygnus.com>

	* Makefile.in (AR_FOR_TARGET, RANLIB_FOR_TARGET): Add semicolon
	after fi.

Mon Feb  6 02:43:48 1995  Torbjorn Granlund  (tege@tarkas.cygnus.com)

	* m68k/lb1ssun3.asm (__udivsi3, __divsi3, __umodsi3, __modsi3):
	Rewrite to actually work for more than a few small operands,
	and to have reasonable sizes.
	(__mulsi3): Eliminate usage of link register (i.e. a6).
	(__umulsi3): Delete.
	* t-ose68, t-lynx, t-adobe (LIB1ASMFUNCS): Remove _umulsi3.

Fri Feb  3 17:03:40 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* expr.c (expand_expr): In unaligned bitfield test, also check
	modifier and exclude the cases where we are expanding constants
	or addresses.

Thu Feb  2 11:22:54 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.md (call, call_value): On System V.4 and eABI
	systems, function pointers are normal function pointers, and not
	AIX style pointers to a three word region.
	(smin:SF, smin:DF, smax:SF, smax:DF): Merge from FSF, to correct
	typo.

	* configure, rs6000/t-rs6000: Merge from FSF, use rs6000/t-rs6000
	all on Power and PowerPC ports to suppress building libgcc1.a.

	* rs6000/t-eabi, rs6000/t-lynx, rs6000/t-netware: Delete in favor of
	using the common rs6000/t-rs6000.

Wed Feb  1 16:46:20 1995  Michael Meissner  <meissner@tiktok.cygnus.com>

	* rs6000/rs6000.h (REGISTER_MOVE_COST): Merge from FSF to include
	the register class that includes both the link and count
	registers.

Wed Feb  1 10:12:46 1995  Michael Meissner  <meissner@cygnus.com>

	* sdbout.c: Merge from FSF, don't include syms.h under Linux.

Tue Jan 31 12:31:56 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* alpha/alpha.h (ASM_OUTPUT_INT): Add ,0 to last operand of
	conditional expression, to avoid invalid void expression.

Mon Jan 30 12:38:51 1995  Michael Meissner  <meissner@cygnus.com>

	* rs6000/eabi.h (PREFERRED_DEBUGGING_TYPE): For now, make stabs
	the preferred debugging type.

Fri Jan 27 21:16:31 1995  Michael Meissner  <meissner@cygnus.com>

	* rs6000/sysv4.h (DBX_OUTPUT_LBRAC, DBX_OUTPUT_RBRAC): Delete, we
	don't need to emit a '.' in front of function names.
	(ASM_OUTPUT_SOURCE_LINE): Do not put a '.' in front of function
	names.

Thu Jan 26 13:13:25 1995  Michael Meissner  <meissner@cygnus.com>

	* config.sub: Add support for powerpc-*-{elf,svr4,eabi}.
	* configure: Ditto.

	* rs6000/xm-sysv4.h: New file, to support building GCC for a
	System V.4 PowerPC system.
	* rs6000/sysv4.h: Ditto.
	* rs6000/x-sysv4: Ditto.

	* rs6000/eabi.h: New file, to support building GCC for an embedded
	PowerPC system.
	* rs6000/t-eabi: Ditto.

	* rs6000/rs6000.h (TARGET_SWITCHES): Add -mmultiple, -mno-multiple
	to control emitting load/store multiple instructions.  On the
	power, this is on by default, and on the powerpc it is off.
	(SAVE_FP_*, RESTORE_FP_*): New macros that give the prefix and
	suffix to use for the functions that save and restore the floating
	point registers.

	* rs6000/rs6000.c (output_prolog): Use TARGET_MULTIPLE instead of
	TARGET_POWER to control whether to emitt load/store multiple
	instructions.  Use the SAVE_FP_*/RESTORE_FP_* macros instead of
	using the hardwired AIX names for the functions to save and
	restore the floating point registers.
	(output_epilog): Likewise.
	(print_operand_address): Do not prepend a '.' for %z when using
	the ELF object file format.
	(svr4_traceback): New function to emit the word before the
	procedure prologue that System V.4 expects to do tracebacks.
	(output_prolog): Call svr4_traceback under ELF systems.
	(output_epilog): Omit AIX style traceback tables for ELF systems.
	(output_function_profiler): Abort for now in the ELF case.

	* rs6000/rs6000.md (load_multiple, store_multiple): Test against
	TARGET_MULTIPLE instead of TARGET_POWER.

Mon Jan 23 14:48:29 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* tree.h (boolean_true_node, boolean_false_node):  Removed.

Mon Jan 16 15:41:33 1995  Doug Evans  <dje@canuck.cygnus.com>

	* libgcc2.c (_bb, inhibit_libc): Delete local version, use FSF's.

Fri Jan 13 14:16:01 1995  Jason Merrill  <jason@phydeaux.cygnus.com>

	* ginclude/va-alpha.h (__va_tsize): Wrap uses of 'long long' with
        __extension__.

Mon Jan  9 13:04:37 PST 1995  Steve Chamberlain  (sac@jonny.cygnus.com)
 
 	* c-decl.c (addrarith_type): Remove.
 	(init_decl_processing): Don't initialize addrarith_type.
 	* c-typeck.c (pointer_int_sum):  Use OFFSET_SIZE
 	where addrarith_type used to be.
 	* expr.c (get_inner_reference, expand_expr): Ditto.
 	* tree.h: (OFFSET_SIZE): New definition.
 	* tm.texi (OFFSET_SIZE): Describe.
 	* z8k.h: (OFFSET_SIZE): Define.
 
Fri Jan  6 17:50:48 1995  Jim Wilson  <wilson@chestnut.cygnus.com>

	* z8k/z8k.h (DO_GLOBAL_CTORS_BODY): Run constructors from right to
	left not left to right.
	* m88k/m88110-coff.h: Likewise.

Tue Jan  3 18:43:50 1995  Per Bothner  <bothner@kalessin.cygnus.com>

	* varasm.c (const_hash, compare_constant_1, record_constant_1,
	copy_constant):  Add support for SET_TYPEs.

Tue Jan  3 17:37:59 1995  Doug Evans  <dje@canuck.cygnus.com>

	* expmed.c (extract_bit_field, fields bigger than word case): Count
	subwords in target.  Zero remaining upper bits if unsigned.

Wed Dec 28 11:03:13 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* z8k.c (fixup): Delete.
	(whichway, output_move64): Get more cases right.
	* z8k.md (cmphi, subhi3): Remove calls to fixup.
	(_cmpqi): New pattern.
	(cmpqi): Expand and force necessary operands into
	registers.
	(_pushdi): Call output_move64.

Fri Dec 23 14:04:13 1994  Ian Lance Taylor  <ian@sanguine.cygnus.com>

	* Makefile.in (LIBGCC2_INCLUDES, LIBGCC2_DEPS): Remove obsolete
	CYGNUS LOCAL patches.

Thu Dec 22 13:46:16 1994  J.T. Conklin  (jtc@rtl.cygnus.com)

	* config/netware.h (RELATIVE_PREFIX_NOT_LINKDIR, LIBGCC_SPEC):
	  #undef so that ../gcc/xgcc -B../gcc/ will find libgcc.

Mon Dec 19 14:27:39 1994  J.T. Conklin  (jtc@rtl.cygnus.com)

	* configure (*-*-netware): Set fixincludes.
	* config/{alpha,i386,rs6000}/t-netware (FIXINCLUDES): Removed.

Mon Dec 19 13:03:30 1994  Jim Wilson  <wilson@chestnut.cygnus.com>

	* reload1.c (reload_as_needed): Use RELOAD_ALLOC_ORDER.
	* z8k.h (REG_CLASS_CONTENTS): Remove reg 0 from SGI_REGS, and add
	reg 7.
	(REGNO_REG_CLASS): Return QI_REGS for reg 0 not reg 7.

Thu Dec  8 19:35:16 1994  Doug Evans  <dje@cygnus.com>

	* mips/t-ncd (CROSS_TEST, ENQUIRE, EXTRA_PASSES): Delete.
	* mips/ncd.h (inhibit_libc): Delete.

Tue Dec  6 16:50:22 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* z8k.c (r_ir_da_x_operand_for_di, r_ir_da_x_ba_operand_for_di):
	New functions.
	(whichway): New function.
	(output_move64): Use new function.
	* z8k.h (TARGET_TYPED64_BIT):  New
	(DOUBLE_TYPE_FLAG): Depends on above flag.
	* z8k.md (subdi3, adddi3, movdf, movdi): Use new predicates.

	From Jim Wilson:
	* z8k.h (RELOAD_ALLOC_ORDER): Define.
	* reload1.c (order_regs_for_reload, reload): Use RELOAD_ALLOC_ORDER.
	* regclass.c (reload_alloc_order): New variable definition.
	* hard-reg-set.h (reload_alloc_order): New variable declaration.

Sun Dec  4 21:56:19 1994  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (bi-parser.c): Don't create y.tab.c, c-parse.c's is
	more important.
	(mostlyclean): Delete y.tab.c, y.tab.h.

Tue Nov 29 17:10:50 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* z8k.h (GO_IF_LEGITIMATE_ADDRESS): Disallow bx mode for
	DI and DF.
	(PRINT_OPERAND_PUNCT_VALID_CODE): New code.
	* z8k.md (nameless pushqi): Remove memory source modes,
	delete useless pattern.
	(nameless pushdf, pushdi): Push operands in the right order.
	(adddi3, subdi3): Add more patterns.
	* z8k.c (print_operand): Process ^ and B. Handle more
	varieties of bx mode addressing.
	(z8k_function_arg, faa): Fix large arg handling.
	(getreg): New function.
	(output_move64): New function.
	* t-z8k: Add dp handling.

Mon Nov 28 17:38:27 1994  Jim Wilson  <wilson@chestnut.cygnus.com>

	* z8k.h (IR_P): Accept MEM with pseudo-reg address during reload.
	(BA_P): Accept (MEM (PLUS (pseudo) CONST_INT)) during reload.
	(REG_ALLOC_ORDER): Move 4/5 to front of list.
	* z8k.md (movqi_matchet): Move ur/rn constraint to end of list.

Mon Nov 28 10:42:52 1994  J.T. Conklin  (jtc@rtl.cygnus.com)

	* config/t-netware: Unused file, removed.
	* config/rs6000/t-netware (EXTRA_PARTS): Removed, we handle ctors
	  and dtors differently than svr4 does.

Thu Nov 24 19:42:21 1994  Doug Evans  <dje@canuck.cygnus.com>

	* gcc.c (translate_options): Handle blanks in GCC_DEFAULT_OPTIONS
	better.
	(main): Don't print GCC_DEFAULT_OPTIONS if undefined.

Wed Nov 23 11:11:22 1994  Jim Wilson  <wilson@chestnut.cygnus.com>

	* gcov.c (create_program_flow_graph): Always read a byte at a time
	from .da file.
	* profile.c (branch_prob): Likewise.
	* libgcc2.c (__bb_exit_func): Always read/write a byte at a time
	from .da file.  Change inner loop to use j as iteration variable so
	it doesn't conflict with outer loop.

Tue Nov 22 18:21:08 1994  Doug Evans  <dje@canuck.cygnus.com>

	* configure: Delete check for pagas.

Sat Nov 19 15:59:32 1994  Jim Wilson  (wilson@chestnut.cygnus.com)

	* z8k.c (extern_head): New variable.
	(asm_output_local, asm_output_name): New functions.
	(asm_output_common): Change variable names to lowercase.
	Make TARGET_YASM case call ASM_GLOBALIZE_LABEL and ASM_OUTPUT_LOCAL
	macros.
	(extlist): Delete variable.
	(asm_seen, asm_output_function_prefix): Delete functions.
	(asm_file_end): Use extern_head.  Cleanup formatting.  Delete
	redundant if expression.
	(z8k_output_external): New function.
	* z8k.h (ASM_GLOBALIZE_LABEL): Use tab not space for consistency.
	(ASM_OUTPUT_EXTERNAL): Call z8k_output_external.
	(ASM_OUTPUT_EXTERNAL_LIBCALL): New macro.
	(ASM_OUTPUT_FUNCTION_PREFIX): Delete macro.
	(ASM_OUTPUT_COMMON): Cleanup formatting.
	(ASM_OUTPUT_LOCAL): Call asm_output_local.
	(ASM_DECLARE_OBJECT_NAME, ASM_DECLARE_FUNCTION_NAME): New macros.

Fri Nov 18 11:33:54 1994  J.T. Conklin  (jtc@cygnus.com)

	* config/alpha/lib1funcs.asm: New file, Torbjorn Granlund's
	  integer division and remainder code.
	* config/alpha/t-netware: Use it.

Thu Nov 17 11:33:01 1994  J.T. Conklin  (jtc@cygnus.com)

	* config/alpha/netware.h: Revert last change.  The alpha NetWare
	  toolchain uses ECOFF and collect2 for ctors and dtors, this is
	  too much of a difference to try to use the ELF definitions used
	  by the other NetWare platforms in config/netware.h.
	  (CPP_PREDEFINES): Added -DALPHA.

	* config/i386/netware.h (CPP_PREDEFINES): Added -DAPX386.

	* config/rs6000/netware.h: Use config/netware.h, remove common
	  macro definitions.
	 (CPP_PREDEFINES): Added -DPPC.

	* config/netware.h (READONLY_DATA_SECTION, CONST_SECTION_ASM_OP,
	  CONST_SECTION_FUNCTION): #define macros instead here instead of
	  assuming they will be inherited correctly from the base-os
	  config files.
	  (DBX_DEBUGGING_INFO, SDB_DEBUGGING_INFO, DWARF_DEBUGGING_INFO,
	  XCOFF_DEBUGGING_INFO, PREFERRED_DEBUGGING_TYPE): #define/#undef
	  macros here instead of assuming they will be inherited correctly
	  from the base-os config files.

Thu Nov 17 18:50:16 1994  Doug Evans  <dje@canuck.cygnus.com>

	* ns32k/ns32k-aout.h: Deleted, not used anymore.
	* ns32k/ns32k-coff.h: Likewise.

Thu Nov 17 18:22:23 1994  Jim Wilson  (wilson@chestnut.cygnus.com)

	* explow.c (promote_mode): Handle REFERENCE_TYPE just like
	POINTER_TYPE.

Wed Nov 16 17:06:26 1994  Ian Lance Taylor  <ian@sanguine.cygnus.com>

	* config/mips/ecoffl.h: Define TARGET_ENDIAN_DEFAULT rather than
	BYTES_BIG_ENDIAN and WORDS_BIG_ENDIAN.
	* config/mips/elfl.h, config/mips/elfl64.h: Likewise.
	* config/mips/t-ecoff (dp-bit.c, fp-bit.c): Add code to define
	FLOAT_BIG_ORDER_MISMATCH if __MIPSEL__ is defined.
	(MULTILIB_OPTIONS, MULTILIB_DIRNAMES): Build both big and little
	endian versions of the libraries.
	* config/mips/t-ecoffl: Remove.
	* configure (mipsel-*-ecoff*): Set tmake_file to mips/t-ecoff, not
	mips/t-ecoffl.

Mon Nov 14 12:38:03 1994  Doug Evans  <dje@canuck.cygnus.com>

	* z8k/z8k.h (CPP_SPEC): Define __INT_MAX__.

Thu Nov 10 19:58:59 1994  Doug Evans  <dje@canuck.cygnus.com>

	* m68k/t-m68kbare (MULTILIB_MATCHES): Treat m68302/m68332 like m68000.

Tue Nov  8 10:54:38 1994  Doug Evans  <dje@canuck.cygnus.com>

	* configure (embedded targets): Consistently have '*'
	after aout, coff, etc.

Thu Oct 27 15:28:20 1994  Per Bothner  <bothner@kalessin.cygnus.com>

	* c-typeck.c:  Remove no-longer-used Chill-specific code.

Wed Oct 26 16:22:01 1994  Ian Lance Taylor  <ian@sanguine.cygnus.com>

	* config.sub: Merge in changes from top level config.sub.

Mon Oct 24 10:33:34 1994  Ian Lance Taylor  <ian@sanguine.cygnus.com>

	* config/sparc/xm-lynx.h: Include <sys/types.h> and <sys/wait.h>
	in order to define exit status accessor macros.

Wed Oct 19 14:19:11 1994  Doug Evans  <dje@canuck.cygnus.com>

	* configure (m68k-*-aout/coff): Simplify.

Mon Oct 17 11:11:27 1994  J.T. Conklin  (jtc@phishhead.cygnus.com)

	* configure/netware.h: #undef INIT_SECTION_ASM_OP, #define
	  HAVE_ATEXIT to support constructors and destructors.

Fri Oct 14 11:08:03 1994  J.T. Conklin  (jtc@phishhead.cygnus.com)

        * configure (sparc-*-netware*): Removed.
	* config/sparc/{netware.h,netwcomm.h,t-netware}: Removed.

	* config/netware.h: New file, definitions common to all netware
	  ports.
	* config/alpha/netware.h: Use it.
	* config/i386/netware.h: Use it.
	* config/i386/netwcomm.h: Removed.

Wed Oct 12 13:19:05 1994  Doug Evans  <dje@canuck.cygnus.com>

	* Makefile.in (LANGUAGES): Put gcov back.

Tue Oct 11 14:02:55 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* z8k.c (abort): Delete.
	* z8k.h (BA_P): Accept unallocated pseudo-registers.
	(ASM_OUTPUT_SOURCE_LINE): Use arg LINE instead of variable
	last_linenum.
	* z8k.md (combine5+2): Use const_int_operand instead of
	immediate_operand.

Tue Oct  4 14:13:25 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* explow.c (allocate_dynamic_stack_space):  Use size_type
	to make prevous change more robust.

Mon Oct  3 14:24:19 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* explow.c (allocate_dynamic_stack_space):  If -fcheck-stack,
	call _probe to test for stack overflow.

Mon Oct  3 12:02:05 1994  Doug Evans  <dje@cygnus.com>

	* sparc/x-sun4: Deleted, not used anymore.
	* config/x-cygnus, config/xm-cygnus.h: Likewise.
	* a29k/a29k-aout.h, a29k/a29k-coff.h: Likewise.
	* i860/i860-aout.h, i860/i860-coff.h: Likewise.
	* vax/vax-aout.h, vax/vax-coff.h: Likewise.
	* configure (a29k-*-aout): Likewise.

Sun Oct  2 16:35:57 1994  Doug Evans  (dje@canuck.cygnus.com)

	* config/float.h-ieee: Protect from multiple inclusion.
	(all macros): #undef first.
	* config/float.h-vax: Likewise.

Sat Oct  1 01:15:49 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config/rs6000/netware.h (DBX_OUTPUT_LBRAC): Define.
	(DBX_OUTPUT_RBRAC): Define.

Fri Sep 30 17:55:10 1994  Ian Lance Taylor  <ian@sanguine.cygnus.com>

	* config/i386/netware.h: sysv4dbx.h was replaced by sysv4gdb.h.

	* configure (sparc-*-lynxos*): Use t-sunos41, not t-sparcbare.

Thu Sep 29 19:19:02 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* config/i386/i386.c (function_prologue):  Some cleaning up
	(use output_asm_insn)>  Push frame_size to _probe().

Thu Sep 29 16:37:54 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* config/i960/t-960base (LIBGCC2_CFLAGS): Delete.

Wed Sep 28 13:16:54 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* config/sparc/sparc.c (output_function_prologue):  Fix delay-slot
	lossage.  Pass actual_fsize in %o0.

Mon Sep 26 16:41:31 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* i386/netwcomm.h (WCHAR_TYPE, WCHAR_TYPE_SIZE): Define.

Fri Sep 23 11:30:59 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* expr.c (expand_assignment): Make sure offsets are the right
	size before addition.

Thu Sep 22 15:57:18 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* expr.c (protect_from_queue): Copy the MEM_UNALIGNED_P bit.

Thu Sep 22 11:47:27 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	Revert LynxOS patches of Sep 8.
	* configure (i[34]86-*-lynxos*): Use t-i386bare, not t-lynx.
	(sparc-*-lynxos*): Use t-sparcbare, not t-lynx.
	* config/i386/t-lynx: Remove.
	* config/m68k/t-lynx (FIXINCLUDES, STMP_FIXPROTO): Don't define.
	* config/sparc/t-lynx: Remove.

Wed Sep 21 18:17:26 1994  Doug Evans  (dje@canuck.cygnus.com)

	* sparc/litecoff.h (ASM_OUTPUT_SOURCE_LINE): Provide definition that
	works with -gstabs and -gcoff.

Tue Sep 20 13:45:55 1994  Doug Evans  (dje@canuck.cygnus.com)

	* configure: Restore -v and -verb*, clobbered in merge.

	* Makefile.in (site.exp): No need to pass -I$(objdir)/include.
	Add some notes regarding newlib.

Fri Sep 16 17:25:31 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* toplev.c (f_options):  Add "check-stack".
	(lang_options):  Remove "-fcheck-stack".

Fri Sep  9 12:34:21 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* i386/sco.h (DBX_DEBUGGING_INFO, PREFERRED_DEBUGGING_TYPE): Delete.

	* lite.h (INIT_TARGET_OPTABS): Rename to INIT_SUBTARGET_OPTABS.
	* vxsparc.h (INIT_TARGET_OPTABS): Likewise.

Fri Sep  9 08:30:12 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* c-typeck.c (pointer_int_sum): Make segmented code handler
	dependent upon TARGET_SEGMENTED, not TARGET_Z8000.
	* expr.c (get_inner_reference, expand_expr): Ditto.
	* config/z8k/z8k.h: Define TARGET_SEGMENTED.

Thu Sep  8 19:11:26 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* c-typeck.c (lvalue_p):  Remove no-longer needed Chill stuff.
	* c-typeck.c (get_constructor_element_type):  Removed.
	* varasm.c (unpack_set_constructor, pack_set_constructor):
	Removed.  (Replaced by new FSF-approved functions in tree.c.)
	(emit_set_data):  Update appropriately.

Thu Sep  8 17:29:40 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* config/lynx.h: (ASM_OUTPUT_SOURCE_LINE): Use assemble_name to
	format the function's name.

Thu Sep  8 17:14:29 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* expr.c (set_storage):  Removed.  Not used.
	* expr.c (store_constructor):  Clean up Chill SET_TYPE support
	to use changes in tree.c and stor-layout.c.
	Call __setbits instead of __setpowersetbits.
	* expr.c (store_field):  Fix from Jim Wilson for unaligned-pointers.

Thu Sep  8 15:44:30 1994  D. V. Henkel-Wallace  (gumby@blues.cygnus.com)

	* config: use i386/t-lynx and sparc/t-lynx for the appropriate
	lynxOS configurations.
	config/sparc/t-lynx: new file.  Don't run FIXINCLUDES/FIXPROTO.
	config/i386/t-lynx: new file.  Don't run FIXINCLUDES/FIXPROTO.
	config/m68k/t-lynx: Don't run FIXINCLUDES/FIXPROTO.

Thu Sep  8 10:32:03 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* alpha/netware.h: #undef HAS_INIT_SECTION.

Tue Sep  6 15:28:07 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcc.c (do_spec_1, case 'v'): Ignore the `-94q4' added to the
	version number.

Tue Sep  6 11:52:04 1994  J.T. Conklin  (jtc@rtl.cygnus.com)

	* config/alpha/netware.h: Define empty STARTFILE_SPEC and
	  ENDFILE_SPEC.
	* config/rs6000/netware.h: Likewise.

Mon Sep  5 15:01:36 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config/rs6000/netware.h (PREFERRED_DEBUGGING_TYPE): Undefine
	before defining.

Fri Sep  2 17:03:37 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* alpha.md (movdi): Add a gen_lowpart (PTRmode, ...) call, so that
	it works with 32 bit addresses.

Fri Sep  2 13:16:38 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* flags.h, toplev.c (flag_check_stack):  New flag (for Chill).

Tue Aug 30 16:38:42 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* stmt.c (all_cases_count, mark_seen_cases, BITARRAY_TEST,
	BITARRAY_SET):  New functions and macros.  Used (mainly by
	Chill) to check all cases are covered (for enums and ranges).

Sun Aug 28 11:19:19 1994  Doug Evans  (dje@canuck.cygnus.com)

	* m68k/t-m68kbare (LIB2FUNCS_EXTRA): Add xfgnulib.c.
	Build xfgnulib.c from fpgnulib.c with -DEXTFLOAT.
	* m68k/fpgnulib.c (__extenddfxf2, __truncxfdf2 __extendsfxf2,
	__truncxfsf2, __floatsixf, __fixxfsi, __addxf3, __subxf3, __mulxf3,
	__divxf3, __negxf2, __cmpxf2, __eqxf2, __nexf2, __ltxf2, __lexf2,
	__gtxf2, __gexf2): New fns.

Fri Aug 26 13:30:30 1994  Doug Evans  (dje@cygnus.com)

	* configure: add mips-ncd-elf
	* config/mips/{ncd.h,t-ncd}: New files.

Fri Aug 26 12:01:50 1994  Doug Evans  (dje@canuck.cygnus.com)

	* config/sparc/{sp64-a-v8.h, sp64-svr4.h, sp64-v8-abi.h,
	sp64-v9-abi.h sparc64.c, sparc64.h, sparc64.md}:
	The sparc64 port is at the FSF now.  These are no longer needed.

Fri Aug 26 11:51:18 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* Makefile.in (stmp-fixinc): If we fixed the header files in
	$(tooldir)/include, make sure that $(libsubdir) exists, so that
	cpp will work when it uses $(libsubdir)/$(unlibsubdir).

Thu Aug 18 11:03:39 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* mips/mips.h (ASM_SPEC): Pass -mcpu=X to gas.

Tue Aug 16 00:37:35 1994  Per Bothner  (bothner@cygnus.com)

	* expr.c (maximum_field_alignment):  More extern declaration
	from inside emit_move_insn_1 to global scope.

Mon Aug 15 14:43:40 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* emit-rtl.c (operand_subword): Copy MEM_UNALIGNED_P.
	(change_address): Likewise.
	* explow.c (stabilize): Likewise.
	* expmed.c (store_split_bit_field): Handle LO_SUM.
	* expr.c (emit_move_insn_1): Handle case where X or Y is a MEM
	with MEM_UNALIGNED_P set.
	(get_inner_unaligned_p): Return zero when flag_unaligned_pointers
	is true.
	(expand_expr, case INDIRECT_REF): Set MEM_UNALIGNED_P if
	flag_unaligned_pointers is true.
	(expand_expr, case OFFSET_REF): Likewise.
	(expand_expr, case COMPONENT_REF): Copy MEM_UNALIGNED_P.
	* flags.h (flag_unaligned_pointers): Declare.
	* rtl.h (struct rtx_def): Document new use of integrated flag.
	(MEM_UNALIGNED_P): New macro.
	* toplev.c (flag_unaligned_pointers): Define.
	(f_options): Add -funaligned-pointers option.

Fri Aug 12 18:32:30 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* config.sub: Accept mips64orion and mips64orionel as a CPU name.
	* configure (mipsel-*-elf*): Rename from mips-*-elfl*.
	(mips64el-*-elf*): Rename from mips64-*-elfl*.
	(mips64orionel-*-elf*): New target.
	(mips64orion-*-elf*): New target.
	* config/mips/elforion.h, config/mips/elflorion.h: New files.

Sat Aug  6 15:20:28 1994  Jason Molenda (crash@phydeaux.cygnus.com)

        * configure: add i960-nindy-coff.

        * i960/i960-coff.h (PREFERRED_DEBUGGING_TYPE): Define, set to
        SDB_DEBUG, also remove #undef of DBX_DEBUGGING_INFO.

        * i960/t-960bare: New file.  Mostly copied from i960/t-vxworks960.

Fri Aug  5 16:22:14 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* expr.c (emit_move_insn_1): In -fpack code, assume all addresses
	are aligned after reload starts.

Fri Aug  5 11:38:06 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* a29k/a29k.h, h8300/h8300.h, i386/sysv3.h,
	m68k/m68k-coff.h, m88k/m88k-coff.h, sh/sh.h, z8k/z8k.h
	(DBX_DEBUGGING_INFO): Define.
	(PREFERRED_DEBUGGING_TYPE): Define, set to SDB_DEBUG.

Wed Aug  3 06:16:00 1994  D. V. Henkel-Wallace  (gumby@cygnus.com)

	* config/lynx.h: update LIB_SPEC and STARTFILE_SPEC for 2.2.2.
	Stub out FUNCTION_PROFILER; lynx doesn't have mcount.

	* config/rs6000/lynx.h: Stub out FUNCTION_PROFILER again; also
	define rs6000 lynxOS 2.2.2 STARTFILE_SPEC which is different since
	rs6000 lynxOS 2.2.2 is different from the normal lynxOS 2.2.2.

Wed Jul 27 11:14:53 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* mips/elf64.h (CPP_SPEC): Define.

Tue Jul 19 13:06:44 1994  Bill Cox  (bill@rtl.cygnus.com)

	* configure: Rename OSE file here and in config/m68k.
	* config/m68k/t-ose*

Tue Jul 19 11:31:43 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* a29k/t-a29k (dp-bit.c): Use > not >> in cat command.

Mon Jul 18 13:27:30 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* sparc.h (SELECT_SECTION, SELECT_RTX_SECTION): Use
	SUNOS4_SHARED_LIBRARIES.

	* rs6000/rs6000.h (ASM_SPEC): Change power to mpower.

Thu Jul 14 16:00:04 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* configure (m68*-ericsson-OSE,m68*-ericsson-ose): It's t-ose, not
	t-ose68.

Mon Jul 11 16:30:54 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* expr.c (emit_move_insn_1):  If maximum_field_alignment != 0,
	handle unaligned indirect memory references.

Mon Jul 11 14:24:20 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* expr.c (expand_expr, COMPONENT_REF case): Don't fetch unaligned
	field if we only want its address.

Fri Jul  8 12:11:38 1994  D. V. Henkel-Wallace  (gumby@cygnus.com)

	* collect2.c, gcc.c (choose_temp_base): Use different scheme if
	LOSING_MKTEMP defined.

	* m68k/lynx.h (CALL_USED_REGISTERS, FUNCTION_VALUE,
	LIBCALL_VALUE, FUNCTION_VALUE_REGNO_P, NEEDS_UNTYPED_CALL): Define.

	* rs6000/lynx.h (DEFAULT_SIGNED_CHAR, ASM_SPEC, SUBTARGET_SWITCHES,
	SUBTARGET_OVERRIDE_OPTIONS): Define.
	(CPP_PREDEFINES): Add -DLYNX.
	* rs6000/rs6000.c (rs6000_override_options): Use
	SUBTARGET_OVERRIDE_OPTIONS.
	* rs6000/rs6000.h (ASM_SPEC): Define.
	(SUBTARGET_SWITCHES): Define it to nothing if not already defined.
	(SUBTARGET_OVERRIDE_OPTIONS): Likewise.
	(TARGET_SWITCHES): Use SUBTARGET_SWITCHES.

	* xm-lynx.h: Delete.
	* i386/xm-lynx.h, m68k/xm-lynx.h, rs6000/xm-lynx.h sparc/xm-lynx.h:
	New files.
	* configure (*-lynx): Use new files.

Wed Jul  6 00:59:11 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config/rs6000/netware.h (ASM_DECLARE_FUNCTION_NAME): Make sure
	function descriptor is aligned to four byte boundary.

Tue Jul  5 12:08:22 1994  Ian Lance Taylor  (ian@sanguine.cygnus.com)

	* config/rs6000/netware.h (DBX_FINISH_SYMBOL): Define.

Wed Jun 29 10:38:27 1994  J.T. Conklin  (jtc@phishhead.cygnus.com)

	* config/i386/netwcomm.h: Define empty STARTFILE_SPEC and
	ENDFILE_SPEC.
	* config/sparc/netwcomm.h: Likewise

Tue Jun 28 16:37:41 1994  Stu Grossman  (grossman@cygnus.com)

	* config/lynx.h:  Turn on DBX_BLOCKS_FUNCTION_RELATIVE &
	DBX_FUNCTION_FIRST, and define ASM_OUTPUT_SOURCE_LINE to make
	embedded stabs for coff similar to other embedded stabs.  Define
	DBX_OUTPUT_MAIN_SOURCE_FILE_END to output an N_SO to mark the end
	of a .o file.

Mon Jun 27 10:41:48 1994  Steve Chamberlain  (sac@cygnus.com)

	* z8k.md: Make the default cond attribute trash the cc.
	(moves): Explicitly don't trash cc.
	* z8k.c (asm_file_start): Rev version number.

	* h8300.h: (BIGGEST_ALIGNMENT, BIGGEST_FIELD_ALIGNMENT): fix for
	H8/300H.
	* h8300.md: Get some lengths right.
	* h8300.c (notice_update_cc): Remember cmps correctly.

Sun Jun 26 23:33:54 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* toplev.c (lang_options):  Add -fpack and -fno-pack.
	(Chill, only for now.  Maybe C also later.)

Sat Jun 18 12:50:28 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* final.c (INT_TYPE_SIZE): Delete.
	(LONG_TYPE_SIZE): Define.
	(end_final): Use LONG_TYPE_SIZE instead of INT_TYPE_SIZE.  Use
	long_size or pointer_size instead of UNITS_PER_WORD.
	(profile_function): Likewise.
	* gcov.c: Add comments about type size assumptions.
	* profile.c (LONG_TYPE_SIZE): Define.
	(output_arc_profiler): Use LONG_TYPE_SIZE instead of word_mode.
	(output_func_start_profiler): Use Pmode or LONG_TYPE_SIZE instead
	of word_mode.

	* optabs.c (expand_float): Use OPTAB_LIB_WIDEN in add_optab
	expand_binop call.

Wed Jun  8 20:19:14 1994  Jason Merrill  (jason@deneb.cygnus.com)

	* m68k/vx680?0.h: #undef PCC_STATIC_STRUCT_RETURN.

Tue Jun  7 13:20:40 1994  Doug Evans  (dje@canuck.cygnus.com)

	* sparc64.h (SECONDARY_MEMORY_NEEDED_MODE): Define.
	* sparc64.md (movsi insn): Don't explicitly handle r/f moves,
	gcc will think it's ok to use the fp regs to store SImode values.
	(movsf insn): Likewise.

Tue Jun  7 11:24:14 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* flags.h (flag_unaligned_struct_hack): Declare.
	* stor-layout.c (flags.h): Include.
	(get_best_mode): Use flag_unaligned_struct_hack.
	* toplev.c (flag_unaligned_struct_hack): Define.
	(f_options): Add option to set flag_unaligned_struct_hack.

	* gcov.c (gcov_verstion_string): Change from 1.4 to 1.5.
	(output_long_names, output_function_summary): New variables.
	(print_usage): Add -l and -f options.  Delete -s option.
	(process_args): Add -l and -f options.
	(scan_for_source_files): Ignore function names.
	(function_source_*, function_branches*, function_calls*,
	function_names): New variables.
	(calculate_branch_probs): Calculate function level branch
	summaries.
	(function_summary): New function.
	(output_data): Delete variable function_number.  New variables
	total_branches* and total_calls*.  Use function_name instead of
	function_number.  Calculate and output function level summaries.
	Create long output file names when -l specified.  Output `Creating'
	message to stdout not stderr.  Change `doesn't return' message to
	`returns', and invert percentage.
	* profile.c (output.h): Include.
	(output_gcov_string): New function.
	(branch_prob): Call output_gcov_string to output function and file
	names.
	* Makefile.in (gcc.info, gcc.dvi, usegcc.dvi, usegcc.info): Add
	dependency for gcov.texi.
	* gcov.texi: Update to reflect all above changes.

Fri Jun  3 09:57:50 1994  Steve Chamberlain  (sac@deneb.cygnus.com)

	* h8300.c: Fix copyright and release number.
	(general_operand_src): Fix POST_INC.
	(general_operand_dst): Fix PRE_DEC.
	* h8300.h: Fix copyright and authors.
	* h8300.md: Fix copyright and authors.
	(pushes): Allow more.
	* t-h8300: Change attribute usage.

Thu Jun  2 20:42:01 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure: Add support for --program-prefix and --program-suffix.

Wed Jun  1 10:54:03 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure (mipsel-*-ecoff*): Use mips/t-ecoffl, not mips/t-ecoff.
	* config/mips/t-ecoffl: New file; just like t-ecoff, but define
	FLOAT_BIT_ORDER_MISMATCH in dp-bit.c and fp-bit.c.

Tue May 31 12:00:26 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* z8k.h (REGNO_REG_CLASS): Add case for SQI_REGS.

Wed May 25 13:54:49 1994  Ken Raeburn  (raeburn@cujo.cygnus.com)

	* config/i960/i960.h (PUT_SDB_TYPE): Double type class portion, to
	widen type field by one bit, for compatibility with gdb and GNU960
	tools.
	* config/i960/vx960-coff.h: New file.
	* configure: Use it for i960-vxworks5.x, x != 0.

Tue May 24 16:11:06 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* explow.c (promote_mode): Promote pointers from PTRmode to Pmode.

Fri May 20 15:29:12 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* stmt.c (doing_chill_thang):  Removed.

Wed May 18 12:59:16 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config/i386/sysv4dbx.h (DBX_BLOCKS_FUNCTION_RELATIVE): Define.
	(ASM_IDENTIFY_GCC): Define to be empty.
	(ASM_IDENTIFY_GCC_AFTER_SOURCE): Define to emit stabs entry.

Sun May 15 15:40:53 1994  Doug Evans  (dje@canuck.cygnus.com)

	* h8300/h8300.c (notice_update_cc, case CC_COMPARE): Fix typo.
	(shift_one): Add support for tracking the condition code.
	(get_shift_alg): New argument `cc_valid_p'.  All callers changed.
	(emit_a_shift): Update cc_status if condition code is valid.
	Fix handling of negative variable shifts.
	* h8300/h8300.md (shiftbyn_[QHS]I): Condition code is clobbered,
	not set.

Fri May 13 11:50:26 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* configure (sparc-*-sunos4): Use t-sunos4.
	* sparc/t-sunos4: New file.

Thu May 12 20:35:36 1994  Doug Evans  (dje@canuck.cygnus.com)

	* config/fp-bit.c: Restore old syntax of mode attributes.

	* h8300/h8300.c (expand_a_shift): Document it.
	Handle all shifts (including big and negative ones).
	(get_shift_alg): Abort if count too big.
	Handle shifts equal to mode size.
	(emit_a_shift): If shift is negative, set to 0.
	If shift is too big, set to mode size.

	* Makefile.in (c-parse.c): Expect 10 shift/reduce conflicts now.
	(objc-parse.c): Expect 22 shift/reduce conflicts now.

Thu May 12 15:55:03 1994  Bill Cox  (bill@rtl.cygnus.com)

	* fixincludes: Remove CYGNUS-LOCAL comments, since the
	  changes are installed at the FSF now.

Tue May 10 15:26:09 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* toplev.c (compile_file): Pass dump_base_name not
	main_input_filename to end_final.
	* final.c (getpwd): Add declaration.
	(end_final): Use absolute pathname for .da file.
	* gcov.texi: New file.
	* gcov.c (gcov_version_string): Change from 1.3 to 1.4.
	(source_directory): Delete variable.
	(process_args): Delete uses of source_directory.
	(open_files): Likewise.  Delete variable srcdir_count.
	Construct d_file_name just like bb_file_name.  Correct index
	into object_directory when looking for trailing slash.  Use cptr+1
	not cptr in strcat calls.
	(output_data): When print percentage of executed lines, use 6.2lf
	modifier.  gcov_file_name is in current directory.

Mon May  9 10:54:04 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* expmed.c (store_fixed_bit_field): Delete code to handle
	MODE_FLOAT values here.
	(store_bit_field): Put it here instead.

	* mips.md (extv, extzv):  Fail if operand[1] isn't a MEM.

Fri May  6 15:28:30 1994  D. V. Henkel-Wallace  (gumby@rtl.cygnus.com)

	* configure (rs6000-*-lynxos*): New configuration.
	* rs6000/x-lynx, rs6000/t-lynx, rs6000/lynx.h: New files.

	* configure (m68k-ericsson-ose, m68000-ericsson-ose): Use t-ose68.
	* m68k/t-ose68k, m68k/t-ose68000: Deleted.
	* m68k/t-ose68: New file.

	* config.sub: Match lynx* not lynx as OS.

Fri May  6 12:35:30 1994  Steve Chamberlain  (sac@cygnus.com)

	* config/i386/x-go32: Define all the names to make
	cross through go32 work.

Thu May  5 19:32:09 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcov.c (source_file_name): Rename to input_file_name.
	(source_file): Delete static variable.
	(process_args): Change source_file_name uses to input_file_name.
	(open_files): Pass cptr+1 not cptr to strcat calls.
	(output_data): New variable source_file_name.  If s_ptr->name is
	relative, and object directory was specified, then source_file_name
	gets the concatenation of the two.

Thu May  5 18:22:19 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* configure (i386-*-lynxos, m68k-*-lynxos, sparc-*-lynxos): Always
	run fixincludes.
	* config/x-lynx: Always run fixproto.
	* config/lynx.h: Add C++ support that uses .ctor/.dtor sections.
	(INIT_SECTION_ASM_OP): Undefine.
	(EXTRA_SECTIONS, EXTRA_SECTION_FUNCTIONS): Define.
	(CTORS_SECTION_ASM_OP, DTORS_SECTION_ASM_OP): Define.
	(INT_ASM_OP): Define.
	(ASM_OUTPUT_CONSTRUCTOR, ASM_OUTPUT_DESTRUCTOR): Define.
	(DO_GLOBAL_CTORS_BODY, DO_GLOBAL_DTORS_BODY): Undefine.
	* config/i386/lynx.h (ASM_OUTPUT_LABELREF): Re-add, nuked in merge.
	(CALL_USED_REGISTERS): Flag ebx as used, is clobbered by LynxOS.
	* config/sparc/lynx.h (CPP_PREDEFINES): Define "SPARC" and "LYNX".
	(LINK_SPEC): Undefine.
	(LIB_SPEC): Link with -lm by default.

	* configure (sparclite-*-coff): Don't use collect2.
	* config/sparc/litecoff.h: Add C++ support that uses .ctor/.dtor
	sections.
	(INIT_SECTION_ASM_OP): Undefine.
	(EXTRA_SECTIONS, EXTRA_SECTION_FUNCTIONS): Define.
	(CTORS_SECTION_FUNCTION, DTORS_SECTION_FUNCTION): Define.
	(CTORS_SECTION_ASM_OP, DTORS_SECTION_ASM_OP): Define.
	(INT_ASM_OP): Define.
	(ASM_OUTPUT_CONSTRUCTOR, ASM_OUTPUT_DESTRUCTOR): Define.
	(DO_GLOBAL_CTORS_BODY, DO_GLOBAL_DTORS_BODY): Undefine.

	* config.sub (sparclitefrw, sparclitefrwcompat): Don't set the os.
	* configure (sparclitefrwcompat-*-coff): New configuration.
	* config/sparc/litefccoff.h: New file.

Thu May  5 20:28:37 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* Makefile.in (stmp-multilib): Fail if recursive makes fail.

Thu May  5 12:01:01 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* profile.c (instrument_arcs): For block 0, put instrumentation
	code after instructions that load parameters.
	(branch_prob): Add missing test for BARRIER when deciding which
	block a NOTE goes into.

	* mips.md (insv): Fail if operand[0] isn't a MEM.

Tue May  3 14:01:40 1994  Doug Evans  (dje@canuck.cygnus.com)

	* Makefile.in (BISON): Use $(objdir) so recursive makes find byacc
	in build tree.
	(LEX): Likewise.

Tue May  3 14:14:08 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* ose68000.h (m68000-aout.h): Don't include.
	(m68000-none.h, aoutos.h): Include.
	(DBX_DEBUGGING_INFO): Define.
	(SDB_DEBUGGING_INFO): Undef.
	(ASM_OUTPUT_FLOAT, ASM_OUTPUT_FLOAT_OPERAND,
	ASM_OUTPUT_DOUBLE_OPERAND): Delete.
	* os68k.h (m68020-aout.h): Don't include.
	(m68020-none.h, aoutos.h): Include.
	(DBX_DEBUGGING_INFO): Define.
	(SDB_DEBUGGING_INFO): Undef.
	(REAL_INFINITY, ASM_OUTPUT_DOUBLE, ASM_OUTPUT_FLOAT,
	ASM_OUTPUT_FLOAT_OPERAND, ASM_OUTPUT_DOUBLE_OPERAND): Delete.

Tue May  3 14:01:40 1994  Doug Evans  (dje@canuck.cygnus.com)

	* m68k/vx68*.h: #include m68k/m680?0-none.h instead of
	m68k/m680?0-aout.h.  #include aoutos.h.
	(DBX_DEBUGGING_INFO): Define.
	(SDB_DEBUGGING_INFO): Undef.

	* m68k/m68*-none.h: Don't include m68kemb.h here.
	* m68k/m68*-aout.h: Include it here.
	* m68k/m68*-coff.h: Likewise.

Tue May  3 12:30:09 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* mips.md (movesi_unaligned, movsi_ulw, movsi_usw): Delete.
	(extv, extzv, insv, movsi_ulw, movsi_usw): New patterns.

Mon May  2 13:44:06 1994  Steve Chamberlain  (sac@cygnus.com)

	* stor-layout.c (layout_type): Set the TYPE_PRECISION of a pointer
	before testing it.

Sun May  1 12:47:28 1994  Doug Evans  (dje@canuck.cygnus.com)

	* m68k/m68*-none.h (CPP_SPEC, -m68881 is default): Undo previous
	patch.  Make -m68332 have software floating point as default, same
	as -m68000.
	(CC1_SPEC): Pass -msoft-float if -m68332 and not -m68881, same
	as -m68000.
	* m68k/m68332-none.h (TARGET_DEFAULT): Change to 1: 68020 without
	bitfield insns or 68881.

Sat Apr 30 16:15:44 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* stor-layout.c (variable_size):  Remove some no-longer-needed
	Chill-specific code.

Fri Apr 29 12:38:05 1994  Doug Evans  (dje@canuck.cygnus.com)

	* m68k/m68kemb.h (PTRDIFF_TYPE): Use long int to make independent of
	-mshort flag.
	(SIZE_TYPE): Ditto, as long unsigned int.

Fri Apr 29 12:20:22 1994  Bill Cox  (bill@cygnus.com)

	* fixproto, fixincludes: Add CYGNUS LOCAL tags.

Thu Apr 28 18:35:39 1994  Kung Hsu  (kung@mexican.cygnus.com)

	* dbxout.c(dbxout_symbol): replace DECL_IGNORED_P with
	TYPE_DECL_SUPPRESS_DEBUG checking.

Thu Apr 28 15:10:09 1994  Wilfried Moser  (moser@rtl.cygnus.com)

	* gcc.c (default_compilers chill): Remove passing of -L option
	  to cc1chill.

Wed Apr 27 18:57:08 1994  Bill Cox  (bill@cygnus.com)

	* fixincludes (curses.h): Delete Lynx's redefinition of
	  'void' as 'int'.

Thu Apr 28 11:48:29 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* m68000-none.h: Include m68kemb.h.
	(PTRDIFF_TYPE, SIZE_TYPE, STRUCTURE_SIZE_BOUNDARY): Delete.
	* m68020-none.h, m68030-none.h, m68040-none.h, m68302-none.h,
	m68332-none.h: Likewise.
	* m68kemb.h: New file.

Wed Apr 27 11:52:39 1994  Steve Chamberlain  (sac@cygnus.com)

	* config/i386/go32.h: Remove #if 0s, now uses coff.

Wed Apr 27 11:17:08 1994  Bill Cox  (bill@cygnus.com)

	For Jason Molenda, migrated here from progressive...
	* fixproto: use $FIX_HEADER as the fully-qualified pathname to
	fix-header if it is set, otherwise use old value as default.

Tue Apr 26 12:01:17 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* libgcc2.c (__bb_exit_func): Sum execution counts instead of
	appending to end of file.  Properly byte swap on little-endian
	host.  Add missing function return code checks in the
	little-endian code.
	* gcov.c (create_program_flow_graph): Delete code for accumulating
	multiple results.
	(read_files): Likewise.
	(accumulate_execution_data): Delete function.
	* profile.c (instrument_arcs): Clarify comment.
	(branch_prob, init_branch_prob): Likewise.

Tue Apr 26 08:28:18 1994  Bill Cox  (bill@rtl.cygnus.com)

	* fixincludes: Make math.h fixup more specific, eliminate
	  messages per Ian's suggestion.  Add fixup for Lynx prototype
	  of strlen.

Mon Apr 25 18:10:32 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* profile.c (branch_prob): Put NOTE_INSN_SETJMP notes into their
	own block.  Make the arc from the last real block to the function
	exit block a fake arc not a fallthrough arc.

Mon Apr 25 14:32:45 1994  Doug Evans  (dje@canuck.cygnus.com)

	* sparc/sparc64.h (EXTRA_FP_REGS): Add comment asking if it's really
	needed or not.
	(REG_CLASS_FROM_LETTER): Add comment clarifying need for 'r'.
	(sparc64_init_expanders): Declare:
	(sparch4_fpconv_stack_temp): Ditto.
	(INIT_EXPANDERS): Define.
	* sparc/sparc64.c (fpconv_stack_temp): New variable.
	(sparc64_init_expanders): New function.
	(sparc64_fpconv_stack_temp): Ditto.
	(DF_MODES64): Define.
	(TF_MODES64): Ditto.
	(DF_ONLY_MODES): Comment out D_MODE.
	(hard_64bit_mode_ok): Change DF_MODES/TF_MODES to
	DF_MODES64/TF_MODES64.
	* sparc/sparc64.md (floatdi[sdt]f2): Make define_expands.
	Add new define_insns to handle them.
	(fix_trunc[sdt]fdi2): Ditto.
	(v9_floatdi[sdt]f2): Renamed from floatdi[sdt]f2 to keep old versions
	around and disable.
	(v9_fix_trunc[sdt]fdi2): Ditto.
	(tablejump): Delete mode of operand 0.
	Abort if operands[0] is not Pmode.
	Call gen_pic_tablejump_{32,64} based on TARGET_PTR64.
	(pic_tablejump_32): Clean up.
	(pic_tablejump_64): New insn.
	(get pc pic insn): Ditto, clean up v8 version, add v9 version.
	(call, supporting cast): Same clean up as for tablejump.
	(call_value): Ditto.
	(untyped_call): Ditto.
	(untyped_return): Ditto.
	Use TFmode in valreg2.
	Only look for unimp at return address if not v9.
	(flush_register_windows): Handle v8 and v9.
	(flush): New insn.

Mon Apr 25 11:03:47 1994  Bill Cox  (bill@cygnus.com)

	* fixincludes: Add the necessary conditional around the
	  fixup below.

Fri Apr 22 16:47:31 1994  Bill Cox  (bill@cygnus.com)

	* fixincludes: Add code to fix Lynx math.h problem by
	  copying the numeric value of DBL_MAX over from float.h
	  as the numeric value of HUGE_VAL.

Fri Apr 22 13:46:13 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* profile.c (instrument_arcs): Rename max_block_num to num_blocks.
	(find_spanning_tree): Likewise.
	(branch_prob): Likewise.  Correct off-by-one errors in setting and
	using num_blocks.  Make fake setjmp arc point to next block not
	current block.  Always add a fallthough arc between the last real
	block and the function exit block.
	* gcov.c (bb_info_list): Rename max_block_num to num_blocks.
	(create_program_flow_graph, accumulate_execution_data,
	solve_program_flow_graph): Likewise.
	(output_data): Likewise.  Correct off-by-one errors in using
	num_blocks.

Thu Apr 21 17:10:47 1994  Kung Hsu  (kung@mexican.cygnus.com)

	* tree.h (TYPE_DECL_SUPPRESS_DEBUG): new macro to support
	suppressing of detail type infos into stabs.
	* dbxout.c (dbxout_type): check the above flag to generate cross
	reference in stabs.

Wed Apr 20 10:07:44 1994  Doug Evans  (dje@canuck.cygnus.com)

	* regclass.c (init_reg_modes): New function.
	* toplev.c (compile_file): Call it.

Wed Apr 20 11:19:45 1994  Steve Chamberlain  (sac@cygnus.com)

	* config/z8k/z8k.h (TARGET_DEFAULT): -sb is now the default.
	* config/z8k/z8k.c (extlist): Make memset and memcpy YASM externs.

Tue Apr 19 21:55:10 1994  Doug Evans  (dje@canuck.cygnus.com)

	* config/m68k/*-none.h (CPP_SPEC): Remove checking of m68000 for
	__HAVE_FPA__ and __HAVE_68881__.

Sat Apr 16 12:44:38 1994  Doug Evans  (dje@canuck.cygnus.com)

	* config.sub (z8k): Remove duplicate.

Thu Apr 14 22:01:47 1994  Steve Chamberlain  (sac@cygnus.com)

	* config/z8k/z8k.c (maybe_need_resflag): New function. 	
	(cond_name): Check for CC_NO_OVERFLOW.
	(override_options): Allow DImode stuff in even registers.
	(r_ir_da_x_ba_operand, r_im_ir_da_x_ba_operand): New functions.	
	(abort): Print frendlier message.
	* config/z8k/z8k.h (ADDRARITH_TYPE): Now unsigned, and size
	is switchable.
	(TARGET_SWITCHES): Add -msize_t16, -msize_t32, -mt64.
	(REG_ALLOC_ORDER): Furgle.
	(EXTRA_CONSTRAINT): 'T' is ba_operand only.
	(CONST_COSTS): More accurate.
	(ASM_OUTPUT_DOUBLE): Does the right thing.
	(NOTICE_UPDATE_CC):  COND_LOGCC doesn't set the overflow bit.
	* config/z8k/z8k.md (attr "cond") Add logcc class.  Modify
	attributes of all insns which don't set overflow.
	General tidyup.
	(adddi3, subdi3, zero_extendsidi2): New patterns.
	
Mon Apr 11 10:31:00 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (check): Set TCL_LIBRARY for runtest.

Fri Apr  8 14:49:34 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* Makefile.in (stmp-multilib): Pass HOST_PREFIX and HOST_PREFIX_1
	down to recursive make invocation.

	* config/fp-bit.c: Modify all uses of __attribute__ mode to use new
	syntax.

Tue Apr  5 15:11:59 1994  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* Makefile.in (chill-runtime): Change to only build this if
	LANGUAGES contains "chill", since install-libchill is in the
	install-normal rule.

Tue Apr  5 12:57:20 1994  Doug Evans  (dje@canuck.cygnus.com)

	* gcc.c (process_command): Add "include" prefix for [blah/]stageN.

Tue Apr  5 02:14:07 1994  Jason Molenda (crash@cygnus.com)

	* fixproto: use $FIX_HEADER as the fully-qualified pathname to
	fix-header if it is set, otherwise use old value as default.

Mon Apr  4 11:54:00 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* calls.c (prepare_call_address, expand_call): Delete CYGNUS LOCAL
	code for POINTER_MODE!=Pmode.
	* alpha.md (extendsidi2+1): New pattern for 32 bit symbol address
	loads.
	(call, call_value): Sign extend target address if necessary.

Mon Apr  4 10:24:43 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* configure: Handle srcdir equal to .. in SUBDIRS loop.

Thu Mar 31 19:22:16 1994  Doug Evans  (dje@cygnus.com)

	* machmode.h (PTRmode): Add missing CYGNUS LOCAL.

Thu Mar 31 18:44:04 1994  Brendan Kehoe  (brendan@lisa.cygnus.com)

	* g++.c (main): Delete extra newlines in two uses of fatal.

Thu Mar 31 17:42:08 1994  Doug Evans  (dje@cygnus.com)

	* config/alpha/xm-alpha.h (inhibit_libc): Add missing CYGNUS LOCAL.

	* config/alpha/alpha.h (PTR_DIFF): Fix typo.

Thu Mar 31 09:40:27 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* config/h8300/h8300.c (bit_operand):  Recognize ok operands
	  in all instances.
	* config/h8300/h8300.h (CALL_USED_REGISTERS): R6 is not call used.
	* config/h8300/h8300.md: Fix branches to use the 16bit mode on the
	  H8/300H when possible.

Tue Mar 29 13:35:27 1994  Wilfried Moser  (fs_moser at rcsw1h)

	* Makefile.in (chill-runtime): Change make target to all instead of
	  libchill.a to get chillrt0.o build.

Mon Mar 28 12:05:33 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config/mips/t-ecoff (LIBGCC2_CFLAGS): Define to use -G 0.

Fri Mar 25 22:16:24 1994  Doug Evans  (dje@canuck.cygnus.com)

	* Makefile.in (install-common): Ensure $(libdir)/install-tools exists
	(for testing gcc standalone).

Wed Mar 23 15:18:28 1994  Kung Hsu  (kung@mexican.cygnus.com)

	* dbxout.c (dbxout_type): change and align comments.

	* dbxout.c (dbxout_type): add /* CYGNUS LOCAL */

	* dbxout.c (dbxout_type): For nested anonymous type do not use
	'xs' or 'xu'. The real definition never comes out to symbol table.

Tue Mar 22 15:20:39 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (cc1chill): Add insn-codes.h as a dependency.

Mon Mar 21 14:20:42 1994  Sean Eric Fagan  (sef@cygnus.com)

	* config/alpha/t-netware:  New (CYGNUS LOCAL) file.

	* config/alpha/alpha.h, config/alpha/netware.h:  NetWare has a
	different TARGET_DEFAULT than other Alpha targets.
	* xm-alpha.h: Don't include "string.h" #ifdef inhibit_libc
	(necessary for cross-compiles).

Mon Mar 21 13:55:44 1994  Doug Evans  (dje@canuck.cygnus.com)

	* sparc/sparc64.md (nonlocal_goto): Use DImode, not SImode!
	(flush_register_windows): Use flushw insn.

Mon Mar 21 13:41:59 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* expr.c (expand_expr):  Remove Chill-specific code for IN_EXPR.
	* expr.c (doing_chill_thang):  Remove.
	* stmt.c (doing_chill_thang):  Make non-extern.

Mon Mar 21 08:19:36 1994  Doug Evans  (dje@canuck.cygnus.com)

	* va-sparc.h (va_arg): Fix v9's fetching of structs.

Sun Mar 20 21:36:55 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* expr.c, stor-layout.c, varasm.c:  Chill customer wants
	SET_TYPEs to be allocated in units of a byte, rather than
	units of a word.  Do so, for now.

Sun Mar 20 12:10:56 1994  Doug Evans  (dje@cygnus.com)

	* h8300/t-h8300 (RUNTEST_CFLAGS): Deleted, not needed anymore.

	* Makefile.in (RUNTESTFLAGS): Fix reference of $(srcdir).
	(site.exp): Use objdir instead of base_dir.
	If newlib is in the house, use it.

Sat Mar 19 11:51:11 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcc.c (do_spec_1, case 'v'): Update code that removes
	"cygnus-" from the version number.

Fri Mar 18 17:59:40 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* alpha.h (TARGET_DEFAULT):  Revert Sean's Feb 23 change.

Fri Mar 18 15:59:59 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* Makefile.in (multilib): If LIBGCC1 is being compiled with GCC from
	assembly source, compile it with each combination of flags.

Thu Mar 17 13:31:35 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* alpha.c (alpha_builtin_saveregs): Make va_list structure
	initialization depend on the sizes of the types involved.

Wed Mar 16 18:45:29 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* stor-layout.c (layout_type):  Set TREE_UNSIGNED for Booleans.
	* toplev.c (strip_off_ending):  Clean up Chill stuff.
	* toplev.c (doing_chill_thang):  Remove.

Tue Mar 15 14:06:50 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* fix-header.c (buf):  Make extern (to get the one in scan-decls.c).

Tue Mar 15 13:08:04 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* stor-layout.c (layout_type): Correct typo in last change.

Mon Mar 14 22:05:26 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* alpha.h: Define PTRmode to be SImode or DImode depending
	upon setting of POINTER_SIZE.

	* machmode.h: If PTRmode is not defined, set it to Pmode.
	* stor-layout.c (layout_type): Use PTRmode rather than
	mode_for_size (POINTER_SIZE) to work out the size of a pointer.
	* expr.c (expand_assignment): Ditto.  
 	(expand_expr): Ditto.
	* varasm.c (force_const_mem): Ditto.
	(output_constant_def): Ditto.
	(assemble_trampoline_template): Ditto.
	(assemble_static_space): Ditto.
	(make_decl_rtl): Ditto.

Fri Mar 11 11:35:13 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* stor-layout.c (layout_type): Make pointer types signed if they
	need to be extended to be valid addresses.

Thu Mar 10 10:53:51 1994  Bill Cox  (bill@rtl.cygnus.com)

	* toplev.c (lang_options): Add CHILL runtime checking options.

Thu Mar 10 09:15:23 1994  Doug Evans  (dje@canuck.cygnus.com)

	* configure: Fix CHILL_SRCS experiment to work when buildir != srcdir.

Wed Mar  9 12:25:40 1994  Bill Cox  (bill@rtl.cygnus.com)

	* configure: Add comments.

Mon Mar  7 17:16:38 1994  Doug Evans  (dje@canuck.cygnus.com)

	* Makefile.in (dejagnu): Move to own section of file.

Mon Mar  7 14:01:51 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* Makefile.in (mostlyclean): Don't explicitly delete ld.

	* gcov.c (create_program_flow_graph): Read .da file data in network
	byte order.
	(assumulate_execution_data): Likewise.
	* profile.c (branch_prob): Likewise.
	* libgcc2.c (__bb_exit_func): Write .da file data in network byte
	order.

Fri Mar  4 20:17:12 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* calls.c (expand_call): For pcc_struct_value case, set
	MEM_IN_STRUCT_P correctly on target.

	* Makefile.in (stage1, stage2, stage3, stage2, risky-stage1,
	risky-stage2, risky-stage3, risky-stage4): Copy as, ld, and
	real-ld to the stage directory if they exist.

Mon Mar  7 11:27:52 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Add marker to put in CHILL source file names.
	  (cc1chill): Change to do the link in the ch subdirectory.
	* configure: Add CHILL_SRCS variable at the marker.  Use the
	  variable in place of stamp-chill-objs.

Fri Mar  4 17:13:57 1994  Bill Cox  (bill@rtl.cygnus.com)

	* toplev.c (strip_off_ending): Add CHILL to other suffices.

Fri Mar  4 15:13:34 1994  Doug Evans  (dje@canuck.cygnus.com)

	* optabs.c (init_optabs): Remove init of HImode multiply/divide
	libcalls.
	* h8300/h8300.h (INIT_OPTABS): New macro, add libcalls for HImode
	multiply/divide operations.

Fri Mar  4 15:09:06 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* libgcc2.c (exit): Only call __bb_exit_func if !inhibit_libc.

Fri Mar  4 13:58:01 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* Makefile.in: Don't build objc-runtime (CYGNUS LOCAL).

Thu Mar  3 14:13:23 1994  Doug Evans  (dje@canuck.cygnus.com)

	* expr.h (cvtsiptr_optab, cvtptrsi_optab): Delete, obsolete.
	* optabs.c (cvtsiptr_optab, cvtptrsi_optab): Ditto.
	(init_optabs): Delete references.
	Delete PSImode libcalls for add, sub, smul, and cmp optabs.

Sat Feb 26 12:55:27 1994  Bill Cox  (bill@rtl.cygnus.com)

	* expr.c (store_constructor): Rewrite for CHILL powerset 
	  handling cleanup.
	* Makefile.in (BISON): set up just like LEX.
	  (cc1chill): Remove dependency on gcov and gcc parts.

Sun Feb 27 17:33:26 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* Makefile.in (profile.o): Add insn-flags.h dependence.
	* final.c (profile_after_prologue): Don't do gcov profiling here.
	* libgcc2.c (__bb_exit_func): Exit immediately if not profiling.
	(exit): Call __bb_exit_func.
	* profile.c: Include insn-flags.h.
	(instrument_arcs): Call output_func_start_profiler.
	(init_arc_profiler): Use ASM_GENERATE_INTERNAL_LABEL.
	(output_arc_profiler): Simplify rtl for when arcno is zero.
	(output_func_start_profiler): New function.
	
Sat Feb 26 17:43:03 1994  Doug Evans  (dje@canuck.cygnus.com)

	* install.texi: Temporarily modify installation instructions
	to at least work while directory reorg is in flux.

	* cccp.c (translate_end_of_line): Deleted.
	(main): Delete code for MSDOS to handle '\r'.
	(newline_fix): Ditto.
	(name_newline_fix): Ditto.
	(finclude): Ditto.

Wed Feb  23 19:13:17 1994  Sean Eric Fagan  (sef@cygnus.com)

	Mostly from Jim Wilson
	* calls.c (prepare_call_address): Pass funexp to memory_address if
	it has the wrong mode.
	(expand_call): Pass funexp to convert_modes if it has the wrong
	mode.
	* explow.c (memory_address): Call convert_modes if the address has
	the wrong mode.
	* expr.c (expand_assignment): Get ptr_mode from POINTER_SIZE.  Use
	ptr_mode instead of Pmode.
	(expand_expr, case COMPONENT_REF): Likewise.
	(expand_expr, case ADDR_EXPR): Likewise.
	* stor-layout.c (layout_type, case OFFSET_TYPE, FUNCTION_TYPE,
	POINTER_TYPE): Get TYPE_MODE from POINTER_SIZE, base TYPE_SIZE and
	TYPE_PRECISION on TYPE_MODE.
	* va-alpha.h (va_tsize): Use long long instead of long.
	* varasm.c (make_function_rtl): Get mode from POINTER_SIZE and use
	instead of Pmode.
	(make_decl_rtl, assemble_static_space,
	assemble_trampoline_template, output_constant_def,
	force_const_mem): Likewise.
	* alpha/alpha.c (input_operand): Accept SImode or DImode
	addresses.
	* alpha/alpha.h (CPP_SPEC): Add -m32addr support.
	(ASM_SPEC, MASK_32ADDR, TARGET_32ADDR, TARGET_SWITCHES,
	LONG_TYPE_SIZE, MAX_LONG_TYPE_SIZE, POINTER_SIZE, ASM_OUTPUT_INT,
	NO_BUILTIN_SIZE_TYPE, SIZE_TYPE, NO_BUILTIN_PTRDIFF_TYPE,
	PTRDIFF_TYPE): Likewise.
	(TARGET_DEFAULT): Default to GAS.
	* alpha/alpha.md (movsi): Add load address alternative.

Wed Feb 23 15:19:01 1994  Doug Evans  (dje@canuck.cygnus.com)

	* Makefile.in (mostlyclean, clean, extraclean, realclean, distclean):
	Say "subdirs" are explicitly language dirs.
	(bootstrap, bootstrap2, bootstrap3): Canonicalize path to $(CC).
	(compare, compare3): Loop on $(SUBDIRS).
	(stage[1234]): Ditto.
	(risky-stage[1234]): Ditto.
	No need to explicitly clean language subdirs, "make clean" does it.

Tue Feb 22 22:08:33 1994  Ian Lance Taylor  (ian@cygnus.com)

	* configure (mips-*-elfl*, mips-*-elf*): New targets.
	* config/mips/elf.h, config/mips/elfl.h: New files.

Tue Feb 22 18:07:06 1994  Doug Evans  (dje@canuck.cygnus.com)

	* Makefile.in (mostlyclean, clean, distclean, extraclean, realclean):
	In $(SUBDIRS) loop, do "cd ; foo" in subshell.

Tue Feb 22 14:39:03 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Add bindir, libsubdir to FLAGS_TO_PASS.
	  Use $(CC) to build cc1chill.  Change CHILL install line.
	  Add line to install CHILL objects, libraries.

Fri Feb 18 15:07:13 1994  Doug Evans  (dje@canuck.cygnus.com)

	* c-typeck.c (build_unary_op, case ADDR_EXPR): Mark chill code as such.

Thu Feb 17 22:07:07 1994  Doug Evans  (dje@canuck.cygnus.com)

	Remove old way of providing support for the US Software GOFAST
	libraries and tuck it all in config/gofast.h.  Significantly cuts
	down on number of CYGNUS LOCAL's in optabs.c, provides a hook
	to further reduce the number and prevent a resurgence.

	* optabs.c (emit_float_lib_cmp): Remove US_SOFTWARE_GOFAST support
	(unnecessary).
	(init_optabs): Remove US_SOFTWARE_GOFAST support, now available via
	INIT_OPTABS hook.
	neg_optab, {eq,ne,gt,ge,lt,le}sf2_libfunc,
	{eq,ne,gt,ge,lt,le}df2_libfunc: always initialize.
	Remove support for renaming following LIBCALLS: addsf3, adddf3, subsf3,
	subdf3, mulsf3, muldf3, divsf3, divdf3, cmpsf2, cmpdf2, extendsfdf2,
	truncdfsf2, floatsisf, floatsidf, fixsfsi, fixdfsi, fixunssfsi,
	fixunsdfsi.
	* libgcc2.c: (FIXUNSDFSI_ROUTINE, FIXUNSSFSI_ROUTINE): Deleted
	(CYGNUS LOCAL).
	* config/fp-bit.c (float_to_usi): Include ifdef US_SOFTWARE_GOFAST.
	* config/gofast.h: New file.
	* mips/ecoff.h: (*_LIBCALL): Delete definitions of US Software GOFAST
	library libcalls.
	(INIT_OPTABS): Define.
	#include "gofast.h"
	* mips/elf64.h: Ditto.
	* sparc/lite.h: Ditto (CYGNUS LOCAL).
	* sparc/vxsparc.h: Ditto.

Thu Feb 17 17:35:46 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* Makefile.in (reno.info):  Fix rule.

Wed Feb 16 15:12:44 1994  Doug Evans  (dje@cygnus.com)

	* i960.c (i960_function_prologue): Put register save area before
	outgoing arg block.

	* fpgnulib.c (__fixdfsi): Fix handling of edge cases.

Wed Feb 16 08:43:48 1994  Bill Cox  (bill@rtl.cygnus.com)

	* varasm.c (unpack_set_constructor): Emit an error
	  message for an invalid bitstring initializer rather
	  than aborting.

Tue Feb 15 17:38:34 1994  Rob Savoye  (rob@rtl.cygnus.com)

	* Makefile.in: Edit the site.exp target so it lets the init file
	find the right tool.

Mon Feb 14 14:23:56 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* chill-cross: Don't depend on cc1chill.

Mon Feb 14 11:31:23 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Change interface to CHILL subdirectory.
	* stmt.c (check_for_full_enumeration_handling,
	  bc_check_for_full_enumeration_handling): Make missing case an
	  error for CHILL, not just a warning.

Mon Feb 14 00:13:09 1994  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* config/mips/elf64.h (PUT_SDB_SIZE): Use .esize to avoid
	conflicting with ELF .size.
	(PUT_SDB_TYPE): Use .etype to avoid conflicting with ELF .type.

Fri Feb 11 17:31:41 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* calls.c, function.c, expr.c, stmt.c, varasm.c:  Remove useless
	tests for STRING_TYPE (which isn't used by anyone, including Chill).

Thu Feb 10 20:55:29 1994  Doug Evans  (dje@canuck.cygnus.com)

	* m68k/m68k.h (ASM_OUTPUT_DOUBLE): Remove CYGNUS LOCAL patch applied
	for pr 2641.  gcc will now generate 0rInfinity which gas understands.

	* expr.c (expand_expr): Remove empty #if 0/#endif CYGNUS LOCAL.

	* reload.c: Remove #include "output.h" CYGNUS LOCAL.

Wed Feb  9 14:51:01 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (chill-runtime): Correct spelling error.

Wed Feb  9 10:41:01 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (chill-runtime): Assure that system includes are
	  built and available for CHILL runtime library to reference.

Tue Feb  8 13:30:27 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Delete special CHILL version of INCLUDES variable.
	  Obsolete.

Tue Feb  8 10:35:46 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcov.c (output_data): Pass gcov_file not gcov_file_name to fclose.

Fri Feb  4 17:34:04 1994  Steve Chamberlain  (sac@cygnus.com)

	* config/h8300/h8300.c (jump_address_operand):  New function.
	* config/h8300/h8300.h Fix trampolines.
	* config/h8300/h8300.md: Fix jump insn.

	* toplev.c (rest_of_compilation):  LITERAL_TABLE_SCAN has become
	MACHINE_DEPEDENT_REORG - as per diffs sent to Kenner.

Fri Feb  4 14:17:20 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* mips64.h, mips.h (ASM_OUTPUT_LOCAL, ASM_OUTPUT_COMMON): Use SIZE
	not ROUNDED.
	* mips64.h (CPP_SPEC): Define __PTRDIFF_TYPE__ not __PTRDIFF_TYPE.

Fri Feb  4 06:32:30 1994  Bill Cox  (bill@rtl.cygnus.com)

	* tree.c (decl_function_context): Remove CHILL
	  tree_code reference, which is obsolete.

Wed Feb  2 16:57:59 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (compare, compare3): Also compare cp and ch
	  subdirectory objects.
	  (stage*, risky-stage*): Save cp and ch subdirectory objects.

Wed Feb  2 16:02:06 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* varasm.c (named_section): Export the function.

Tue Feb  1 18:20:41 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Fix Makefile dependencies to work without CHILL

Mon Jan 31 17:21:51 1994  Rob Savoye  (rob@darkstar.cygnus.com)

	* config/m68k/m68k-coff.h: Define STARTFILE_SPEC to be NULL so it
	stops conflicting with the crt0 brought in via the linker script.

Mon Jan 31 11:41:46 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: Require gcov to build cc1chill - certain tests
	  require it.
	* configure: Fix Copyright dates.

Sat Jan 29 09:44:28 1994  Bill Cox  (bill@rtl.cygnus.com)

	* configure: Allow it to build gcc/Makefile including
	  contents of gcc/Makefile.in.

Thu Jan 27 13:56:49 1994  Mike Stump  (mrs@cygnus.com)

	* configure: Make cross configuration work better for ch and cp.

Thu Jan 27 11:19:47 1994  Doug Evans  (dje@cygnus.com)

	* Undo this patch, we don't do coff yet.

	Fri Oct 29 11:49:46 1993  DJ Delorie (dj@ctron.com)

        * i386/go32.h: Add support for coff-based ctor/dtor handling.

Wed Jan 26 15:23:12 1994  Per Bothner  (bothner@kalessin.cygnus.com)

	* c-typeck.c (chill_initializer_constant_valid_p):  Removed.

Wed Jan 26 12:34:56 1994  Mike Stump  (mrs@cygnus.com)

	* Makefile.in (chill-runtime): Make sure we use an absolute pathname
	for GCC_FOR_TARGET.
	* Makefile.in (install-libchill): Don't fail if libchill.a is not
	built.

Tue Jan 25 19:27:43 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* install.texi: More description of Lynx configuration options.

Mon Jan 24 10:58:02 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* Makefile.in (FLAGS_TO_PASS): Add CLIB, MALLOC, OBSTACK, USE_ALLOCA.

	* cp/Makefile.in, ch/Makefile.in (OBSTACK): Delete.
	(SUBDIR_OBSTACK, SUBDIR_USE_ALLOCA, SUBDIR_MALLOC): Define.
	(LIBS): Define.
	(OBJS): Remove ../obstack.o from list.

	* configure (dep_host_xmake_file, dep_tmake_file): New variables,

	* Makefile.in (LEX, LEX_FLAGS): Define.

Thu Jan 20 16:32:51 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* configure (subdir loop): Don't zero out tmake_file and
	host_xmake_file.

	* final.c (end_final): Pass BIGGEST_ALIGNMENT not align to
	ASM_OUTPUT_ALIGNED_LOCAL.

Thu Jan 20 15:28:16 1994  david d `zoo' zuhn  (zoo@cirdan.cygnus.com)

	* Makefile.in: define FLAGS_TO_PASS as a list of variables that are
	  interesting to recursive sub-makes; never call 'make' directly,
	  always call $(MAKE); 

	* configure: FLOAT_H, CROSS_FLOAT_H are referenced via $(oldsrcdir)

Wed Jan 19 14:47:17 1994  Steve Chamberlain  (sac@jonny.cygnus.com)

	* genmultilib: Modify script so that it can handle more than 
	one a/b option.

Wed Jan 19 16:00:04 1994  Ken Raeburn  (raeburn@cujo.cygnus.com)

	* configure: When working in subdirectories, look for configure
	script in srcdir, and run it from there.  Pass it extra arguments
	telling it where its srcdir is, since $arguments might contain the
	original -srcdir option.

Mon Jan 17 13:30:45 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* xcoffout.c (xcoffout_begin_block): Don't emit a .bb for the
	function level scope.
	(xcoffout_end_block): Don't emit a .eb for the function level
	scope.

Sat Jan 15 16:13:23 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (cc1chill): Add GCC_PARTS as a dependency, to
	  allow using gcc to build the CHILL library.  An ANSI compiler
	  is preferred..

Sat Jan 15 15:34:11 1994  Mike Stump  (mrs@cygnus.com)

	* configure: Fix problem so that building in a separate directory
	works.

Sat Jan 15 14:24:17 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in, configure: Rewrite to move CHILL sources
	down into ch subdirectory and prepare for similar change
	to G++ sources.

Sat Jan 15 12:13:08 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* configure (m68k-*-lynxos*): Set tmake_file.
	* m68k/t-lynx: New file.

Fri Jan 14 15:16:24 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* optabs.c (init_optabs): Fix typo: SUBSI3 -> SUBPSI3.

Wed Jan 12 12:36:02 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* mips/mips64.h (CC1_SPEC): -mips1 and -mips2 imply -mfp32.

Thu Jan  6 18:02:21 1994  david d `zoo' zuhn  (zoo@andros.cygnus.com)

	* Makefile.in: remove 'char *void' decl from ch-lex.c; restore CC=cc
	  and -g1 to LIBGCC2_CFLAGS

Thu Jan  6 17:34:49 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcov.c (version_string): Rename to gcov_version_string.
	(TRUE, FALSE): Delete definitions.
	(process_args): Use gcov_version_string instead of version_string.
	(output_data): Use 0/1 instead of FALSE/TRUE.
	(xmalloc): Do not declare as static.

Thu Jan  6 16:49:35 1994  Stan Shebs  (shebs@andros.cygnus.com)

	* cccp.c (quiet_flag): Flag to control printing of cpp time.
	(main): Add display of cpp execution time.
	(get_run_time, print_time): New functions to get and print times.

Thu Jan  6 16:20:10 1994  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in: In rule for ch-lex.o, delete line in new
	  flex.skel which re-declares malloc incompatibly on alpha.

Thu Jan  6 16:09:43 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* Makefile.in (gcov): Depend on LIBDEPS.
	* gcov.c: Don't include strings.h and malloc.h.  Include config.h
	and declare rindex.
	(xmalloc): Define.
	(open_files, create_program_flow_graph, read_files,
	scan_for_source_files, calculate_branch_probs, output_data): Use
	xmalloc instead of malloc.


Tue Jan  4 22:06:35 1994  Rob Savoye  (rob@darkstar.cygnus.com)

	* configure, config.sub, config/i386/vsta.h,xm-vsta.h, x-vsta,
	t-vsta: Add support for the VSTa micro-kernel.

Tue Jan  4 18:01:25 1994  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* Makefile.in (LANGUAGES): Add gcov.
	(OBJS): Add profile.o.
	(STAGESTUFF): Add gcov.
	(profile.o, gcov.o, gcov): Add rules to build them.
	(install-common): Install gcov.
	* combine.c (distribute_notes): Handle INT_LIST rtx in REG_NOTES.
	Handle REG_BR_PROB and REG_EXEC_COUNT REG_NOTES.
	* cse.c (cse_process_notes): Handle INT_LIST rtx in REG_NOTES.
	* final.c (count_instrumented_arcs): New variable.
	(end_final, profile_after_prologue, leaf_function_p): Add support
	for profile_block_flag.
	(add_bb): Only call CC_STATUS_INIT if HAVE_cc0.
	* flags.h (profile_arc_flag, flag_test_coverage,
	flag_branch_probabilities): Declare.
	* function.c (expand_function_end): Output NOTE_REPEATED_LINE_NUMBER
	for last line of function.
	* integrate.c (expand_inline_function): Output
	NOTE_REPEATED_LINE_NUMBER after inlined call.
	* jump.c (jump_optimize): Disable some optimizations when
	flag_test_coverage and there is a line number note in the way.
	(invert_jump): Add REG_BR_PROB when flag_branch_probabililties.
	* libgcc2.c (__bb_exit_func): Support gcov style output.
	* print-rtl.c (print_rtx): Handle INT_LIST rtx.
	* reorg.c (mostly_true_jump): Use REG_BR_PROB notes when
	flag_branch_probabilities.
	* rtl.c (note_insn_name): Add NOTE_REPEATED_LINE_NUMBER.
	(reg_note_name): Add REG_BR_PROB and REG_EXEC_COUNT.
	* rtl.def (INT_LIST): Define.
	* rtl.h (enum reg_note): Add REG_BR_PROB and REG_EXEC_COUNT.
	(REG_BR_PROB_BASE): Define.
	(NOTE_REPEATED_LINE_NUMBER): Define.
	* sched.c (update_flow_info): Handle REG_EXEC_COUNT and REG_BR_PROB
	notes.
	* toplev.c (branch_prob_dump, profile_arc_flag, flag_test_coverage,
	flag_branch_probabilities, branch_prob_dump_file, branch_prob_time):
	New variables.
	(f_options): Add profile-arcs, test-coverage, and
	branch-probabilities.
	(compile_file): Set branch_prob_time.  Pass flag_test_coverage to
	init_emit_once.  Handle branch_prob_dump.  Call init_branch_prob.
	Call end_branch_prob.
	(rest_of_compilation): Handle branch_prob_dump.  Call new
	branch_prob pass.
	(main): Set branch_prob_dump.
	* sparc.h (OVERRIDE_OPTIONS): Check profile_arc_flag.
	* gcov.c, profile.c, README-gcov: New files.

Wed Dec 15 17:59:14 1993  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure (i[34]86-*-netware*, sparc-*-netware*,
	alpha-*-netware*): Don't bother to check $stabs.
	* config/i386/netware.h: Use sysv4dbx.h, not sysv4.h.
	* config/i386/netwaredbx.h: Removed.
	* config/sparc/netware.h: Use sol2.h, not sysv4.h.
	* config/sparc/netwaredbx.h: Removed.
	* config/alpha/netware.h: Set PREFERRED_DEBUGGING_TYPE to DBX_DEBUG.
	* config/alpha/netware-gdb.h: Removed.

Mon Dec 13 16:17:40 1993  Mike Stump  (mrs@cygnus.com)

	* Makefile.in (RUNTEST_CC, RUNTEST_CFLAGS, RUNTEST_CXX,
	RUNTEST_CXXFLAGS): Remove.
	* Makefile.in (check-gcc, check-g++, check-chill): Simplify.
	* Makefile.in (site.exp): Add all interesting variables to site.exp.

Sat Dec 11 11:33:48 1993  Steve Chamberlain  (sac@thepub.cygnus.com)

	* c-common.c (decl-attributes):  Ensure there's always a null at the
	end of a section name string.
	* tree.h (addrarith_type): New node holding type of index.
	* c-decl.c (init_decl_processing):  Removed code which forced
	sizetype to be same mode as pointers, and initialize addrarith_type.
	* c-typeck.c (pointer_int_sum): Perform address arithmetic in
	addrarith_type.
	* expr.c (convert_move): Change names of truncsipsi to truncsipsi2
	to conform to existing convention, same with extendpsisi.
	(get_inner_reference): Use addrarith_type for calculations.
	* optabs.c (init_optabs): Add initializers for ADDPSI3, SUBPSI3,
	MULPSI3, CMPPSI3 libcalls.	
	* stor-layout.c (addrarith_type): Add definition.
	* tree.h (addrarith_type): Add declaration.

Tue Dec  7 13:43:11 1993  david d `zoo' zuhn  (zoo@andros.cygnus.com)

	* Makefile.in (install-common): install fixincludes, fixproto, and
	  related tools (for the sake of binary-only distributions)

Tue Dec  7 12:51:20 1993  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* gcc.c (do_spec_1, case 'v'): Ignore "cygnus-" at start of version
	number.

Mon Dec  6 13:37:14 1993  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure (mips64-*-elfl*, mips64-*-elf*): New targets.
	* config/mips/elf64.h, config/mips/elfl64.h: New files.

Fri Dec  3 12:06:15 1993  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* mips64.h, mips64.c, mips64.md: Major update.

	* iris3.h (CPP_SPEC): Define __SIZE_TYPE__, __PTRDIFF_TYPE__, __mips.

	* va-mips.h: Add support for -mips3 calling convention.

Thu Dec  2 15:27:19 1993  Ian Lance Taylor  (ian@tweedledumb.cygnus.com)

	* configure (alpha-*-netware*): New target.
	* config/alpha/netware.h, config/alpha/netware-gdb.h: New files.

Thu Dec  2 10:53:19 1993  Doug Evans  (dje@sphagnum.cygnus.com)

	* configure (netware): Cut down on CYGNUS LOCAL verbosity.

Thu Dec  2 10:12:36 1993  Ken Raeburn  (raeburn@cygnus.com)

	* config/sparc/litecoff.h: New file.
	* configure (sparclite-*-coff): New target; use litecoff.h.
	(sparc-*-lynxos*): Use t-sparcbare.

Sat Nov 27 09:56:59 1993  Doug Evans  (dje@cygnus.com)

	* m68k/m68k.md (movdf): f -> f move can be done without earlyclobber.
	CYGNUS LOCAL for prms 4012, Kenner to add to 2.6.

Mon Nov 15 16:11:27 1993  Steve Chamberlain  (sac@jonny.cygnus.com)

	* toplev.c (rest_of_compilation):  If LITERAL_TABLE_SCAN is defined,
	then call it.

Thu Nov 11 14:24:20 1993  Stan Shebs  (shebs@rtl.cygnus.com)

	* config/lynx-ng.h (LINK_SPEC): Remove -P1000, does not apply to
	all Lynx platforms.
	* config/lynx.h (LIB_SPEC): Remove explicit /lib/libc.a reference.
	(ASM_OUTPUT_LABELREF): Remove, incorrect for some Lynx platforms.
	* i386/lynx-ng.h (LINK_SPEC): Define.
	* i386/lynx.h (ASM_OUTPUT_LABELREF): Define to not add an
	underscore.
	* m68k/lynx-ng.h (LINK_SPEC): Define.
	* m68k/lynx.h (CTORS_SECTION_ASM_OP, DTORS_SECTION_ASM_OP,
	ASM_OUTPUT_DESTRUCTOR, SELECT_RTX_SECTION): Undefine.
	(BSS_SECTION_ASM_OP): Define.
	(ASM_LONG): Define.
	* sparc/lynx-ng.h (LINK_SPEC): Define.
	* sparc/lynx.h (ASM_OUTPUT_IDENT, SELECT_SECTION,
	SELECT_RTX_SECTION): Undefine.
	(BSS_SECTION_ASM_OP): Define.

Wed Nov 10 12:58:13 1993  Jeffrey Wheat  (cassidy@cygnus.com)

	* Makefile.in: Changed RUNTEST_FLAGS back to RUNTESTFLAGS.
		       Changed RUNTEST = runtest to search in srctree first

Mon Nov  8 12:41:29 1993  david d `zoo' zuhn  (zoo@cirdan.cygnus.com)

	* Makefile.in: rename reno-1.texi to reno.texi, and change all
	  references

Mon Nov  8 07:39:01 1993  Doug Evans  (dje@canuck.cygnus.com)

	* config.sub: Remove h8300h, we have multilib now.
	* configure: Ditto.
	* h8300/{t-h8300h,h8300h.h}: Deleted.

Mon Nov  8 06:10:46 1993  D. V. Henkel-Wallace  (gumby@cirdan.cygnus.com)

	* configure: add netware target, unixware alias.

	* config.sub: add generic netware and unixware alias for x86 svr4.

	* config/i386/t-netware: new file.  Doesn't fix any headers, nor
	does it build libgcc1.

	* i386/netwaredbx.h, i386/netware.h, i386/netwcomm.h: new files.

Fri Nov  5 16:47:02 1993  Doug Evans  (dje@canuck.cygnus.com)

	* dbxout.c (dbxout_symbol): Add CYGNUS LOCAL to kung's recent change.


Fri Nov  5 15:56:21 1993  Kung Hsu  (kung@cirdan.cygnus.com)

	* dbxout.c (dbxout_symbol): Fix the c++ class name also tag name
	problem as shown in testsuite t22 regression.

Wed Nov  3 03:38:16 1993  Jeffrey Osier  (jeffrey@thepub.cygnus.com)

	* reno-1.texi: renamed to reno.texi, up to date
	* gpcompare.texi, templates.texi:  older reno-1 fixes

Mon Nov  1 17:22:19 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* config.guess:  Use the Cygnus top-level config.guess rather than
	FSF's version, in the interest of Cygnus-release self-consistency.
	(The two versions should be pretty close.)  CYGNUS LOCAL.

Sat Oct 30 20:47:46 1993  Michael Tiemann  (tiemann@blues.cygnus.com)

	* calls.c (expand_call): Handle pcc_struct_value correctly for C++
	(potentially breaking correct handling for other targets in C).
	[calls.c not at FSF, other two are--bpk 11/23/93]
	* expr.c (expand_expr): In WITH_CLEANUP_EXPR case, keep recursive
	call (TARGET_EXPR case) from running the same cleanups twice.  
	* cp-expr.c (cplus_expand_expr): Handle PCC_STATIC_STRUCT_RETURN
	correctly (by moving data correctly with copy constructors and
	cleaning up the static space when we're done).

Wed Oct 27 08:25:56 1993  Bill Cox  (bill@rtl.cygnus.com)

	* Makefile.in (CHILL): Delete chill script from this target for
	  now.  'chill' is now a subdirectory.  It will get renamed 'ch'
	  soon, and this script will be restored.

Mon Oct 25 14:56:42 1993  Doug Evans  (dje@canuck.cygnus.com)

	* expr.c (expand_builtin, case BUILT_IN_NEXT_ARG): Allow in varargs
	function.

Sat Oct 23 14:13:46 1993  Stan Shebs  (shebs@rtl.cygnus.com)

	* configure: Match on *-*-lynxos*, use lynx-ng.h for compatibility
	with old Lynx as and ld.
	* config/lynx-ng.h: New file, used to be lynx.h.
	* config/lynx.h: Rewritten to work with GNU as and ld, using COFF
	format.
	* config/i386/lynx.h: Include i386/gas.h instead of i386/gstabs.h.
	* config/i386/lynx-ng.h: New file.
	* config/m68k/lynx.h: Include m68k/m68k-coff.h.
	* config/m68k/lynx-ng.h: New file.
	* config/sparc/lynx.h (CPP_SPEC): Remove meaningless cpp argument.
	* config/sparc/lynx-ng.h: New file.

Fri Oct 22 20:57:46 1993  david d `zoo' zuhn  (zoo@rtl.cygnus.com)

	* configure: mipsel-*-ecoff, not mips-*-ecoffl

	* config.sub: recognize mipsel

Fri Oct 22 13:42:15 1993  Jim Wilson  (wilson@sphagnum.cygnus.com)

	* z8k.c (load_single_file): Change ch from char to int.

Sat Oct 16 19:20:08 1993  david d `zoo' zuhn  (zoo@rtl.cygnus.com)

	* configure (i386-lynx): use the i386-bare target makefile fragment,
	to disable building libgcc1

Thu Oct 14 13:29:12 1993  Doug Evans  (dje@canuck.cygnus.com)

	* Makefile.in (RUNTEST_CFLAGS): Add -Iinclude for just build gcc.

	* h8300/t-h8300 (CMPtype) gcc assumes library calls have word_mode
	results.

	* expr.c (expand_expr, case OFFSET_REF): remove CYGNUS LOCAL
	commenting out of this case. g++ now uses CP_OFFSET_REF.

Thu Oct 14 03:08:09 1993  Mike Stump  (mrs@cygnus.com)

	* Makefile.in (RUNTEST_CXXFLAGS): Add in missing -L flag for make
	  check-g++.

Thu Oct 14 02:07:56 1993  Mike Stump  (mrs@cygnus.com)

	* expr.c (expand_expr): Make sure we run destructors for
	  TARGET_EXPRs.  Happens when we use a type conversion constructor.

Tue Oct 12 13:28:18 1993  Per Bothner  (bothner@kalessin.cygnus.com)

	* fixproto:  Re-write.  We now assume that there are two
	source directories (source_dir_all and source_dir_std).  These
	are handled differently.  All files in source_dir_all (normally
	./include) are processed, but in source_dir_std (normally
	/usr/include) we only process the standard ANSI/Posix ones where
	we might be able to add missing prototypes.
	* scan-decls.c (scan_decls):  Rewrote from being a program whose
	output is piped to patch-header, to a subroutine called by
	patch-header.  This should be somewhat more efficient.
	* Makefile.in (scan-decls):  Removed rule to make program.
	* patch-header.c (recognized_macro, recognized_extern,
	recognized_function):  New functins, with logic moved out from
	read_scan_file, so they can be called by scan_decls.
	* patch-header (main):  Read the original header file into a
	buffer (rather than reading it with stdio).  This should be more
	efficient, partly because we can re-write it in place.
	(inf_skip_spaces, inf_read_upto, inf_scan_ident):  New functions,
	based on skip_spaces, read_upto, and scan_ident in scan.c, but
	these read from the in-memory buffer mentioned above.
	* scan-types.sh:  Don't check for sigset_t, since it can be a
	struct, whose name cannot be simplify replaced by its definition.
	* Makefile.in (deduced.h):  Don't pass -nostdinc.

Tue Oct 12 17:58:43 1993  david d `zoo' zuhn  (zoo@rtl.cygnus.com)

	* libgcc2.c (_bb): do not compile this function when inhibit_libc is
	defined

Tue Oct 12 05:34:33 1993  Mike Stump  (mrs@cygnus.com)

	* Makefile.in (RUNTEST_CXXFLAGS): Add in missing -I flags for make
	  check-g++.

Fri Oct  8 10:33:15 1993  Ian Lance Taylor  (ian@cygnus.com)

	* config/mips/mips64.h, config/mips/mips64.c, config/mips/mips64.md:
	New files for MIPS r4000 support.  These will hopefully replace
	mips.h, mips.c and mips.md at some point.

